var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import validator from "validator";
import { errorResponse, successResponse, } from "../../../models";
export var IsUrlValidErrorReason;
(function (IsUrlValidErrorReason) {
    IsUrlValidErrorReason["INVALID_URL_FORMAT"] = "INVALID_URL_FORMAT";
})(IsUrlValidErrorReason || (IsUrlValidErrorReason = {}));
export const isUrlValid = (_a) => __awaiter(void 0, [_a], void 0, function* ({ url, }) {
    const isValidUrl = validator.isURL(url);
    if (isValidUrl) {
        return successResponse(isValidUrl);
    }
    else {
        return errorResponse(IsUrlValidErrorReason.INVALID_URL_FORMAT);
    }
});
//# sourceMappingURL=isUrlValid.js.map