import { getDaysBetweenCalendarDates } from "../../dates/getDaysBetweenCalendarDates";
export const getTotalOfferPriceInCentsFromRenderableItineraryOffer = ({ renderableItineraryOffer, }) => {
    const { startCalendarDate, endCalendarDate, hotelRoomOffers } = renderableItineraryOffer;
    const { days: nightsInOffer } = getDaysBetweenCalendarDates({
        startCalendarDate,
        endCalendarDate,
    });
    const totalOfferPriceInCents = hotelRoomOffers.reduce((acc, hotelRoomOffer) => {
        return (acc +
            hotelRoomOffer.countOffered *
                nightsInOffer *
                hotelRoomOffer.offerPriceInCents);
    }, 0);
    return { totalOfferPriceInCents };
};
//# sourceMappingURL=getTotalOfferPriceInCents.js.map