var BifrostFormQuestionType;
(function (BifrostFormQuestionType) {
    BifrostFormQuestionType["TEXT_INPUT"] = "TEXT_INPUT";
    BifrostFormQuestionType["EMAIL"] = "EMAIL";
    BifrostFormQuestionType["PHONE"] = "PHONE";
    BifrostFormQuestionType["TEXT_AREA"] = "TEXT_AREA";
    BifrostFormQuestionType["SELECTOR"] = "SELECTOR";
    BifrostFormQuestionType["TOGGLE_BUTTON_GROUP"] = "TOGGLE_BUTTON_GROUP";
    BifrostFormQuestionType["SELECT_DATE_RANGE"] = "SELECT_DATE_RANGE";
    BifrostFormQuestionType["MULTI_SELECT_DATE_RANGE"] = "MULTI_SELECT_DATE_RANGE";
    // Multi-Stage
    BifrostFormQuestionType["MULTI_STAGE_SMART_DATE_SELECTOR"] = "MULTI_STAGE_SMART_DATE_SELECTOR";
    BifrostFormQuestionType["MULTI_STAGE_REASON_FOR_TRAVEL"] = "MULTI_STAGE_REASON_FOR_TRAVEL";
    BifrostFormQuestionType["SPLIT_TEXT_INPUT"] = "SPLIT_TEXT_INPUT";
})(BifrostFormQuestionType || (BifrostFormQuestionType = {}));

var ReservedBifrostFormQuestionIds;
(function (ReservedBifrostFormQuestionIds) {
    ReservedBifrostFormQuestionIds["FIRST_NAME"] = "First Name";
    ReservedBifrostFormQuestionIds["LAST_NAME"] = "Last Name";
    ReservedBifrostFormQuestionIds["EMAIL"] = "Email";
    ReservedBifrostFormQuestionIds["PHONE"] = "Phone";
    ReservedBifrostFormQuestionIds["INQUIRY_DETAILS"] = "Inquiry Details";
    ReservedBifrostFormQuestionIds["REASON_FOR_TRAVEL"] = "Reason for Travel";
    ReservedBifrostFormQuestionIds["ARE_ITINERARY_DATES_FLEXIBLE"] = "Are Itinerary Dates Flexible";
    ReservedBifrostFormQuestionIds["STAY_LOCATION"] = "Stay Location";
    // Dates
    ReservedBifrostFormQuestionIds["DATES"] = "Dates";
    ReservedBifrostFormQuestionIds["POTENTIAL_DATES"] = "Potential Dates";
    ReservedBifrostFormQuestionIds["FLEXIBLE_DATE_DESCRIPTION"] = "Flexible Date Description";
    ReservedBifrostFormQuestionIds["ESTIMATED_GUEST_COUNT"] = "Estimated Guest Count";
    ReservedBifrostFormQuestionIds["COUNT_OF_ROOMS_NEEDED"] = "Count of Rooms Needed";
    ReservedBifrostFormQuestionIds["PAYMENT_SPLIT"] = "Payment Split";
    // Multi-Stage
    ReservedBifrostFormQuestionIds["CALENDAR_DATES"] = "Calendar Dates";
    ReservedBifrostFormQuestionIds["REASON_FOR_TRAVEL_WITH_DETAILS"] = "Reason For Travel With Details";
})(ReservedBifrostFormQuestionIds || (ReservedBifrostFormQuestionIds = {}));

const mockRenderableMultiStageReasonForTravelBifrostFormQuestion = {
    type: BifrostFormQuestionType.MULTI_STAGE_REASON_FOR_TRAVEL,
    bifrostFormQuestionId: ReservedBifrostFormQuestionIds.REASON_FOR_TRAVEL_WITH_DETAILS,
    chatLabel: "",
    label: "",
};

const mockRenderableMultiStageSmartDateSelectorBifrostFormQuestion = {
    type: BifrostFormQuestionType.MULTI_STAGE_SMART_DATE_SELECTOR,
    bifrostFormQuestionId: ReservedBifrostFormQuestionIds.CALENDAR_DATES,
    chatLabel: "",
    label: "Date details",
};

const mockRenderableSelectorBifrostFormQuestionAskingLocationOptionOne = {
    value: "Chicago",
    label: "Chicago",
    optionCategory: "Midwest",
};
const mockRenderableSelectorBifrostFormQuestionAskingLocationOptionTwo = {
    value: "Miami",
    label: "Miami",
    optionCategory: "South East",
};
const mockRenderableSelectorBifrostFormQuestionAskingLocationOptionThree = {
    value: "Detroit",
    label: "Detroit",
    optionCategory: "Midwest",
};
const mockRenderableSelectorBifrostFormQuestionAskingLocationOptionFour = {
    value: "Atlanta",
    label: "Atlanta",
    optionCategory: "South East",
};
const mockRenderableSelectorBifrostFormQuestionAskingLocation = {
    type: BifrostFormQuestionType.SELECTOR,
    bifrostFormQuestionId: ReservedBifrostFormQuestionIds.STAY_LOCATION,
    chatLabel: "",
    label: "Where are you staying?",
    options: [
        mockRenderableSelectorBifrostFormQuestionAskingLocationOptionOne,
        mockRenderableSelectorBifrostFormQuestionAskingLocationOptionTwo,
        mockRenderableSelectorBifrostFormQuestionAskingLocationOptionThree,
        mockRenderableSelectorBifrostFormQuestionAskingLocationOptionFour,
    ],
};

var BifrostFormQuestionResponseType;
(function (BifrostFormQuestionResponseType) {
    BifrostFormQuestionResponseType["TEXT"] = "TEXT";
    BifrostFormQuestionResponseType["PHONE_NUMBER"] = "PHONE_NUMBER";
    BifrostFormQuestionResponseType["EMAIL"] = "EMAIL";
    BifrostFormQuestionResponseType["CALENDAR_DATE_RANGE"] = "CALENDAR_DATE_RANGE";
    BifrostFormQuestionResponseType["MULTI_CALENDAR_DATE_RANGE"] = "MULTI_CALENDAR_DATE_RANGE";
    // Multi-Stage
    BifrostFormQuestionResponseType["MULTI_STAGE_SMART_DATE"] = "MULTI_STAGE_SMART_DATE";
    BifrostFormQuestionResponseType["MULTI_STAGE_REASON_FOR_TRAVEL"] = "MULTI_STAGE_REASON_FOR_TRAVEL";
    BifrostFormQuestionResponseType["SPLIT_TEXT"] = "SPLIT_TEXT";
})(BifrostFormQuestionResponseType || (BifrostFormQuestionResponseType = {}));

var ReservedBifrostReasonForTravelOptionValues;
(function (ReservedBifrostReasonForTravelOptionValues) {
    ReservedBifrostReasonForTravelOptionValues["BUSINESS"] = "BUSINESS";
    ReservedBifrostReasonForTravelOptionValues["SOCIAL"] = "SOCIAL";
    ReservedBifrostReasonForTravelOptionValues["OTHER"] = "OTHER";
    ReservedBifrostReasonForTravelOptionValues["EXTENDED_STAY"] = "EXTENDED_STAY";
})(ReservedBifrostReasonForTravelOptionValues || (ReservedBifrostReasonForTravelOptionValues = {}));
var ReservedBifrostSplitPaymentOptionValues;
(function (ReservedBifrostSplitPaymentOptionValues) {
    ReservedBifrostSplitPaymentOptionValues["SINGLE_PAYER"] = "SINGLE_PAYER";
    ReservedBifrostSplitPaymentOptionValues["SPLIT_PAYER"] = "SPLIT_PAYER";
})(ReservedBifrostSplitPaymentOptionValues || (ReservedBifrostSplitPaymentOptionValues = {}));
var ReservedBifrostDateFlexibilityOptionValues;
(function (ReservedBifrostDateFlexibilityOptionValues) {
    ReservedBifrostDateFlexibilityOptionValues["FIRM_DATES"] = "FIRM_DATES";
    ReservedBifrostDateFlexibilityOptionValues["FLEXIBLE_DATES"] = "FLEXIBLE_DATES";
    ReservedBifrostDateFlexibilityOptionValues["STILL_DECIDING"] = "STILL_DECIDING";
})(ReservedBifrostDateFlexibilityOptionValues || (ReservedBifrostDateFlexibilityOptionValues = {}));

const mockBifrostFormQuestionMultiStageReasonForTravelResponseEmpty = {
    type: BifrostFormQuestionResponseType.MULTI_STAGE_REASON_FOR_TRAVEL,
    responseValue: {
        reasonForTravel: undefined,
        companyName: undefined,
        websiteUrl: undefined,
    },
};
const mockBifrostFormQuestionMultiStageReasonForTravelResponseSocialReason = {
    type: BifrostFormQuestionResponseType.MULTI_STAGE_REASON_FOR_TRAVEL,
    responseValue: {
        reasonForTravel: ReservedBifrostReasonForTravelOptionValues.SOCIAL,
    },
};
const mockBifrostFormQuestionMultiStageReasonForTravelResponseBusinessReasonNoDetail = {
    type: BifrostFormQuestionResponseType.MULTI_STAGE_REASON_FOR_TRAVEL,
    responseValue: {
        reasonForTravel: ReservedBifrostReasonForTravelOptionValues.BUSINESS,
    },
};
const mockBifrostFormQuestionMultiStageReasonForTravelResponseBusinessReasonWithCompanyNameDetail = {
    type: BifrostFormQuestionResponseType.MULTI_STAGE_REASON_FOR_TRAVEL,
    responseValue: {
        reasonForTravel: ReservedBifrostReasonForTravelOptionValues.BUSINESS,
        companyName: "Toyota",
    },
};
const mockBifrostFormQuestionMultiStageReasonForTravelResponseBusinessReasonCompletedDetail = {
    type: BifrostFormQuestionResponseType.MULTI_STAGE_REASON_FOR_TRAVEL,
    responseValue: {
        reasonForTravel: ReservedBifrostReasonForTravelOptionValues.BUSINESS,
        companyName: "Toyota",
        websiteUrl: "https://www.toyota.com/",
    },
};

const mock7July2025CalendarDate = {
    day: 7,
    month: 7,
    year: 2025,
};
const mock10July2025CalendarDate = {
    day: 10,
    month: 7,
    year: 2025,
};
const mock13July2025CalendarDate = {
    day: 13,
    month: 7,
    year: 2025,
};
const mock15July2025CalendarDate = {
    day: 15,
    month: 7,
    year: 2025,
};

const mockBifrostFormQuestionMultiStageSmartDateResponseEmpty = {
    type: BifrostFormQuestionResponseType.MULTI_STAGE_SMART_DATE,
    responseValue: {
        dateFlexibility: undefined,
        descriptionOfPotentialCalendarDates: undefined,
        calendarDateRanges: undefined,
    },
};
const mockBifrostFormQuestionMultiStageSmartDateResponseFirmDatesUnsetDates = {
    type: BifrostFormQuestionResponseType.MULTI_STAGE_SMART_DATE,
    responseValue: {
        dateFlexibility: ReservedBifrostDateFlexibilityOptionValues.FIRM_DATES,
        descriptionOfPotentialCalendarDates: undefined,
        calendarDateRanges: undefined,
    },
};
const mockBifrostFormQuestionMultiStageSmartDateResponseFirmDatesWithSetDates = {
    type: BifrostFormQuestionResponseType.MULTI_STAGE_SMART_DATE,
    responseValue: {
        dateFlexibility: ReservedBifrostDateFlexibilityOptionValues.FIRM_DATES,
        descriptionOfPotentialCalendarDates: undefined,
        calendarDateRanges: [
            {
                startCalendarDate: mock7July2025CalendarDate,
                endCalendarDate: mock10July2025CalendarDate,
            },
        ],
    },
};
const mockBifrostFormQuestionMultiStageSmartDateResponseFlexibleDatesWithUnsetDates = {
    type: BifrostFormQuestionResponseType.MULTI_STAGE_SMART_DATE,
    responseValue: {
        dateFlexibility: ReservedBifrostDateFlexibilityOptionValues.FLEXIBLE_DATES,
        descriptionOfPotentialCalendarDates: undefined,
        calendarDateRanges: undefined,
    },
};
const mockBifrostFormQuestionMultiStageSmartDateResponseFlexibleDatesWithSetDates = {
    type: BifrostFormQuestionResponseType.MULTI_STAGE_SMART_DATE,
    responseValue: {
        dateFlexibility: ReservedBifrostDateFlexibilityOptionValues.FLEXIBLE_DATES,
        descriptionOfPotentialCalendarDates: undefined,
        calendarDateRanges: [
            {
                startCalendarDate: mock7July2025CalendarDate,
                endCalendarDate: mock10July2025CalendarDate,
            },
            {
                startCalendarDate: mock13July2025CalendarDate,
                endCalendarDate: mock15July2025CalendarDate,
            },
        ],
    },
};
const mockBifrostFormQuestionMultiStageSmartDateResponseStillDecidingDatesWithUnsetDatesWithDescription = {
    type: BifrostFormQuestionResponseType.MULTI_STAGE_SMART_DATE,
    responseValue: {
        dateFlexibility: ReservedBifrostDateFlexibilityOptionValues.STILL_DECIDING,
        descriptionOfPotentialCalendarDates: "sometime around this upcoming July",
        calendarDateRanges: undefined,
    },
};
const mockBifrostFormQuestionMultiStageSmartDateResponseStillDecidingDatesWithSetDatesWithDescription = {
    type: BifrostFormQuestionResponseType.MULTI_STAGE_SMART_DATE,
    responseValue: {
        dateFlexibility: ReservedBifrostDateFlexibilityOptionValues.STILL_DECIDING,
        descriptionOfPotentialCalendarDates: "sometime around this upcoming July",
        calendarDateRanges: [
            {
                startCalendarDate: mock7July2025CalendarDate,
                endCalendarDate: mock10July2025CalendarDate,
            },
        ],
    },
};

const mockBifrostFormQuestionWithMultiStageReasonForTravelResponse = {
    responseType: BifrostFormQuestionResponseType.MULTI_STAGE_REASON_FOR_TRAVEL,
    bifrostFormQuestion: mockRenderableMultiStageReasonForTravelBifrostFormQuestion,
    responseData: mockBifrostFormQuestionMultiStageReasonForTravelResponseEmpty,
};

const mockBifrostFormQuestionWithMultiStageSmartDateResponseEmpty = {
    responseType: BifrostFormQuestionResponseType.MULTI_STAGE_SMART_DATE,
    bifrostFormQuestion: mockRenderableMultiStageSmartDateSelectorBifrostFormQuestion,
    responseData: mockBifrostFormQuestionMultiStageSmartDateResponseEmpty,
};

const mockBifrostSelectorFormQuestionWithTextResponse = {
    responseType: BifrostFormQuestionResponseType.TEXT,
    bifrostFormQuestion: mockRenderableSelectorBifrostFormQuestionAskingLocation,
    responseData: {
        type: BifrostFormQuestionResponseType.TEXT,
        responseValue: "",
    },
};

var ItineraryOfferOriginatorType;
(function (ItineraryOfferOriginatorType) {
    ItineraryOfferOriginatorType["KISMET_AI"] = "KISMET_AI";
    ItineraryOfferOriginatorType["GUEST"] = "GUEST";
    ItineraryOfferOriginatorType["SALES_AGENT"] = "SALES_AGENT";
})(ItineraryOfferOriginatorType || (ItineraryOfferOriginatorType = {}));
var VenueOfferPricingType;
(function (VenueOfferPricingType) {
    VenueOfferPricingType["ALT_FOOD_BEV_MIN"] = "ALT_FOOD_BEV_MIN";
    VenueOfferPricingType["FIXED_COST"] = "FIXED_COST";
})(VenueOfferPricingType || (VenueOfferPricingType = {}));
var HotelEventOfferStatus;
(function (HotelEventOfferStatus) {
    HotelEventOfferStatus["PROSPECT"] = "PROSPECT";
    HotelEventOfferStatus["TENTATIVE"] = "TENTATIVE";
    HotelEventOfferStatus["DEFINITIVE"] = "DEFINITIVE";
    HotelEventOfferStatus["CLOSED"] = "CLOSED";
    HotelEventOfferStatus["LOST"] = "LOST";
    HotelEventOfferStatus["WAITLISTED"] = "WAITLISTED";
})(HotelEventOfferStatus || (HotelEventOfferStatus = {}));

const mockRunOfHouseRenderableItineraryHotelRoomOffer = {
    hotelRoomOfferId: `78901qerjweqrwerhv2`,
    runOfHouseDetails: {},
    countOffered: 5,
    countAvailable: 5,
    offerPriceInCents: 80000,
    listPriceInCents: 100000,
    hotelRoomName: `Run of House`,
    hotelRoomDescription: `A versatile room option that offers excellent value and flexibility.`,
    verboseHotelRoomDescription: `Our 'Run of House' room type ensures you receive one of our high-quality rooms at an unbeatable price. Room assignments are made upon check-in, based on availability, providing you with the best possible accommodation. This option is ideal for guests seeking value without sacrificing comfort.`,
    heroImageUrl: `https://images.pexels.com/photos/271618/pexels-photo-271618.jpeg`,
    hotelRoomImageUrls: [
        `https://images.pexels.com/photos/271618/pexels-photo-271618.jpeg`,
    ],
};
const mockRenderableItineraryEventOfferOne = {
    eventOfferId: "1232341",
    eventOfferName: "Welcome Reception",
    eventOfferPriceInCents: 15000,
    isEventOfferPriceEnabled: false,
    imageUrl: "https://nypost.com/wp-content/uploads/sites/2/2022/04/melodys-piano-bar-1.jpg?quality=75&strip=all",
    startDateTime: "2024-12-15T18:00:00Z",
    endDateTime: "2024-12-15T21:00:00Z",
    numberOfGuests: 2,
    status: HotelEventOfferStatus.DEFINITIVE,
    venueOffers: [
        {
            venueOfferId: "venue-offer-1",
            venueName: "The Ballroom",
            pricingInfo: {
                pricingType: VenueOfferPricingType.FIXED_COST,
                priceInCents: 5000
            },
        },
        {
            venueOfferId: "venue-offer-2",
            venueName: "Melody's Piano Bar",
            pricingInfo: {
                pricingType: VenueOfferPricingType.FIXED_COST,
                priceInCents: 6000
            },
        }
    ],
    details: {
        description: "Join us for a welcome cocktail reception with hors d'oeuvres",
        location: "The Ballroom, Melody's Piano Bar",
        address: "123 Main Street, New York, NY 10001",
        inclusions: ["Welcome drink", "Light appetizers", "Live piano music"],
        notes: "Smart casual dress code"
    }
};

const mockHotelBifrostFormHotelMetadata = {
    hotelId: "mews-grand-hotel",
    assignedSalesAgentName: "Jason",
    hotelName: "Mews Grand Hotel",
};
const mockHotelBifrostFormMetadata = {
    isEnabled: true,
    hotel: mockHotelBifrostFormHotelMetadata,
    additionalBifrostFormQuestionsWithResponses: [],
    includeExtendedStay: true,
};

var EitherResponseType;
(function (EitherResponseType) {
    EitherResponseType["SUCCESS"] = "SUCCESS";
    EitherResponseType["ERROR"] = "ERROR";
})(EitherResponseType || (EitherResponseType = {}));
const successResponse = (data) => ({
    type: EitherResponseType.SUCCESS,
    success: data,
});
const errorResponse = (error) => ({
    type: EitherResponseType.ERROR,
    error: error,
});

var RenderedCalendarDateFormat;
(function (RenderedCalendarDateFormat) {
    // Example: 12/13/2027
    RenderedCalendarDateFormat["MM_SLASH_DD_SLASH_YY"] = "MM_SLASH_DD_SLASH_YY";
    // Example: Dec 13 (current year is hidden)
    // Example: Dec 13, 2027 (non-current year is shown)
    RenderedCalendarDateFormat["ABBREVIATED_MONTH_DAY_OPTIONAL_YEAR"] = "ABBREVIATED_MONTH_DAY_OPTIONAL_YEAR";
    // Example: January 3, 2025
    RenderedCalendarDateFormat["MONTH_DAY_YEAR"] = "MONTH_DAY_YEAR";
    // Example: January
    RenderedCalendarDateFormat["MONTH"] = "MONTH";
})(RenderedCalendarDateFormat || (RenderedCalendarDateFormat = {}));

const renderMMSlashDDSlashYYFormatCalendarDate = ({ calendarDate, }) => {
    const month = calendarDate.month.toString().padStart(2, "0");
    const day = calendarDate.day.toString().padStart(2, "0");
    const year = calendarDate.year.toString().slice(-2);
    return `${month}/${day}/${year}`;
};

const renderAbbreviatedMonthDayOptionalYearFormatCalendarDate = ({ calendarDate, }) => {
    const { year, month, day, timeZone } = calendarDate;
    // Create a JavaScript Date object using the CalendarDate information
    const jsDate = new Date(Date.UTC(year, month - 1, day));
    // Use Intl.DateTimeFormat to format the date as "Dec 13"
    const formatter = new Intl.DateTimeFormat("en-US", {
        month: "short",
        day: "numeric",
        timeZone: timeZone || "UTC", // Default to UTC if timeZone is undefined
    });
    return formatter.format(jsDate);
};

const renderMonthDayYearFormatCalendarDate = ({ calendarDate, }) => {
    const { year, month, day } = calendarDate;
    // Validate month and day
    if (month < 1 || month > 12) {
        throw new Error(`Invalid month: ${month}. Month should be between 1 and 12.`);
    }
    if (day < 1 || day > 31) {
        // Basic validation; can be enhanced
        throw new Error(`Invalid day: ${day}. Day should be between 1 and 31.`);
    }
    // Create a Date object (Note: months are zero-indexed in JavaScript Date)
    const date = new Date(year, month - 1, day);
    // Use Intl.DateTimeFormat for locale-aware formatting
    const formatter = new Intl.DateTimeFormat("en-US", {
        year: "numeric",
        month: "long",
        day: "numeric",
    });
    return formatter.format(date);
};

const renderMonthFormatCalendarDate = ({ calendarDate, }) => {
    const { year, month, day } = calendarDate;
    // Create a JavaScript Date object. Note: month is zero-indexed in JS.
    const date = new Date(year, month - 1, day);
    // Use Intl.DateTimeFormat to get the full month name
    const formatter = new Intl.DateTimeFormat("en-US", { month: "long" });
    return formatter.format(date);
};

const renderCalendarDate = ({ calendarDate, format, }) => {
    if (format === RenderedCalendarDateFormat.MM_SLASH_DD_SLASH_YY) {
        return renderMMSlashDDSlashYYFormatCalendarDate({
            calendarDate,
        });
    }
    else if (format === RenderedCalendarDateFormat.ABBREVIATED_MONTH_DAY_OPTIONAL_YEAR) {
        return renderAbbreviatedMonthDayOptionalYearFormatCalendarDate({
            calendarDate,
        });
    }
    else if (format === RenderedCalendarDateFormat.MONTH_DAY_YEAR) {
        return renderMonthDayYearFormatCalendarDate({
            calendarDate,
        });
    }
    else if (format === RenderedCalendarDateFormat.MONTH) {
        return renderMonthFormatCalendarDate({
            calendarDate,
        });
    }
    else {
        throw new Error(`Unsupported format: ${format}`);
    }
};

var RenderedCalendarDateRangeJoinFormat;
(function (RenderedCalendarDateRangeJoinFormat) {
    // Example: 12/13/2027 - 12/14/2027
    RenderedCalendarDateRangeJoinFormat["SPACE_DASH_SPACE"] = "SPACE_DASH_SPACE";
})(RenderedCalendarDateRangeJoinFormat || (RenderedCalendarDateRangeJoinFormat = {}));

const renderCalendarDateRange = ({ calendarDateRange, renderedCalendarDateFormat, renderedCalendarDateRangeJoinFormat, collapseStrategy, }) => {
    if (collapseStrategy.collapseSameDay &&
        calendarDateRange.startCalendarDate.year ===
            calendarDateRange.endCalendarDate.year &&
        calendarDateRange.startCalendarDate.month ===
            calendarDateRange.endCalendarDate.month &&
        calendarDateRange.startCalendarDate.day ===
            calendarDateRange.endCalendarDate.day) {
        const startDate = renderCalendarDate({
            calendarDate: calendarDateRange.startCalendarDate,
            format: renderedCalendarDateFormat,
        });
        return startDate;
    }
    if (collapseStrategy.collapseSameMonth &&
        calendarDateRange.startCalendarDate.year ===
            calendarDateRange.endCalendarDate.year &&
        calendarDateRange.startCalendarDate.month ===
            calendarDateRange.endCalendarDate.month) {
        if (renderedCalendarDateFormat === RenderedCalendarDateFormat.MONTH_DAY_YEAR) {
            const month = renderCalendarDate({
                calendarDate: calendarDateRange.startCalendarDate,
                format: RenderedCalendarDateFormat.MONTH,
            });
            return `${month} ${calendarDateRange.startCalendarDate.day} - ${calendarDateRange.endCalendarDate.day}, ${calendarDateRange.startCalendarDate.year}`;
        }
        const startDate = renderCalendarDate({
            calendarDate: calendarDateRange.startCalendarDate,
            format: renderedCalendarDateFormat,
        });
        return `${startDate} - ${calendarDateRange.endCalendarDate.day}`;
    }
    const startDate = renderCalendarDate({
        calendarDate: calendarDateRange.startCalendarDate,
        format: renderedCalendarDateFormat,
    });
    const endDate = renderCalendarDate({
        calendarDate: calendarDateRange.endCalendarDate,
        format: renderedCalendarDateFormat,
    });
    if (renderedCalendarDateRangeJoinFormat ===
        RenderedCalendarDateRangeJoinFormat.SPACE_DASH_SPACE) {
        return `${startDate} - ${endDate}`;
    }
    else {
        throw new Error(`Unsupported format: ${renderedCalendarDateRangeJoinFormat}`);
    }
};

const NEW_LINE = "<br />";
const renderBifrostFormQuestionWithResponses = ({ bifrostFormQuestionsWithResponses, }) => {
    return bifrostFormQuestionsWithResponses
        .map((bifrostFormQuestionWithResponse) => {
        if (bifrostFormQuestionWithResponse.responseType ===
            BifrostFormQuestionResponseType.TEXT) {
            const formattedResponse = bifrostFormQuestionWithResponse.responseData.responseValue;
            return `${bifrostFormQuestionWithResponse.bifrostFormQuestion.bifrostFormQuestionId}: ${formattedResponse}`;
        }
        else if (bifrostFormQuestionWithResponse.responseType ===
            BifrostFormQuestionResponseType.PHONE_NUMBER) {
            const formattedResponse = bifrostFormQuestionWithResponse.responseData.responseValue;
            return `${bifrostFormQuestionWithResponse.bifrostFormQuestion.bifrostFormQuestionId}: ${formattedResponse}`;
        }
        else if (bifrostFormQuestionWithResponse.responseType ===
            BifrostFormQuestionResponseType.EMAIL) {
            const formattedResponse = bifrostFormQuestionWithResponse.responseData.responseValue;
            return `${bifrostFormQuestionWithResponse.bifrostFormQuestion.bifrostFormQuestionId}: ${formattedResponse}`;
        }
        else if (bifrostFormQuestionWithResponse.responseType ===
            BifrostFormQuestionResponseType.CALENDAR_DATE_RANGE) {
            const formattedResponse = renderCalendarDateRange({
                calendarDateRange: bifrostFormQuestionWithResponse.responseData
                    .responseValue,
                renderedCalendarDateFormat: RenderedCalendarDateFormat.MM_SLASH_DD_SLASH_YY,
                renderedCalendarDateRangeJoinFormat: RenderedCalendarDateRangeJoinFormat.SPACE_DASH_SPACE,
                collapseStrategy: {
                    collapseSameDay: false,
                    collapseSameMonth: false,
                },
            });
            return `${bifrostFormQuestionWithResponse.bifrostFormQuestion.bifrostFormQuestionId}: ${formattedResponse}`;
        }
        else if (bifrostFormQuestionWithResponse.responseType ===
            BifrostFormQuestionResponseType.MULTI_CALENDAR_DATE_RANGE) {
            const formattedResponse = bifrostFormQuestionWithResponse.responseData.responseValue
                .map((calendarDateRange) => {
                return renderCalendarDateRange({
                    calendarDateRange: calendarDateRange,
                    renderedCalendarDateFormat: RenderedCalendarDateFormat.MM_SLASH_DD_SLASH_YY,
                    renderedCalendarDateRangeJoinFormat: RenderedCalendarDateRangeJoinFormat.SPACE_DASH_SPACE,
                    collapseStrategy: {
                        collapseSameDay: false,
                        collapseSameMonth: false,
                    },
                });
            })
                .join(", ");
            return `${bifrostFormQuestionWithResponse.bifrostFormQuestion.bifrostFormQuestionId}: ${formattedResponse}`;
        }
        else if (bifrostFormQuestionWithResponse.responseType ===
            BifrostFormQuestionResponseType.MULTI_STAGE_SMART_DATE) {
            let formattedResponse = "";
            formattedResponse += `Are the guest's dates flexible? ${bifrostFormQuestionWithResponse.responseData.responseValue.dateFlexibility}`;
            if (bifrostFormQuestionWithResponse.responseData.responseValue
                .descriptionOfPotentialCalendarDates) {
                formattedResponse += `${NEW_LINE}Description of Date Flexibility? ${bifrostFormQuestionWithResponse.responseData.responseValue.descriptionOfPotentialCalendarDates}`;
            }
            formattedResponse +=
                `${NEW_LINE}Calendar Dates:` +
                    bifrostFormQuestionWithResponse.responseData.responseValue
                        .calendarDateRanges.map((calendarDateRange) => {
                        return renderCalendarDateRange({
                            calendarDateRange: calendarDateRange,
                            renderedCalendarDateFormat: RenderedCalendarDateFormat.MM_SLASH_DD_SLASH_YY,
                            renderedCalendarDateRangeJoinFormat: RenderedCalendarDateRangeJoinFormat.SPACE_DASH_SPACE,
                            collapseStrategy: {
                                collapseSameDay: false,
                                collapseSameMonth: false,
                            },
                        });
                    })
                        .join(", ");
            return formattedResponse;
        }
        else if (bifrostFormQuestionWithResponse.responseType ===
            BifrostFormQuestionResponseType.MULTI_STAGE_REASON_FOR_TRAVEL) {
            let formattedResponse = "";
            formattedResponse += `Reason for Travel: ${bifrostFormQuestionWithResponse.responseData.responseValue.reasonForTravel}`;
            if (bifrostFormQuestionWithResponse.responseData.responseValue.companyName) {
                formattedResponse += `Company Name: ${bifrostFormQuestionWithResponse.responseData.responseValue.companyName}`;
            }
            if (bifrostFormQuestionWithResponse.responseData.responseValue.websiteUrl) {
                formattedResponse += `Website URL: ${bifrostFormQuestionWithResponse.responseData.responseValue.websiteUrl}`;
            }
            return formattedResponse;
        }
        else if (bifrostFormQuestionWithResponse.responseType ===
            BifrostFormQuestionResponseType.SPLIT_TEXT) {
            let formattedResponse = ``;
            formattedResponse += `${bifrostFormQuestionWithResponse.bifrostFormQuestion.left.bifrostFormQuestionId}: ${bifrostFormQuestionWithResponse.responseData.responseValue.left}`;
            formattedResponse += `${NEW_LINE}`;
            formattedResponse += `${bifrostFormQuestionWithResponse.bifrostFormQuestion.right.bifrostFormQuestionId}: ${bifrostFormQuestionWithResponse.responseData.responseValue.right}`;
            return formattedResponse;
        }
    })
        .join(`${NEW_LINE}`);
};

const bundleBifrostFormQuestionWithResponse = ({ bifrostFormQuestion, }) => {
    let bifrostFormQuestionWithResponse;
    if (bifrostFormQuestion.type === BifrostFormQuestionType.TEXT_INPUT) {
        bifrostFormQuestionWithResponse = {
            responseType: BifrostFormQuestionResponseType.TEXT,
            bifrostFormQuestion,
            responseData: {
                type: BifrostFormQuestionResponseType.TEXT,
                responseValue: "",
            },
        };
    }
    else if (bifrostFormQuestion.type === BifrostFormQuestionType.EMAIL) {
        bifrostFormQuestionWithResponse = {
            responseType: BifrostFormQuestionResponseType.EMAIL,
            bifrostFormQuestion,
            responseData: {
                type: BifrostFormQuestionResponseType.EMAIL,
                responseValue: "",
            },
        };
    }
    else if (bifrostFormQuestion.type === BifrostFormQuestionType.PHONE) {
        bifrostFormQuestionWithResponse = {
            responseType: BifrostFormQuestionResponseType.PHONE_NUMBER,
            bifrostFormQuestion,
            responseData: {
                type: BifrostFormQuestionResponseType.PHONE_NUMBER,
                responseValue: "",
            },
        };
    }
    else if (bifrostFormQuestion.type === BifrostFormQuestionType.TEXT_AREA) {
        bifrostFormQuestionWithResponse = {
            responseType: BifrostFormQuestionResponseType.TEXT,
            bifrostFormQuestion,
            responseData: {
                type: BifrostFormQuestionResponseType.TEXT,
                responseValue: "",
            },
        };
    }
    else if (bifrostFormQuestion.type === BifrostFormQuestionType.TOGGLE_BUTTON_GROUP) {
        bifrostFormQuestionWithResponse = {
            responseType: BifrostFormQuestionResponseType.TEXT,
            bifrostFormQuestion,
            responseData: {
                type: BifrostFormQuestionResponseType.TEXT,
                responseValue: "",
            },
        };
    }
    else if (bifrostFormQuestion.type === BifrostFormQuestionType.SELECT_DATE_RANGE) {
        bifrostFormQuestionWithResponse = {
            responseType: BifrostFormQuestionResponseType.CALENDAR_DATE_RANGE,
            bifrostFormQuestion,
            responseData: {
                type: BifrostFormQuestionResponseType.CALENDAR_DATE_RANGE,
                responseValue: {
                    startCalendarDate: undefined,
                    endCalendarDate: undefined,
                },
            },
        };
    }
    else if (bifrostFormQuestion.type === BifrostFormQuestionType.MULTI_SELECT_DATE_RANGE) {
        bifrostFormQuestionWithResponse = {
            responseType: BifrostFormQuestionResponseType.MULTI_CALENDAR_DATE_RANGE,
            bifrostFormQuestion,
            responseData: {
                type: BifrostFormQuestionResponseType.MULTI_CALENDAR_DATE_RANGE,
                responseValue: [
                    {
                        startCalendarDate: undefined,
                        endCalendarDate: undefined,
                    },
                ],
            },
        };
    }
    else if (bifrostFormQuestion.type === BifrostFormQuestionType.SPLIT_TEXT_INPUT) {
        bifrostFormQuestionWithResponse = {
            responseType: BifrostFormQuestionResponseType.SPLIT_TEXT,
            bifrostFormQuestion,
            responseData: {
                type: BifrostFormQuestionResponseType.SPLIT_TEXT,
                responseValue: {
                    left: "",
                    right: "",
                },
            },
        };
    }
    else if (bifrostFormQuestion.type ===
        BifrostFormQuestionType.MULTI_STAGE_SMART_DATE_SELECTOR) {
        bifrostFormQuestionWithResponse = {
            responseType: BifrostFormQuestionResponseType.MULTI_STAGE_SMART_DATE,
            bifrostFormQuestion,
            responseData: {
                type: BifrostFormQuestionResponseType.MULTI_STAGE_SMART_DATE,
                responseValue: {},
            },
        };
    }
    else if (bifrostFormQuestion.type ===
        BifrostFormQuestionType.MULTI_STAGE_REASON_FOR_TRAVEL) {
        bifrostFormQuestionWithResponse = {
            responseType: BifrostFormQuestionResponseType.MULTI_STAGE_REASON_FOR_TRAVEL,
            bifrostFormQuestion,
            responseData: {
                type: BifrostFormQuestionResponseType.MULTI_STAGE_REASON_FOR_TRAVEL,
                responseValue: {},
            },
        };
    }
    else {
        throw new Error(`Unsupported BifrostFormQuestionType: ${bifrostFormQuestion.type}`);
    }
    return { bifrostFormQuestionWithResponse };
};

const updateBifrostFormQuestionWithResponse = ({ previousBifrostFormQuestionWithResponse, updatedBifrostFormQuestionResponse, }) => {
    if (previousBifrostFormQuestionWithResponse.responseType ===
        BifrostFormQuestionResponseType.TEXT &&
        updatedBifrostFormQuestionResponse.type ===
            BifrostFormQuestionResponseType.TEXT) {
        return Object.assign(Object.assign({}, previousBifrostFormQuestionWithResponse), { responseData: updatedBifrostFormQuestionResponse });
    }
    else if (previousBifrostFormQuestionWithResponse.responseType ===
        BifrostFormQuestionResponseType.EMAIL &&
        updatedBifrostFormQuestionResponse.type ===
            BifrostFormQuestionResponseType.EMAIL) {
        return Object.assign(Object.assign({}, previousBifrostFormQuestionWithResponse), { responseData: updatedBifrostFormQuestionResponse });
    }
    else if (previousBifrostFormQuestionWithResponse.responseType ===
        BifrostFormQuestionResponseType.PHONE_NUMBER &&
        updatedBifrostFormQuestionResponse.type ===
            BifrostFormQuestionResponseType.PHONE_NUMBER) {
        return Object.assign(Object.assign({}, previousBifrostFormQuestionWithResponse), { responseData: updatedBifrostFormQuestionResponse });
    }
    else if (previousBifrostFormQuestionWithResponse.responseType ===
        BifrostFormQuestionResponseType.CALENDAR_DATE_RANGE &&
        updatedBifrostFormQuestionResponse.type ===
            BifrostFormQuestionResponseType.CALENDAR_DATE_RANGE) {
        return Object.assign(Object.assign({}, previousBifrostFormQuestionWithResponse), { responseData: updatedBifrostFormQuestionResponse });
    }
    else if (previousBifrostFormQuestionWithResponse.responseType ===
        BifrostFormQuestionResponseType.MULTI_CALENDAR_DATE_RANGE &&
        updatedBifrostFormQuestionResponse.type ===
            BifrostFormQuestionResponseType.MULTI_CALENDAR_DATE_RANGE) {
        return Object.assign(Object.assign({}, previousBifrostFormQuestionWithResponse), { responseData: updatedBifrostFormQuestionResponse });
    }
    else if (previousBifrostFormQuestionWithResponse.responseType ===
        BifrostFormQuestionResponseType.SPLIT_TEXT &&
        updatedBifrostFormQuestionResponse.type ===
            BifrostFormQuestionResponseType.SPLIT_TEXT) {
        return Object.assign(Object.assign({}, previousBifrostFormQuestionWithResponse), { responseData: updatedBifrostFormQuestionResponse });
    }
    return previousBifrostFormQuestionWithResponse;
};

const deepEqual = (object1, object2) => {
    if (object1 === undefined || object2 === undefined) {
        if (object1 === undefined && object2 === undefined) {
            return true;
        }
        return false;
    }
    const keys1 = Object.keys(object1);
    const keys2 = Object.keys(object2);
    if (keys1.length !== keys2.length) {
        return false;
    }
    for (const key of keys1) {
        const val1 = object1[key];
        const val2 = object2[key];
        const areObjects = val1 instanceof Object && val2 instanceof Object;
        if (areObjects &&
            !deepEqual(val1, val2)) {
            return false;
        }
        else if (!areObjects && val1 !== val2) {
            return false;
        }
    }
    return true;
};

const useReactStateCache = ({ previousValue, updatedValue, }) => {
    if (deepEqual(updatedValue, previousValue)) {
        return previousValue;
    }
    else {
        return updatedValue;
    }
};

/******************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */
/* global Reflect, Promise, SuppressedError, Symbol, Iterator */


function __awaiter(thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
}

typeof SuppressedError === "function" ? SuppressedError : function (error, suppressed, message) {
    var e = new Error(message);
    return e.name = "SuppressedError", e.error = error, e.suppressed = suppressed, e;
};

function getDefaultExportFromCjs (x) {
	return x && x.__esModule && Object.prototype.hasOwnProperty.call(x, 'default') ? x['default'] : x;
}

var validator$1 = {exports: {}};

var toDate = {exports: {}};

var assertString = {exports: {}};

var hasRequiredAssertString;

function requireAssertString () {
	if (hasRequiredAssertString) return assertString.exports;
	hasRequiredAssertString = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = assertString;
		function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
		function assertString(input) {
		  var isString = typeof input === 'string' || input instanceof String;
		  if (!isString) {
		    var invalidType = _typeof(input);
		    if (input === null) invalidType = 'null';else if (invalidType === 'object') invalidType = input.constructor.name;
		    throw new TypeError("Expected a string but received a ".concat(invalidType));
		  }
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (assertString, assertString.exports));
	return assertString.exports;
}

var hasRequiredToDate;

function requireToDate () {
	if (hasRequiredToDate) return toDate.exports;
	hasRequiredToDate = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = toDate;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function toDate(date) {
		  (0, _assertString.default)(date);
		  date = Date.parse(date);
		  return !isNaN(date) ? new Date(date) : null;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (toDate, toDate.exports));
	return toDate.exports;
}

var toFloat = {exports: {}};

var isFloat = {};

var alpha = {};

var hasRequiredAlpha;

function requireAlpha () {
	if (hasRequiredAlpha) return alpha;
	hasRequiredAlpha = 1;

	Object.defineProperty(alpha, "__esModule", {
	  value: true
	});
	alpha.farsiLocales = alpha.englishLocales = alpha.dotDecimal = alpha.decimal = alpha.commaDecimal = alpha.bengaliLocales = alpha.arabicLocales = alpha.alphanumeric = alpha.alpha = void 0;
	var alpha$1 = alpha.alpha = {
	  'en-US': /^[A-Z]+$/i,
	  'az-AZ': /^[A-VXYZÇƏĞİıÖŞÜ]+$/i,
	  'bg-BG': /^[А-Я]+$/i,
	  'cs-CZ': /^[A-ZÁČĎÉĚÍŇÓŘŠŤÚŮÝŽ]+$/i,
	  'da-DK': /^[A-ZÆØÅ]+$/i,
	  'de-DE': /^[A-ZÄÖÜß]+$/i,
	  'el-GR': /^[Α-ώ]+$/i,
	  'es-ES': /^[A-ZÁÉÍÑÓÚÜ]+$/i,
	  'fa-IR': /^[ابپتثجچحخدذرزژسشصضطظعغفقکگلمنوهی]+$/i,
	  'fi-FI': /^[A-ZÅÄÖ]+$/i,
	  'fr-FR': /^[A-ZÀÂÆÇÉÈÊËÏÎÔŒÙÛÜŸ]+$/i,
	  'it-IT': /^[A-ZÀÉÈÌÎÓÒÙ]+$/i,
	  'ja-JP': /^[ぁ-んァ-ヶｦ-ﾟ一-龠ー・。、]+$/i,
	  'nb-NO': /^[A-ZÆØÅ]+$/i,
	  'nl-NL': /^[A-ZÁÉËÏÓÖÜÚ]+$/i,
	  'nn-NO': /^[A-ZÆØÅ]+$/i,
	  'hu-HU': /^[A-ZÁÉÍÓÖŐÚÜŰ]+$/i,
	  'pl-PL': /^[A-ZĄĆĘŚŁŃÓŻŹ]+$/i,
	  'pt-PT': /^[A-ZÃÁÀÂÄÇÉÊËÍÏÕÓÔÖÚÜ]+$/i,
	  'ru-RU': /^[А-ЯЁ]+$/i,
	  'kk-KZ': /^[А-ЯЁ\u04D8\u04B0\u0406\u04A2\u0492\u04AE\u049A\u04E8\u04BA]+$/i,
	  'sl-SI': /^[A-ZČĆĐŠŽ]+$/i,
	  'sk-SK': /^[A-ZÁČĎÉÍŇÓŠŤÚÝŽĹŔĽÄÔ]+$/i,
	  'sr-RS@latin': /^[A-ZČĆŽŠĐ]+$/i,
	  'sr-RS': /^[А-ЯЂЈЉЊЋЏ]+$/i,
	  'sv-SE': /^[A-ZÅÄÖ]+$/i,
	  'th-TH': /^[ก-๐\s]+$/i,
	  'tr-TR': /^[A-ZÇĞİıÖŞÜ]+$/i,
	  'uk-UA': /^[А-ЩЬЮЯЄIЇҐі]+$/i,
	  'vi-VN': /^[A-ZÀÁẠẢÃÂẦẤẬẨẪĂẰẮẶẲẴĐÈÉẸẺẼÊỀẾỆỂỄÌÍỊỈĨÒÓỌỎÕÔỒỐỘỔỖƠỜỚỢỞỠÙÚỤỦŨƯỪỨỰỬỮỲÝỴỶỸ]+$/i,
	  'ko-KR': /^[ㄱ-ㅎㅏ-ㅣ가-힣]*$/,
	  'ku-IQ': /^[ئابپتجچحخدرڕزژسشعغفڤقکگلڵمنوۆھەیێيطؤثآإأكضصةظذ]+$/i,
	  ar: /^[ءآأؤإئابةتثجحخدذرزسشصضطظعغفقكلمنهوىيًٌٍَُِّْٰ]+$/,
	  he: /^[א-ת]+$/,
	  fa: /^['آاءأؤئبپتثجچحخدذرزژسشصضطظعغفقکگلمنوهةی']+$/i,
	  bn: /^['ঀঁংঃঅআইঈউঊঋঌএঐওঔকখগঘঙচছজঝঞটঠডঢণতথদধনপফবভমযরলশষসহ়ঽািীুূৃৄেৈোৌ্ৎৗড়ঢ়য়ৠৡৢৣৰৱ৲৳৴৵৶৷৸৹৺৻']+$/,
	  eo: /^[ABCĈD-GĜHĤIJĴK-PRSŜTUŬVZ]+$/i,
	  'hi-IN': /^[\u0900-\u0961]+[\u0972-\u097F]*$/i,
	  'si-LK': /^[\u0D80-\u0DFF]+$/
	};
	var alphanumeric = alpha.alphanumeric = {
	  'en-US': /^[0-9A-Z]+$/i,
	  'az-AZ': /^[0-9A-VXYZÇƏĞİıÖŞÜ]+$/i,
	  'bg-BG': /^[0-9А-Я]+$/i,
	  'cs-CZ': /^[0-9A-ZÁČĎÉĚÍŇÓŘŠŤÚŮÝŽ]+$/i,
	  'da-DK': /^[0-9A-ZÆØÅ]+$/i,
	  'de-DE': /^[0-9A-ZÄÖÜß]+$/i,
	  'el-GR': /^[0-9Α-ω]+$/i,
	  'es-ES': /^[0-9A-ZÁÉÍÑÓÚÜ]+$/i,
	  'fi-FI': /^[0-9A-ZÅÄÖ]+$/i,
	  'fr-FR': /^[0-9A-ZÀÂÆÇÉÈÊËÏÎÔŒÙÛÜŸ]+$/i,
	  'it-IT': /^[0-9A-ZÀÉÈÌÎÓÒÙ]+$/i,
	  'ja-JP': /^[0-9０-９ぁ-んァ-ヶｦ-ﾟ一-龠ー・。、]+$/i,
	  'hu-HU': /^[0-9A-ZÁÉÍÓÖŐÚÜŰ]+$/i,
	  'nb-NO': /^[0-9A-ZÆØÅ]+$/i,
	  'nl-NL': /^[0-9A-ZÁÉËÏÓÖÜÚ]+$/i,
	  'nn-NO': /^[0-9A-ZÆØÅ]+$/i,
	  'pl-PL': /^[0-9A-ZĄĆĘŚŁŃÓŻŹ]+$/i,
	  'pt-PT': /^[0-9A-ZÃÁÀÂÄÇÉÊËÍÏÕÓÔÖÚÜ]+$/i,
	  'ru-RU': /^[0-9А-ЯЁ]+$/i,
	  'kk-KZ': /^[0-9А-ЯЁ\u04D8\u04B0\u0406\u04A2\u0492\u04AE\u049A\u04E8\u04BA]+$/i,
	  'sl-SI': /^[0-9A-ZČĆĐŠŽ]+$/i,
	  'sk-SK': /^[0-9A-ZÁČĎÉÍŇÓŠŤÚÝŽĹŔĽÄÔ]+$/i,
	  'sr-RS@latin': /^[0-9A-ZČĆŽŠĐ]+$/i,
	  'sr-RS': /^[0-9А-ЯЂЈЉЊЋЏ]+$/i,
	  'sv-SE': /^[0-9A-ZÅÄÖ]+$/i,
	  'th-TH': /^[ก-๙\s]+$/i,
	  'tr-TR': /^[0-9A-ZÇĞİıÖŞÜ]+$/i,
	  'uk-UA': /^[0-9А-ЩЬЮЯЄIЇҐі]+$/i,
	  'ko-KR': /^[0-9ㄱ-ㅎㅏ-ㅣ가-힣]*$/,
	  'ku-IQ': /^[٠١٢٣٤٥٦٧٨٩0-9ئابپتجچحخدرڕزژسشعغفڤقکگلڵمنوۆھەیێيطؤثآإأكضصةظذ]+$/i,
	  'vi-VN': /^[0-9A-ZÀÁẠẢÃÂẦẤẬẨẪĂẰẮẶẲẴĐÈÉẸẺẼÊỀẾỆỂỄÌÍỊỈĨÒÓỌỎÕÔỒỐỘỔỖƠỜỚỢỞỠÙÚỤỦŨƯỪỨỰỬỮỲÝỴỶỸ]+$/i,
	  ar: /^[٠١٢٣٤٥٦٧٨٩0-9ءآأؤإئابةتثجحخدذرزسشصضطظعغفقكلمنهوىيًٌٍَُِّْٰ]+$/,
	  he: /^[0-9א-ת]+$/,
	  fa: /^['0-9آاءأؤئبپتثجچحخدذرزژسشصضطظعغفقکگلمنوهةی۱۲۳۴۵۶۷۸۹۰']+$/i,
	  bn: /^['ঀঁংঃঅআইঈউঊঋঌএঐওঔকখগঘঙচছজঝঞটঠডঢণতথদধনপফবভমযরলশষসহ়ঽািীুূৃৄেৈোৌ্ৎৗড়ঢ়য়ৠৡৢৣ০১২৩৪৫৬৭৮৯ৰৱ৲৳৴৵৶৷৸৹৺৻']+$/,
	  eo: /^[0-9ABCĈD-GĜHĤIJĴK-PRSŜTUŬVZ]+$/i,
	  'hi-IN': /^[\u0900-\u0963]+[\u0966-\u097F]*$/i,
	  'si-LK': /^[0-9\u0D80-\u0DFF]+$/
	};
	var decimal = alpha.decimal = {
	  'en-US': '.',
	  ar: '٫'
	};
	var englishLocales = alpha.englishLocales = ['AU', 'GB', 'HK', 'IN', 'NZ', 'ZA', 'ZM'];
	for (var locale, i = 0; i < englishLocales.length; i++) {
	  locale = "en-".concat(englishLocales[i]);
	  alpha$1[locale] = alpha$1['en-US'];
	  alphanumeric[locale] = alphanumeric['en-US'];
	  decimal[locale] = decimal['en-US'];
	}

	// Source: http://www.localeplanet.com/java/
	var arabicLocales = alpha.arabicLocales = ['AE', 'BH', 'DZ', 'EG', 'IQ', 'JO', 'KW', 'LB', 'LY', 'MA', 'QM', 'QA', 'SA', 'SD', 'SY', 'TN', 'YE'];
	for (var _locale, _i = 0; _i < arabicLocales.length; _i++) {
	  _locale = "ar-".concat(arabicLocales[_i]);
	  alpha$1[_locale] = alpha$1.ar;
	  alphanumeric[_locale] = alphanumeric.ar;
	  decimal[_locale] = decimal.ar;
	}
	var farsiLocales = alpha.farsiLocales = ['IR', 'AF'];
	for (var _locale2, _i2 = 0; _i2 < farsiLocales.length; _i2++) {
	  _locale2 = "fa-".concat(farsiLocales[_i2]);
	  alphanumeric[_locale2] = alphanumeric.fa;
	  decimal[_locale2] = decimal.ar;
	}
	var bengaliLocales = alpha.bengaliLocales = ['BD', 'IN'];
	for (var _locale3, _i3 = 0; _i3 < bengaliLocales.length; _i3++) {
	  _locale3 = "bn-".concat(bengaliLocales[_i3]);
	  alpha$1[_locale3] = alpha$1.bn;
	  alphanumeric[_locale3] = alphanumeric.bn;
	  decimal[_locale3] = decimal['en-US'];
	}

	// Source: https://en.wikipedia.org/wiki/Decimal_mark
	var dotDecimal = alpha.dotDecimal = ['ar-EG', 'ar-LB', 'ar-LY'];
	var commaDecimal = alpha.commaDecimal = ['bg-BG', 'cs-CZ', 'da-DK', 'de-DE', 'el-GR', 'en-ZM', 'eo', 'es-ES', 'fr-CA', 'fr-FR', 'id-ID', 'it-IT', 'ku-IQ', 'hi-IN', 'hu-HU', 'nb-NO', 'nn-NO', 'nl-NL', 'pl-PL', 'pt-PT', 'ru-RU', 'kk-KZ', 'si-LK', 'sl-SI', 'sr-RS@latin', 'sr-RS', 'sv-SE', 'tr-TR', 'uk-UA', 'vi-VN'];
	for (var _i4 = 0; _i4 < dotDecimal.length; _i4++) {
	  decimal[dotDecimal[_i4]] = decimal['en-US'];
	}
	for (var _i5 = 0; _i5 < commaDecimal.length; _i5++) {
	  decimal[commaDecimal[_i5]] = ',';
	}
	alpha$1['fr-CA'] = alpha$1['fr-FR'];
	alphanumeric['fr-CA'] = alphanumeric['fr-FR'];
	alpha$1['pt-BR'] = alpha$1['pt-PT'];
	alphanumeric['pt-BR'] = alphanumeric['pt-PT'];
	decimal['pt-BR'] = decimal['pt-PT'];

	// see #862
	alpha$1['pl-Pl'] = alpha$1['pl-PL'];
	alphanumeric['pl-Pl'] = alphanumeric['pl-PL'];
	decimal['pl-Pl'] = decimal['pl-PL'];

	// see #1455
	alpha$1['fa-AF'] = alpha$1.fa;
	return alpha;
}

var hasRequiredIsFloat;

function requireIsFloat () {
	if (hasRequiredIsFloat) return isFloat;
	hasRequiredIsFloat = 1;

	Object.defineProperty(isFloat, "__esModule", {
	  value: true
	});
	isFloat.default = isFloat$1;
	isFloat.locales = void 0;
	var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
	var _alpha = /*@__PURE__*/ requireAlpha();
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	function isFloat$1(str, options) {
	  (0, _assertString.default)(str);
	  options = options || {};
	  var float = new RegExp("^(?:[-+])?(?:[0-9]+)?(?:\\".concat(options.locale ? _alpha.decimal[options.locale] : '.', "[0-9]*)?(?:[eE][\\+\\-]?(?:[0-9]+))?$"));
	  if (str === '' || str === '.' || str === ',' || str === '-' || str === '+') {
	    return false;
	  }
	  var value = parseFloat(str.replace(',', '.'));
	  return float.test(str) && (!options.hasOwnProperty('min') || value >= options.min) && (!options.hasOwnProperty('max') || value <= options.max) && (!options.hasOwnProperty('lt') || value < options.lt) && (!options.hasOwnProperty('gt') || value > options.gt);
	}
	isFloat.locales = Object.keys(_alpha.decimal);
	return isFloat;
}

var hasRequiredToFloat;

function requireToFloat () {
	if (hasRequiredToFloat) return toFloat.exports;
	hasRequiredToFloat = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = toFloat;
		var _isFloat = _interopRequireDefault(/*@__PURE__*/ requireIsFloat());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function toFloat(str) {
		  if (!(0, _isFloat.default)(str)) return NaN;
		  return parseFloat(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (toFloat, toFloat.exports));
	return toFloat.exports;
}

var toInt = {exports: {}};

var hasRequiredToInt;

function requireToInt () {
	if (hasRequiredToInt) return toInt.exports;
	hasRequiredToInt = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = toInt;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function toInt(str, radix) {
		  (0, _assertString.default)(str);
		  return parseInt(str, radix || 10);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (toInt, toInt.exports));
	return toInt.exports;
}

var toBoolean = {exports: {}};

var hasRequiredToBoolean;

function requireToBoolean () {
	if (hasRequiredToBoolean) return toBoolean.exports;
	hasRequiredToBoolean = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = toBoolean;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function toBoolean(str, strict) {
		  (0, _assertString.default)(str);
		  if (strict) {
		    return str === '1' || /^true$/i.test(str);
		  }
		  return str !== '0' && !/^false$/i.test(str) && str !== '';
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (toBoolean, toBoolean.exports));
	return toBoolean.exports;
}

var equals = {exports: {}};

var hasRequiredEquals;

function requireEquals () {
	if (hasRequiredEquals) return equals.exports;
	hasRequiredEquals = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = equals;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function equals(str, comparison) {
		  (0, _assertString.default)(str);
		  return str === comparison;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (equals, equals.exports));
	return equals.exports;
}

var contains = {exports: {}};

var toString$1 = {exports: {}};

var hasRequiredToString;

function requireToString () {
	if (hasRequiredToString) return toString$1.exports;
	hasRequiredToString = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = toString;
		function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
		function toString(input) {
		  if (_typeof(input) === 'object' && input !== null) {
		    if (typeof input.toString === 'function') {
		      input = input.toString();
		    } else {
		      input = '[object Object]';
		    }
		  } else if (input === null || typeof input === 'undefined' || isNaN(input) && !input.length) {
		    input = '';
		  }
		  return String(input);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (toString$1, toString$1.exports));
	return toString$1.exports;
}

var merge = {exports: {}};

var hasRequiredMerge;

function requireMerge () {
	if (hasRequiredMerge) return merge.exports;
	hasRequiredMerge = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = merge;
		function merge() {
		  var obj = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
		  var defaults = arguments.length > 1 ? arguments[1] : undefined;
		  for (var key in defaults) {
		    if (typeof obj[key] === 'undefined') {
		      obj[key] = defaults[key];
		    }
		  }
		  return obj;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (merge, merge.exports));
	return merge.exports;
}

var hasRequiredContains;

function requireContains () {
	if (hasRequiredContains) return contains.exports;
	hasRequiredContains = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = contains;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _toString = _interopRequireDefault(/*@__PURE__*/ requireToString());
		var _merge = _interopRequireDefault(/*@__PURE__*/ requireMerge());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var defaulContainsOptions = {
		  ignoreCase: false,
		  minOccurrences: 1
		};
		function contains(str, elem, options) {
		  (0, _assertString.default)(str);
		  options = (0, _merge.default)(options, defaulContainsOptions);
		  if (options.ignoreCase) {
		    return str.toLowerCase().split((0, _toString.default)(elem).toLowerCase()).length > options.minOccurrences;
		  }
		  return str.split((0, _toString.default)(elem)).length > options.minOccurrences;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (contains, contains.exports));
	return contains.exports;
}

var matches = {exports: {}};

var hasRequiredMatches;

function requireMatches () {
	if (hasRequiredMatches) return matches.exports;
	hasRequiredMatches = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = matches;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function matches(str, pattern, modifiers) {
		  (0, _assertString.default)(str);
		  if (Object.prototype.toString.call(pattern) !== '[object RegExp]') {
		    pattern = new RegExp(pattern, modifiers);
		  }
		  return !!str.match(pattern);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (matches, matches.exports));
	return matches.exports;
}

var isEmail = {exports: {}};

var isByteLength = {exports: {}};

var hasRequiredIsByteLength;

function requireIsByteLength () {
	if (hasRequiredIsByteLength) return isByteLength.exports;
	hasRequiredIsByteLength = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isByteLength;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
		/* eslint-disable prefer-rest-params */
		function isByteLength(str, options) {
		  (0, _assertString.default)(str);
		  var min;
		  var max;
		  if (_typeof(options) === 'object') {
		    min = options.min || 0;
		    max = options.max;
		  } else {
		    // backwards compatibility: isByteLength(str, min [, max])
		    min = arguments[1];
		    max = arguments[2];
		  }
		  var len = encodeURI(str).split(/%..|./).length - 1;
		  return len >= min && (typeof max === 'undefined' || len <= max);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isByteLength, isByteLength.exports));
	return isByteLength.exports;
}

var isFQDN = {exports: {}};

var hasRequiredIsFQDN;

function requireIsFQDN () {
	if (hasRequiredIsFQDN) return isFQDN.exports;
	hasRequiredIsFQDN = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isFQDN;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _merge = _interopRequireDefault(/*@__PURE__*/ requireMerge());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var default_fqdn_options = {
		  require_tld: true,
		  allow_underscores: false,
		  allow_trailing_dot: false,
		  allow_numeric_tld: false,
		  allow_wildcard: false,
		  ignore_max_length: false
		};
		function isFQDN(str, options) {
		  (0, _assertString.default)(str);
		  options = (0, _merge.default)(options, default_fqdn_options);

		  /* Remove the optional trailing dot before checking validity */
		  if (options.allow_trailing_dot && str[str.length - 1] === '.') {
		    str = str.substring(0, str.length - 1);
		  }

		  /* Remove the optional wildcard before checking validity */
		  if (options.allow_wildcard === true && str.indexOf('*.') === 0) {
		    str = str.substring(2);
		  }
		  var parts = str.split('.');
		  var tld = parts[parts.length - 1];
		  if (options.require_tld) {
		    // disallow fqdns without tld
		    if (parts.length < 2) {
		      return false;
		    }
		    if (!options.allow_numeric_tld && !/^([a-z\u00A1-\u00A8\u00AA-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]{2,}|xn[a-z0-9-]{2,})$/i.test(tld)) {
		      return false;
		    }

		    // disallow spaces
		    if (/\s/.test(tld)) {
		      return false;
		    }
		  }

		  // reject numeric TLDs
		  if (!options.allow_numeric_tld && /^\d+$/.test(tld)) {
		    return false;
		  }
		  return parts.every(function (part) {
		    if (part.length > 63 && !options.ignore_max_length) {
		      return false;
		    }
		    if (!/^[a-z_\u00a1-\uffff0-9-]+$/i.test(part)) {
		      return false;
		    }

		    // disallow full-width chars
		    if (/[\uff01-\uff5e]/.test(part)) {
		      return false;
		    }

		    // disallow parts starting or ending with hyphen
		    if (/^-|-$/.test(part)) {
		      return false;
		    }
		    if (!options.allow_underscores && /_/.test(part)) {
		      return false;
		    }
		    return true;
		  });
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isFQDN, isFQDN.exports));
	return isFQDN.exports;
}

var isIP = {exports: {}};

var hasRequiredIsIP;

function requireIsIP () {
	if (hasRequiredIsIP) return isIP.exports;
	hasRequiredIsIP = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isIP;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		/**
		11.3.  Examples

		   The following addresses

		             fe80::1234 (on the 1st link of the node)
		             ff02::5678 (on the 5th link of the node)
		             ff08::9abc (on the 10th organization of the node)

		   would be represented as follows:

		             fe80::1234%1
		             ff02::5678%5
		             ff08::9abc%10

		   (Here we assume a natural translation from a zone index to the
		   <zone_id> part, where the Nth zone of any scope is translated into
		   "N".)

		   If we use interface names as <zone_id>, those addresses could also be
		   represented as follows:

		            fe80::1234%ne0
		            ff02::5678%pvc1.3
		            ff08::9abc%interface10

		   where the interface "ne0" belongs to the 1st link, "pvc1.3" belongs
		   to the 5th link, and "interface10" belongs to the 10th organization.
		 * * */
		var IPv4SegmentFormat = '(?:[0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])';
		var IPv4AddressFormat = "(".concat(IPv4SegmentFormat, "[.]){3}").concat(IPv4SegmentFormat);
		var IPv4AddressRegExp = new RegExp("^".concat(IPv4AddressFormat, "$"));
		var IPv6SegmentFormat = '(?:[0-9a-fA-F]{1,4})';
		var IPv6AddressRegExp = new RegExp('^(' + "(?:".concat(IPv6SegmentFormat, ":){7}(?:").concat(IPv6SegmentFormat, "|:)|") + "(?:".concat(IPv6SegmentFormat, ":){6}(?:").concat(IPv4AddressFormat, "|:").concat(IPv6SegmentFormat, "|:)|") + "(?:".concat(IPv6SegmentFormat, ":){5}(?::").concat(IPv4AddressFormat, "|(:").concat(IPv6SegmentFormat, "){1,2}|:)|") + "(?:".concat(IPv6SegmentFormat, ":){4}(?:(:").concat(IPv6SegmentFormat, "){0,1}:").concat(IPv4AddressFormat, "|(:").concat(IPv6SegmentFormat, "){1,3}|:)|") + "(?:".concat(IPv6SegmentFormat, ":){3}(?:(:").concat(IPv6SegmentFormat, "){0,2}:").concat(IPv4AddressFormat, "|(:").concat(IPv6SegmentFormat, "){1,4}|:)|") + "(?:".concat(IPv6SegmentFormat, ":){2}(?:(:").concat(IPv6SegmentFormat, "){0,3}:").concat(IPv4AddressFormat, "|(:").concat(IPv6SegmentFormat, "){1,5}|:)|") + "(?:".concat(IPv6SegmentFormat, ":){1}(?:(:").concat(IPv6SegmentFormat, "){0,4}:").concat(IPv4AddressFormat, "|(:").concat(IPv6SegmentFormat, "){1,6}|:)|") + "(?::((?::".concat(IPv6SegmentFormat, "){0,5}:").concat(IPv4AddressFormat, "|(?::").concat(IPv6SegmentFormat, "){1,7}|:))") + ')(%[0-9a-zA-Z-.:]{1,})?$');
		function isIP(str) {
		  var version = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
		  (0, _assertString.default)(str);
		  version = String(version);
		  if (!version) {
		    return isIP(str, 4) || isIP(str, 6);
		  }
		  if (version === '4') {
		    return IPv4AddressRegExp.test(str);
		  }
		  if (version === '6') {
		    return IPv6AddressRegExp.test(str);
		  }
		  return false;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isIP, isIP.exports));
	return isIP.exports;
}

var hasRequiredIsEmail;

function requireIsEmail () {
	if (hasRequiredIsEmail) return isEmail.exports;
	hasRequiredIsEmail = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isEmail;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _isByteLength = _interopRequireDefault(/*@__PURE__*/ requireIsByteLength());
		var _isFQDN = _interopRequireDefault(/*@__PURE__*/ requireIsFQDN());
		var _isIP = _interopRequireDefault(/*@__PURE__*/ requireIsIP());
		var _merge = _interopRequireDefault(/*@__PURE__*/ requireMerge());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var default_email_options = {
		  allow_display_name: false,
		  allow_underscores: false,
		  require_display_name: false,
		  allow_utf8_local_part: true,
		  require_tld: true,
		  blacklisted_chars: '',
		  ignore_max_length: false,
		  host_blacklist: [],
		  host_whitelist: []
		};

		/* eslint-disable max-len */
		/* eslint-disable no-control-regex */
		var splitNameAddress = /^([^\x00-\x1F\x7F-\x9F\cX]+)</i;
		var emailUserPart = /^[a-z\d!#\$%&'\*\+\-\/=\?\^_`{\|}~]+$/i;
		var gmailUserPart = /^[a-z\d]+$/;
		var quotedEmailUser = /^([\s\x01-\x08\x0b\x0c\x0e-\x1f\x7f\x21\x23-\x5b\x5d-\x7e]|(\\[\x01-\x09\x0b\x0c\x0d-\x7f]))*$/i;
		var emailUserUtf8Part = /^[a-z\d!#\$%&'\*\+\-\/=\?\^_`{\|}~\u00A1-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]+$/i;
		var quotedEmailUserUtf8 = /^([\s\x01-\x08\x0b\x0c\x0e-\x1f\x7f\x21\x23-\x5b\x5d-\x7e\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|(\\[\x01-\x09\x0b\x0c\x0d-\x7f\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))*$/i;
		var defaultMaxEmailLength = 254;
		/* eslint-enable max-len */
		/* eslint-enable no-control-regex */

		/**
		 * Validate display name according to the RFC2822: https://tools.ietf.org/html/rfc2822#appendix-A.1.2
		 * @param {String} display_name
		 */
		function validateDisplayName(display_name) {
		  var display_name_without_quotes = display_name.replace(/^"(.+)"$/, '$1');
		  // display name with only spaces is not valid
		  if (!display_name_without_quotes.trim()) {
		    return false;
		  }

		  // check whether display name contains illegal character
		  var contains_illegal = /[\.";<>]/.test(display_name_without_quotes);
		  if (contains_illegal) {
		    // if contains illegal characters,
		    // must to be enclosed in double-quotes, otherwise it's not a valid display name
		    if (display_name_without_quotes === display_name) {
		      return false;
		    }

		    // the quotes in display name must start with character symbol \
		    var all_start_with_back_slash = display_name_without_quotes.split('"').length === display_name_without_quotes.split('\\"').length;
		    if (!all_start_with_back_slash) {
		      return false;
		    }
		  }
		  return true;
		}
		function isEmail(str, options) {
		  (0, _assertString.default)(str);
		  options = (0, _merge.default)(options, default_email_options);
		  if (options.require_display_name || options.allow_display_name) {
		    var display_email = str.match(splitNameAddress);
		    if (display_email) {
		      var display_name = display_email[1];

		      // Remove display name and angle brackets to get email address
		      // Can be done in the regex but will introduce a ReDOS (See  #1597 for more info)
		      str = str.replace(display_name, '').replace(/(^<|>$)/g, '');

		      // sometimes need to trim the last space to get the display name
		      // because there may be a space between display name and email address
		      // eg. myname <address@gmail.com>
		      // the display name is `myname` instead of `myname `, so need to trim the last space
		      if (display_name.endsWith(' ')) {
		        display_name = display_name.slice(0, -1);
		      }
		      if (!validateDisplayName(display_name)) {
		        return false;
		      }
		    } else if (options.require_display_name) {
		      return false;
		    }
		  }
		  if (!options.ignore_max_length && str.length > defaultMaxEmailLength) {
		    return false;
		  }
		  var parts = str.split('@');
		  var domain = parts.pop();
		  var lower_domain = domain.toLowerCase();
		  if (options.host_blacklist.includes(lower_domain)) {
		    return false;
		  }
		  if (options.host_whitelist.length > 0 && !options.host_whitelist.includes(lower_domain)) {
		    return false;
		  }
		  var user = parts.join('@');
		  if (options.domain_specific_validation && (lower_domain === 'gmail.com' || lower_domain === 'googlemail.com')) {
		    /*
		      Previously we removed dots for gmail addresses before validating.
		      This was removed because it allows `multiple..dots@gmail.com`
		      to be reported as valid, but it is not.
		      Gmail only normalizes single dots, removing them from here is pointless,
		      should be done in normalizeEmail
		    */
		    user = user.toLowerCase();

		    // Removing sub-address from username before gmail validation
		    var username = user.split('+')[0];

		    // Dots are not included in gmail length restriction
		    if (!(0, _isByteLength.default)(username.replace(/\./g, ''), {
		      min: 6,
		      max: 30
		    })) {
		      return false;
		    }
		    var _user_parts = username.split('.');
		    for (var i = 0; i < _user_parts.length; i++) {
		      if (!gmailUserPart.test(_user_parts[i])) {
		        return false;
		      }
		    }
		  }
		  if (options.ignore_max_length === false && (!(0, _isByteLength.default)(user, {
		    max: 64
		  }) || !(0, _isByteLength.default)(domain, {
		    max: 254
		  }))) {
		    return false;
		  }
		  if (!(0, _isFQDN.default)(domain, {
		    require_tld: options.require_tld,
		    ignore_max_length: options.ignore_max_length,
		    allow_underscores: options.allow_underscores
		  })) {
		    if (!options.allow_ip_domain) {
		      return false;
		    }
		    if (!(0, _isIP.default)(domain)) {
		      if (!domain.startsWith('[') || !domain.endsWith(']')) {
		        return false;
		      }
		      var noBracketdomain = domain.slice(1, -1);
		      if (noBracketdomain.length === 0 || !(0, _isIP.default)(noBracketdomain)) {
		        return false;
		      }
		    }
		  }
		  if (user[0] === '"') {
		    user = user.slice(1, user.length - 1);
		    return options.allow_utf8_local_part ? quotedEmailUserUtf8.test(user) : quotedEmailUser.test(user);
		  }
		  var pattern = options.allow_utf8_local_part ? emailUserUtf8Part : emailUserPart;
		  var user_parts = user.split('.');
		  for (var _i = 0; _i < user_parts.length; _i++) {
		    if (!pattern.test(user_parts[_i])) {
		      return false;
		    }
		  }
		  if (options.blacklisted_chars) {
		    if (user.search(new RegExp("[".concat(options.blacklisted_chars, "]+"), 'g')) !== -1) return false;
		  }
		  return true;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isEmail, isEmail.exports));
	return isEmail.exports;
}

var isURL = {exports: {}};

var hasRequiredIsURL;

function requireIsURL () {
	if (hasRequiredIsURL) return isURL.exports;
	hasRequiredIsURL = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isURL;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _isFQDN = _interopRequireDefault(/*@__PURE__*/ requireIsFQDN());
		var _isIP = _interopRequireDefault(/*@__PURE__*/ requireIsIP());
		var _merge = _interopRequireDefault(/*@__PURE__*/ requireMerge());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
		function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
		function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
		function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
		function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) ; else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
		function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
		/*
		options for isURL method

		require_protocol - if set as true isURL will return false if protocol is not present in the URL
		require_valid_protocol - isURL will check if the URL's protocol is present in the protocols option
		protocols - valid protocols can be modified with this option
		require_host - if set as false isURL will not check if host is present in the URL
		require_port - if set as true isURL will check if port is present in the URL
		allow_protocol_relative_urls - if set as true protocol relative URLs will be allowed
		validate_length - if set as false isURL will skip string length validation (IE maximum is 2083)

		*/

		var default_url_options = {
		  protocols: ['http', 'https', 'ftp'],
		  require_tld: true,
		  require_protocol: false,
		  require_host: true,
		  require_port: false,
		  require_valid_protocol: true,
		  allow_underscores: false,
		  allow_trailing_dot: false,
		  allow_protocol_relative_urls: false,
		  allow_fragments: true,
		  allow_query_components: true,
		  validate_length: true
		};
		var wrapped_ipv6 = /^\[([^\]]+)\](?::([0-9]+))?$/;
		function isRegExp(obj) {
		  return Object.prototype.toString.call(obj) === '[object RegExp]';
		}
		function checkHost(host, matches) {
		  for (var i = 0; i < matches.length; i++) {
		    var match = matches[i];
		    if (host === match || isRegExp(match) && match.test(host)) {
		      return true;
		    }
		  }
		  return false;
		}
		function isURL(url, options) {
		  (0, _assertString.default)(url);
		  if (!url || /[\s<>]/.test(url)) {
		    return false;
		  }
		  if (url.indexOf('mailto:') === 0) {
		    return false;
		  }
		  options = (0, _merge.default)(options, default_url_options);
		  if (options.validate_length && url.length >= 2083) {
		    return false;
		  }
		  if (!options.allow_fragments && url.includes('#')) {
		    return false;
		  }
		  if (!options.allow_query_components && (url.includes('?') || url.includes('&'))) {
		    return false;
		  }
		  var protocol, auth, host, hostname, port, port_str, split, ipv6;
		  split = url.split('#');
		  url = split.shift();
		  split = url.split('?');
		  url = split.shift();
		  split = url.split('://');
		  if (split.length > 1) {
		    protocol = split.shift().toLowerCase();
		    if (options.require_valid_protocol && options.protocols.indexOf(protocol) === -1) {
		      return false;
		    }
		  } else if (options.require_protocol) {
		    return false;
		  } else if (url.slice(0, 2) === '//') {
		    if (!options.allow_protocol_relative_urls) {
		      return false;
		    }
		    split[0] = url.slice(2);
		  }
		  url = split.join('://');
		  if (url === '') {
		    return false;
		  }
		  split = url.split('/');
		  url = split.shift();
		  if (url === '' && !options.require_host) {
		    return true;
		  }
		  split = url.split('@');
		  if (split.length > 1) {
		    if (options.disallow_auth) {
		      return false;
		    }
		    if (split[0] === '') {
		      return false;
		    }
		    auth = split.shift();
		    if (auth.indexOf(':') >= 0 && auth.split(':').length > 2) {
		      return false;
		    }
		    var _auth$split = auth.split(':'),
		      _auth$split2 = _slicedToArray(_auth$split, 2),
		      user = _auth$split2[0],
		      password = _auth$split2[1];
		    if (user === '' && password === '') {
		      return false;
		    }
		  }
		  hostname = split.join('@');
		  port_str = null;
		  ipv6 = null;
		  var ipv6_match = hostname.match(wrapped_ipv6);
		  if (ipv6_match) {
		    host = '';
		    ipv6 = ipv6_match[1];
		    port_str = ipv6_match[2] || null;
		  } else {
		    split = hostname.split(':');
		    host = split.shift();
		    if (split.length) {
		      port_str = split.join(':');
		    }
		  }
		  if (port_str !== null && port_str.length > 0) {
		    port = parseInt(port_str, 10);
		    if (!/^[0-9]+$/.test(port_str) || port <= 0 || port > 65535) {
		      return false;
		    }
		  } else if (options.require_port) {
		    return false;
		  }
		  if (options.host_whitelist) {
		    return checkHost(host, options.host_whitelist);
		  }
		  if (host === '' && !options.require_host) {
		    return true;
		  }
		  if (!(0, _isIP.default)(host) && !(0, _isFQDN.default)(host, options) && (!ipv6 || !(0, _isIP.default)(ipv6, 6))) {
		    return false;
		  }
		  host = host || ipv6;
		  if (options.host_blacklist && checkHost(host, options.host_blacklist)) {
		    return false;
		  }
		  return true;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isURL, isURL.exports));
	return isURL.exports;
}

var isMACAddress = {exports: {}};

var hasRequiredIsMACAddress;

function requireIsMACAddress () {
	if (hasRequiredIsMACAddress) return isMACAddress.exports;
	hasRequiredIsMACAddress = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isMACAddress;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var macAddress48 = /^(?:[0-9a-fA-F]{2}([-:\s]))([0-9a-fA-F]{2}\1){4}([0-9a-fA-F]{2})$/;
		var macAddress48NoSeparators = /^([0-9a-fA-F]){12}$/;
		var macAddress48WithDots = /^([0-9a-fA-F]{4}\.){2}([0-9a-fA-F]{4})$/;
		var macAddress64 = /^(?:[0-9a-fA-F]{2}([-:\s]))([0-9a-fA-F]{2}\1){6}([0-9a-fA-F]{2})$/;
		var macAddress64NoSeparators = /^([0-9a-fA-F]){16}$/;
		var macAddress64WithDots = /^([0-9a-fA-F]{4}\.){3}([0-9a-fA-F]{4})$/;
		function isMACAddress(str, options) {
		  (0, _assertString.default)(str);
		  if (options !== null && options !== void 0 && options.eui) {
		    options.eui = String(options.eui);
		  }
		  /**
		   * @deprecated `no_colons` TODO: remove it in the next major
		  */
		  if (options !== null && options !== void 0 && options.no_colons || options !== null && options !== void 0 && options.no_separators) {
		    if (options.eui === '48') {
		      return macAddress48NoSeparators.test(str);
		    }
		    if (options.eui === '64') {
		      return macAddress64NoSeparators.test(str);
		    }
		    return macAddress48NoSeparators.test(str) || macAddress64NoSeparators.test(str);
		  }
		  if ((options === null || options === void 0 ? void 0 : options.eui) === '48') {
		    return macAddress48.test(str) || macAddress48WithDots.test(str);
		  }
		  if ((options === null || options === void 0 ? void 0 : options.eui) === '64') {
		    return macAddress64.test(str) || macAddress64WithDots.test(str);
		  }
		  return isMACAddress(str, {
		    eui: '48'
		  }) || isMACAddress(str, {
		    eui: '64'
		  });
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isMACAddress, isMACAddress.exports));
	return isMACAddress.exports;
}

var isIPRange = {exports: {}};

var hasRequiredIsIPRange;

function requireIsIPRange () {
	if (hasRequiredIsIPRange) return isIPRange.exports;
	hasRequiredIsIPRange = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isIPRange;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _isIP = _interopRequireDefault(/*@__PURE__*/ requireIsIP());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var subnetMaybe = /^\d{1,3}$/;
		var v4Subnet = 32;
		var v6Subnet = 128;
		function isIPRange(str) {
		  var version = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
		  (0, _assertString.default)(str);
		  var parts = str.split('/');

		  // parts[0] -> ip, parts[1] -> subnet
		  if (parts.length !== 2) {
		    return false;
		  }
		  if (!subnetMaybe.test(parts[1])) {
		    return false;
		  }

		  // Disallow preceding 0 i.e. 01, 02, ...
		  if (parts[1].length > 1 && parts[1].startsWith('0')) {
		    return false;
		  }
		  var isValidIP = (0, _isIP.default)(parts[0], version);
		  if (!isValidIP) {
		    return false;
		  }

		  // Define valid subnet according to IP's version
		  var expectedSubnet = null;
		  switch (String(version)) {
		    case '4':
		      expectedSubnet = v4Subnet;
		      break;
		    case '6':
		      expectedSubnet = v6Subnet;
		      break;
		    default:
		      expectedSubnet = (0, _isIP.default)(parts[0], '6') ? v6Subnet : v4Subnet;
		  }
		  return parts[1] <= expectedSubnet && parts[1] >= 0;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isIPRange, isIPRange.exports));
	return isIPRange.exports;
}

var isDate = {exports: {}};

var hasRequiredIsDate;

function requireIsDate () {
	if (hasRequiredIsDate) return isDate.exports;
	hasRequiredIsDate = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isDate;
		var _merge = _interopRequireDefault(/*@__PURE__*/ requireMerge());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
		function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
		function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) ; else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
		function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
		function _createForOfIteratorHelper(o, allowArrayLike) { var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"]; if (!it) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike) { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = it.call(o); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it.return != null) it.return(); } finally { if (didErr) throw err; } } }; }
		function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
		function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
		var default_date_options = {
		  format: 'YYYY/MM/DD',
		  delimiters: ['/', '-'],
		  strictMode: false
		};
		function isValidFormat(format) {
		  return /(^(y{4}|y{2})[.\/-](m{1,2})[.\/-](d{1,2})$)|(^(m{1,2})[.\/-](d{1,2})[.\/-]((y{4}|y{2})$))|(^(d{1,2})[.\/-](m{1,2})[.\/-]((y{4}|y{2})$))/gi.test(format);
		}
		function zip(date, format) {
		  var zippedArr = [],
		    len = Math.min(date.length, format.length);
		  for (var i = 0; i < len; i++) {
		    zippedArr.push([date[i], format[i]]);
		  }
		  return zippedArr;
		}
		function isDate(input, options) {
		  if (typeof options === 'string') {
		    // Allow backward compatibility for old format isDate(input [, format])
		    options = (0, _merge.default)({
		      format: options
		    }, default_date_options);
		  } else {
		    options = (0, _merge.default)(options, default_date_options);
		  }
		  if (typeof input === 'string' && isValidFormat(options.format)) {
		    var formatDelimiter = options.delimiters.find(function (delimiter) {
		      return options.format.indexOf(delimiter) !== -1;
		    });
		    var dateDelimiter = options.strictMode ? formatDelimiter : options.delimiters.find(function (delimiter) {
		      return input.indexOf(delimiter) !== -1;
		    });
		    var dateAndFormat = zip(input.split(dateDelimiter), options.format.toLowerCase().split(formatDelimiter));
		    var dateObj = {};
		    var _iterator = _createForOfIteratorHelper(dateAndFormat),
		      _step;
		    try {
		      for (_iterator.s(); !(_step = _iterator.n()).done;) {
		        var _step$value = _slicedToArray(_step.value, 2),
		          dateWord = _step$value[0],
		          formatWord = _step$value[1];
		        if (dateWord.length !== formatWord.length) {
		          return false;
		        }
		        dateObj[formatWord.charAt(0)] = dateWord;
		      }
		    } catch (err) {
		      _iterator.e(err);
		    } finally {
		      _iterator.f();
		    }
		    var fullYear = dateObj.y;

		    // Check if the year starts with a hyphen
		    if (fullYear.startsWith('-')) {
		      return false; // Hyphen before year is not allowed
		    }
		    if (dateObj.y.length === 2) {
		      var parsedYear = parseInt(dateObj.y, 10);
		      if (isNaN(parsedYear)) {
		        return false;
		      }
		      var currentYearLastTwoDigits = new Date().getFullYear() % 100;
		      if (parsedYear < currentYearLastTwoDigits) {
		        fullYear = "20".concat(dateObj.y);
		      } else {
		        fullYear = "19".concat(dateObj.y);
		      }
		    }
		    var month = dateObj.m;
		    if (dateObj.m.length === 1) {
		      month = "0".concat(dateObj.m);
		    }
		    var day = dateObj.d;
		    if (dateObj.d.length === 1) {
		      day = "0".concat(dateObj.d);
		    }
		    return new Date("".concat(fullYear, "-").concat(month, "-").concat(day, "T00:00:00.000Z")).getUTCDate() === +dateObj.d;
		  }
		  if (!options.strictMode) {
		    return Object.prototype.toString.call(input) === '[object Date]' && isFinite(input);
		  }
		  return false;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isDate, isDate.exports));
	return isDate.exports;
}

var isTime = {exports: {}};

var hasRequiredIsTime;

function requireIsTime () {
	if (hasRequiredIsTime) return isTime.exports;
	hasRequiredIsTime = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isTime;
		var _merge = _interopRequireDefault(/*@__PURE__*/ requireMerge());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var default_time_options = {
		  hourFormat: 'hour24',
		  mode: 'default'
		};
		var formats = {
		  hour24: {
		    default: /^([01]?[0-9]|2[0-3]):([0-5][0-9])$/,
		    withSeconds: /^([01]?[0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])$/
		  },
		  hour12: {
		    default: /^(0?[1-9]|1[0-2]):([0-5][0-9]) (A|P)M$/,
		    withSeconds: /^(0?[1-9]|1[0-2]):([0-5][0-9]):([0-5][0-9]) (A|P)M$/
		  }
		};
		function isTime(input, options) {
		  options = (0, _merge.default)(options, default_time_options);
		  if (typeof input !== 'string') return false;
		  return formats[options.hourFormat][options.mode].test(input);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isTime, isTime.exports));
	return isTime.exports;
}

var isBoolean = {exports: {}};

var hasRequiredIsBoolean;

function requireIsBoolean () {
	if (hasRequiredIsBoolean) return isBoolean.exports;
	hasRequiredIsBoolean = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isBoolean;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var defaultOptions = {
		  loose: false
		};
		var strictBooleans = ['true', 'false', '1', '0'];
		var looseBooleans = [].concat(strictBooleans, ['yes', 'no']);
		function isBoolean(str) {
		  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultOptions;
		  (0, _assertString.default)(str);
		  if (options.loose) {
		    return looseBooleans.includes(str.toLowerCase());
		  }
		  return strictBooleans.includes(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isBoolean, isBoolean.exports));
	return isBoolean.exports;
}

var isLocale = {exports: {}};

var hasRequiredIsLocale;

function requireIsLocale () {
	if (hasRequiredIsLocale) return isLocale.exports;
	hasRequiredIsLocale = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isLocale;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		/*
		  = 3ALPHA              ; selected ISO 639 codes
		    *2("-" 3ALPHA)      ; permanently reserved
		 */
		var extlang = '([A-Za-z]{3}(-[A-Za-z]{3}){0,2})';

		/*
		  = 2*3ALPHA            ; shortest ISO 639 code
		    ["-" extlang]       ; sometimes followed by
		                        ; extended language subtags
		  / 4ALPHA              ; or reserved for future use
		  / 5*8ALPHA            ; or registered language subtag
		 */
		var language = "(([a-zA-Z]{2,3}(-".concat(extlang, ")?)|([a-zA-Z]{5,8}))");

		/*
		  = 4ALPHA              ; ISO 15924 code
		 */
		var script = '([A-Za-z]{4})';

		/*
		  = 2ALPHA              ; ISO 3166-1 code
		  / 3DIGIT              ; UN M.49 code
		 */
		var region = '([A-Za-z]{2}|\\d{3})';

		/*
		  = 5*8alphanum         ; registered variants
		  / (DIGIT 3alphanum)
		 */
		var variant = '([A-Za-z0-9]{5,8}|(\\d[A-Z-a-z0-9]{3}))';

		/*
		  = DIGIT               ; 0 - 9
		  / %x41-57             ; A - W
		  / %x59-5A             ; Y - Z
		  / %x61-77             ; a - w
		  / %x79-7A             ; y - z
		 */
		var singleton = '(\\d|[A-W]|[Y-Z]|[a-w]|[y-z])';

		/*
		  = singleton 1*("-" (2*8alphanum))
		                        ; Single alphanumerics
		                        ; "x" reserved for private use
		 */
		var extension = "(".concat(singleton, "(-[A-Za-z0-9]{2,8})+)");

		/*
		  = "x" 1*("-" (1*8alphanum))
		 */
		var privateuse = '(x(-[A-Za-z0-9]{1,8})+)';

		// irregular tags do not match the 'langtag' production and would not
		// otherwise be considered 'well-formed'. These tags are all valid, but
		// most are deprecated in favor of more modern subtags or subtag combination

		var irregular = '((en-GB-oed)|(i-ami)|(i-bnn)|(i-default)|(i-enochian)|' + '(i-hak)|(i-klingon)|(i-lux)|(i-mingo)|(i-navajo)|(i-pwn)|(i-tao)|' + '(i-tay)|(i-tsu)|(sgn-BE-FR)|(sgn-BE-NL)|(sgn-CH-DE))';

		// regular tags match the 'langtag' production, but their subtags are not
		// extended language or variant subtags: their meaning is defined by
		// their registration and all of these are deprecated in favor of a more
		// modern subtag or sequence of subtags

		var regular = '((art-lojban)|(cel-gaulish)|(no-bok)|(no-nyn)|(zh-guoyu)|' + '(zh-hakka)|(zh-min)|(zh-min-nan)|(zh-xiang))';

		/*
		  = irregular           ; non-redundant tags registered
		  / regular             ; during the RFC 3066 era

		 */
		var grandfathered = "(".concat(irregular, "|").concat(regular, ")");

		/*
		  RFC 5646 defines delimitation of subtags via a hyphen:

		      "Subtag" refers to a specific section of a tag, delimited by a
		      hyphen, such as the subtags 'zh', 'Hant', and 'CN' in the tag "zh-
		      Hant-CN".  Examples of subtags in this document are enclosed in
		      single quotes ('Hant')

		  However, we need to add "_" to maintain the existing behaviour.
		 */
		var delimiter = '(-|_)';

		/*
		  = language
		    ["-" script]
		    ["-" region]
		    *("-" variant)
		    *("-" extension)
		    ["-" privateuse]
		 */
		var langtag = "".concat(language, "(").concat(delimiter).concat(script, ")?(").concat(delimiter).concat(region, ")?(").concat(delimiter).concat(variant, ")*(").concat(delimiter).concat(extension, ")*(").concat(delimiter).concat(privateuse, ")?");

		/*
		  Regex implementation based on BCP RFC 5646
		  Tags for Identifying Languages
		  https://www.rfc-editor.org/rfc/rfc5646.html
		 */
		var languageTagRegex = new RegExp("(^".concat(privateuse, "$)|(^").concat(grandfathered, "$)|(^").concat(langtag, "$)"));
		function isLocale(str) {
		  (0, _assertString.default)(str);
		  return languageTagRegex.test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isLocale, isLocale.exports));
	return isLocale.exports;
}

var isAbaRouting = {exports: {}};

var hasRequiredIsAbaRouting;

function requireIsAbaRouting () {
	if (hasRequiredIsAbaRouting) return isAbaRouting.exports;
	hasRequiredIsAbaRouting = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isAbaRouting;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		// http://www.brainjar.com/js/validation/
		// https://www.aba.com/news-research/research-analysis/routing-number-policy-procedures
		// series reserved for future use are excluded
		var isRoutingReg = /^(?!(1[3-9])|(20)|(3[3-9])|(4[0-9])|(5[0-9])|(60)|(7[3-9])|(8[1-9])|(9[0-2])|(9[3-9]))[0-9]{9}$/;
		function isAbaRouting(str) {
		  (0, _assertString.default)(str);
		  if (!isRoutingReg.test(str)) return false;
		  var checkSumVal = 0;
		  for (var i = 0; i < str.length; i++) {
		    if (i % 3 === 0) checkSumVal += str[i] * 3;else if (i % 3 === 1) checkSumVal += str[i] * 7;else checkSumVal += str[i] * 1;
		  }
		  return checkSumVal % 10 === 0;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isAbaRouting, isAbaRouting.exports));
	return isAbaRouting.exports;
}

var isAlpha = {};

var hasRequiredIsAlpha;

function requireIsAlpha () {
	if (hasRequiredIsAlpha) return isAlpha;
	hasRequiredIsAlpha = 1;

	Object.defineProperty(isAlpha, "__esModule", {
	  value: true
	});
	isAlpha.default = isAlpha$1;
	isAlpha.locales = void 0;
	var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
	var _alpha = /*@__PURE__*/ requireAlpha();
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	function isAlpha$1(_str) {
	  var locale = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'en-US';
	  var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
	  (0, _assertString.default)(_str);
	  var str = _str;
	  var ignore = options.ignore;
	  if (ignore) {
	    if (ignore instanceof RegExp) {
	      str = str.replace(ignore, '');
	    } else if (typeof ignore === 'string') {
	      str = str.replace(new RegExp("[".concat(ignore.replace(/[-[\]{}()*+?.,\\^$|#\\s]/g, '\\$&'), "]"), 'g'), ''); // escape regex for ignore
	    } else {
	      throw new Error('ignore should be instance of a String or RegExp');
	    }
	  }
	  if (locale in _alpha.alpha) {
	    return _alpha.alpha[locale].test(str);
	  }
	  throw new Error("Invalid locale '".concat(locale, "'"));
	}
	isAlpha.locales = Object.keys(_alpha.alpha);
	return isAlpha;
}

var isAlphanumeric = {};

var hasRequiredIsAlphanumeric;

function requireIsAlphanumeric () {
	if (hasRequiredIsAlphanumeric) return isAlphanumeric;
	hasRequiredIsAlphanumeric = 1;

	Object.defineProperty(isAlphanumeric, "__esModule", {
	  value: true
	});
	isAlphanumeric.default = isAlphanumeric$1;
	isAlphanumeric.locales = void 0;
	var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
	var _alpha = /*@__PURE__*/ requireAlpha();
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	function isAlphanumeric$1(_str) {
	  var locale = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'en-US';
	  var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
	  (0, _assertString.default)(_str);
	  var str = _str;
	  var ignore = options.ignore;
	  if (ignore) {
	    if (ignore instanceof RegExp) {
	      str = str.replace(ignore, '');
	    } else if (typeof ignore === 'string') {
	      str = str.replace(new RegExp("[".concat(ignore.replace(/[-[\]{}()*+?.,\\^$|#\\s]/g, '\\$&'), "]"), 'g'), ''); // escape regex for ignore
	    } else {
	      throw new Error('ignore should be instance of a String or RegExp');
	    }
	  }
	  if (locale in _alpha.alphanumeric) {
	    return _alpha.alphanumeric[locale].test(str);
	  }
	  throw new Error("Invalid locale '".concat(locale, "'"));
	}
	isAlphanumeric.locales = Object.keys(_alpha.alphanumeric);
	return isAlphanumeric;
}

var isNumeric = {exports: {}};

var hasRequiredIsNumeric;

function requireIsNumeric () {
	if (hasRequiredIsNumeric) return isNumeric.exports;
	hasRequiredIsNumeric = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isNumeric;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _alpha = /*@__PURE__*/ requireAlpha();
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var numericNoSymbols = /^[0-9]+$/;
		function isNumeric(str, options) {
		  (0, _assertString.default)(str);
		  if (options && options.no_symbols) {
		    return numericNoSymbols.test(str);
		  }
		  return new RegExp("^[+-]?([0-9]*[".concat((options || {}).locale ? _alpha.decimal[options.locale] : '.', "])?[0-9]+$")).test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isNumeric, isNumeric.exports));
	return isNumeric.exports;
}

var isPassportNumber = {exports: {}};

var hasRequiredIsPassportNumber;

function requireIsPassportNumber () {
	if (hasRequiredIsPassportNumber) return isPassportNumber.exports;
	hasRequiredIsPassportNumber = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isPassportNumber;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		/**
		 * Reference:
		 * https://en.wikipedia.org/ -- Wikipedia
		 * https://docs.microsoft.com/en-us/microsoft-365/compliance/eu-passport-number -- EU Passport Number
		 * https://countrycode.org/ -- Country Codes
		 */
		var passportRegexByCountryCode = {
		  AM: /^[A-Z]{2}\d{7}$/,
		  // ARMENIA
		  AR: /^[A-Z]{3}\d{6}$/,
		  // ARGENTINA
		  AT: /^[A-Z]\d{7}$/,
		  // AUSTRIA
		  AU: /^[A-Z]\d{7}$/,
		  // AUSTRALIA
		  AZ: /^[A-Z]{1}\d{8}$/,
		  // AZERBAIJAN
		  BE: /^[A-Z]{2}\d{6}$/,
		  // BELGIUM
		  BG: /^\d{9}$/,
		  // BULGARIA
		  BR: /^[A-Z]{2}\d{6}$/,
		  // BRAZIL
		  BY: /^[A-Z]{2}\d{7}$/,
		  // BELARUS
		  CA: /^[A-Z]{2}\d{6}$/,
		  // CANADA
		  CH: /^[A-Z]\d{7}$/,
		  // SWITZERLAND
		  CN: /^G\d{8}$|^E(?![IO])[A-Z0-9]\d{7}$/,
		  // CHINA [G=Ordinary, E=Electronic] followed by 8-digits, or E followed by any UPPERCASE letter (except I and O) followed by 7 digits
		  CY: /^[A-Z](\d{6}|\d{8})$/,
		  // CYPRUS
		  CZ: /^\d{8}$/,
		  // CZECH REPUBLIC
		  DE: /^[CFGHJKLMNPRTVWXYZ0-9]{9}$/,
		  // GERMANY
		  DK: /^\d{9}$/,
		  // DENMARK
		  DZ: /^\d{9}$/,
		  // ALGERIA
		  EE: /^([A-Z]\d{7}|[A-Z]{2}\d{7})$/,
		  // ESTONIA (K followed by 7-digits), e-passports have 2 UPPERCASE followed by 7 digits
		  ES: /^[A-Z0-9]{2}([A-Z0-9]?)\d{6}$/,
		  // SPAIN
		  FI: /^[A-Z]{2}\d{7}$/,
		  // FINLAND
		  FR: /^\d{2}[A-Z]{2}\d{5}$/,
		  // FRANCE
		  GB: /^\d{9}$/,
		  // UNITED KINGDOM
		  GR: /^[A-Z]{2}\d{7}$/,
		  // GREECE
		  HR: /^\d{9}$/,
		  // CROATIA
		  HU: /^[A-Z]{2}(\d{6}|\d{7})$/,
		  // HUNGARY
		  IE: /^[A-Z0-9]{2}\d{7}$/,
		  // IRELAND
		  IN: /^[A-Z]{1}-?\d{7}$/,
		  // INDIA
		  ID: /^[A-C]\d{7}$/,
		  // INDONESIA
		  IR: /^[A-Z]\d{8}$/,
		  // IRAN
		  IS: /^(A)\d{7}$/,
		  // ICELAND
		  IT: /^[A-Z0-9]{2}\d{7}$/,
		  // ITALY
		  JM: /^[Aa]\d{7}$/,
		  // JAMAICA
		  JP: /^[A-Z]{2}\d{7}$/,
		  // JAPAN
		  KR: /^[MS]\d{8}$/,
		  // SOUTH KOREA, REPUBLIC OF KOREA, [S=PS Passports, M=PM Passports]
		  KZ: /^[a-zA-Z]\d{7}$/,
		  // KAZAKHSTAN
		  LI: /^[a-zA-Z]\d{5}$/,
		  // LIECHTENSTEIN
		  LT: /^[A-Z0-9]{8}$/,
		  // LITHUANIA
		  LU: /^[A-Z0-9]{8}$/,
		  // LUXEMBURG
		  LV: /^[A-Z0-9]{2}\d{7}$/,
		  // LATVIA
		  LY: /^[A-Z0-9]{8}$/,
		  // LIBYA
		  MT: /^\d{7}$/,
		  // MALTA
		  MZ: /^([A-Z]{2}\d{7})|(\d{2}[A-Z]{2}\d{5})$/,
		  // MOZAMBIQUE
		  MY: /^[AHK]\d{8}$/,
		  // MALAYSIA
		  MX: /^\d{10,11}$/,
		  // MEXICO
		  NL: /^[A-Z]{2}[A-Z0-9]{6}\d$/,
		  // NETHERLANDS
		  NZ: /^([Ll]([Aa]|[Dd]|[Ff]|[Hh])|[Ee]([Aa]|[Pp])|[Nn])\d{6}$/,
		  // NEW ZEALAND
		  PH: /^([A-Z](\d{6}|\d{7}[A-Z]))|([A-Z]{2}(\d{6}|\d{7}))$/,
		  // PHILIPPINES
		  PK: /^[A-Z]{2}\d{7}$/,
		  // PAKISTAN
		  PL: /^[A-Z]{2}\d{7}$/,
		  // POLAND
		  PT: /^[A-Z]\d{6}$/,
		  // PORTUGAL
		  RO: /^\d{8,9}$/,
		  // ROMANIA
		  RU: /^\d{9}$/,
		  // RUSSIAN FEDERATION
		  SE: /^\d{8}$/,
		  // SWEDEN
		  SL: /^(P)[A-Z]\d{7}$/,
		  // SLOVENIA
		  SK: /^[0-9A-Z]\d{7}$/,
		  // SLOVAKIA
		  TH: /^[A-Z]{1,2}\d{6,7}$/,
		  // THAILAND
		  TR: /^[A-Z]\d{8}$/,
		  // TURKEY
		  UA: /^[A-Z]{2}\d{6}$/,
		  // UKRAINE
		  US: /^\d{9}$/,
		  // UNITED STATES
		  ZA: /^[TAMD]\d{8}$/ // SOUTH AFRICA
		};

		/**
		 * Check if str is a valid passport number
		 * relative to provided ISO Country Code.
		 *
		 * @param {string} str
		 * @param {string} countryCode
		 * @return {boolean}
		 */
		function isPassportNumber(str, countryCode) {
		  (0, _assertString.default)(str);
		  /** Remove All Whitespaces, Convert to UPPERCASE */
		  var normalizedStr = str.replace(/\s/g, '').toUpperCase();
		  return countryCode.toUpperCase() in passportRegexByCountryCode && passportRegexByCountryCode[countryCode].test(normalizedStr);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isPassportNumber, isPassportNumber.exports));
	return isPassportNumber.exports;
}

var isPort = {exports: {}};

var isInt = {exports: {}};

var hasRequiredIsInt;

function requireIsInt () {
	if (hasRequiredIsInt) return isInt.exports;
	hasRequiredIsInt = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isInt;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var int = /^(?:[-+]?(?:0|[1-9][0-9]*))$/;
		var intLeadingZeroes = /^[-+]?[0-9]+$/;
		function isInt(str, options) {
		  (0, _assertString.default)(str);
		  options = options || {};

		  // Get the regex to use for testing, based on whether
		  // leading zeroes are allowed or not.
		  var regex = options.allow_leading_zeroes === false ? int : intLeadingZeroes;

		  // Check min/max/lt/gt
		  var minCheckPassed = !options.hasOwnProperty('min') || str >= options.min;
		  var maxCheckPassed = !options.hasOwnProperty('max') || str <= options.max;
		  var ltCheckPassed = !options.hasOwnProperty('lt') || str < options.lt;
		  var gtCheckPassed = !options.hasOwnProperty('gt') || str > options.gt;
		  return regex.test(str) && minCheckPassed && maxCheckPassed && ltCheckPassed && gtCheckPassed;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isInt, isInt.exports));
	return isInt.exports;
}

var hasRequiredIsPort;

function requireIsPort () {
	if (hasRequiredIsPort) return isPort.exports;
	hasRequiredIsPort = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isPort;
		var _isInt = _interopRequireDefault(/*@__PURE__*/ requireIsInt());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function isPort(str) {
		  return (0, _isInt.default)(str, {
		    allow_leading_zeroes: false,
		    min: 0,
		    max: 65535
		  });
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isPort, isPort.exports));
	return isPort.exports;
}

var isLowercase = {exports: {}};

var hasRequiredIsLowercase;

function requireIsLowercase () {
	if (hasRequiredIsLowercase) return isLowercase.exports;
	hasRequiredIsLowercase = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isLowercase;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function isLowercase(str) {
		  (0, _assertString.default)(str);
		  return str === str.toLowerCase();
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isLowercase, isLowercase.exports));
	return isLowercase.exports;
}

var isUppercase = {exports: {}};

var hasRequiredIsUppercase;

function requireIsUppercase () {
	if (hasRequiredIsUppercase) return isUppercase.exports;
	hasRequiredIsUppercase = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isUppercase;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function isUppercase(str) {
		  (0, _assertString.default)(str);
		  return str === str.toUpperCase();
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isUppercase, isUppercase.exports));
	return isUppercase.exports;
}

var isIMEI = {exports: {}};

var hasRequiredIsIMEI;

function requireIsIMEI () {
	if (hasRequiredIsIMEI) return isIMEI.exports;
	hasRequiredIsIMEI = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isIMEI;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var imeiRegexWithoutHypens = /^[0-9]{15}$/;
		var imeiRegexWithHypens = /^\d{2}-\d{6}-\d{6}-\d{1}$/;
		function isIMEI(str, options) {
		  (0, _assertString.default)(str);
		  options = options || {};

		  // default regex for checking imei is the one without hyphens

		  var imeiRegex = imeiRegexWithoutHypens;
		  if (options.allow_hyphens) {
		    imeiRegex = imeiRegexWithHypens;
		  }
		  if (!imeiRegex.test(str)) {
		    return false;
		  }
		  str = str.replace(/-/g, '');
		  var sum = 0,
		    mul = 2,
		    l = 14;
		  for (var i = 0; i < l; i++) {
		    var digit = str.substring(l - i - 1, l - i);
		    var tp = parseInt(digit, 10) * mul;
		    if (tp >= 10) {
		      sum += tp % 10 + 1;
		    } else {
		      sum += tp;
		    }
		    if (mul === 1) {
		      mul += 1;
		    } else {
		      mul -= 1;
		    }
		  }
		  var chk = (10 - sum % 10) % 10;
		  if (chk !== parseInt(str.substring(14, 15), 10)) {
		    return false;
		  }
		  return true;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isIMEI, isIMEI.exports));
	return isIMEI.exports;
}

var isAscii = {exports: {}};

var hasRequiredIsAscii;

function requireIsAscii () {
	if (hasRequiredIsAscii) return isAscii.exports;
	hasRequiredIsAscii = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isAscii;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		/* eslint-disable no-control-regex */
		var ascii = /^[\x00-\x7F]+$/;
		/* eslint-enable no-control-regex */

		function isAscii(str) {
		  (0, _assertString.default)(str);
		  return ascii.test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isAscii, isAscii.exports));
	return isAscii.exports;
}

var isFullWidth = {};

var hasRequiredIsFullWidth;

function requireIsFullWidth () {
	if (hasRequiredIsFullWidth) return isFullWidth;
	hasRequiredIsFullWidth = 1;

	Object.defineProperty(isFullWidth, "__esModule", {
	  value: true
	});
	isFullWidth.default = isFullWidth$1;
	isFullWidth.fullWidth = void 0;
	var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	var fullWidth = isFullWidth.fullWidth = /[^\u0020-\u007E\uFF61-\uFF9F\uFFA0-\uFFDC\uFFE8-\uFFEE0-9a-zA-Z]/;
	function isFullWidth$1(str) {
	  (0, _assertString.default)(str);
	  return fullWidth.test(str);
	}
	return isFullWidth;
}

var isHalfWidth = {};

var hasRequiredIsHalfWidth;

function requireIsHalfWidth () {
	if (hasRequiredIsHalfWidth) return isHalfWidth;
	hasRequiredIsHalfWidth = 1;

	Object.defineProperty(isHalfWidth, "__esModule", {
	  value: true
	});
	isHalfWidth.default = isHalfWidth$1;
	isHalfWidth.halfWidth = void 0;
	var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	var halfWidth = isHalfWidth.halfWidth = /[\u0020-\u007E\uFF61-\uFF9F\uFFA0-\uFFDC\uFFE8-\uFFEE0-9a-zA-Z]/;
	function isHalfWidth$1(str) {
	  (0, _assertString.default)(str);
	  return halfWidth.test(str);
	}
	return isHalfWidth;
}

var isVariableWidth = {exports: {}};

var hasRequiredIsVariableWidth;

function requireIsVariableWidth () {
	if (hasRequiredIsVariableWidth) return isVariableWidth.exports;
	hasRequiredIsVariableWidth = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isVariableWidth;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _isFullWidth = /*@__PURE__*/ requireIsFullWidth();
		var _isHalfWidth = /*@__PURE__*/ requireIsHalfWidth();
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function isVariableWidth(str) {
		  (0, _assertString.default)(str);
		  return _isFullWidth.fullWidth.test(str) && _isHalfWidth.halfWidth.test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isVariableWidth, isVariableWidth.exports));
	return isVariableWidth.exports;
}

var isMultibyte = {exports: {}};

var hasRequiredIsMultibyte;

function requireIsMultibyte () {
	if (hasRequiredIsMultibyte) return isMultibyte.exports;
	hasRequiredIsMultibyte = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isMultibyte;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		/* eslint-disable no-control-regex */
		var multibyte = /[^\x00-\x7F]/;
		/* eslint-enable no-control-regex */

		function isMultibyte(str) {
		  (0, _assertString.default)(str);
		  return multibyte.test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isMultibyte, isMultibyte.exports));
	return isMultibyte.exports;
}

var isSemVer = {exports: {}};

var multilineRegex = {exports: {}};

var hasRequiredMultilineRegex;

function requireMultilineRegex () {
	if (hasRequiredMultilineRegex) return multilineRegex.exports;
	hasRequiredMultilineRegex = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = multilineRegexp;
		/**
		 * Build RegExp object from an array
		 * of multiple/multi-line regexp parts
		 *
		 * @param {string[]} parts
		 * @param {string} flags
		 * @return {object} - RegExp object
		 */
		function multilineRegexp(parts, flags) {
		  var regexpAsStringLiteral = parts.join('');
		  return new RegExp(regexpAsStringLiteral, flags);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (multilineRegex, multilineRegex.exports));
	return multilineRegex.exports;
}

var hasRequiredIsSemVer;

function requireIsSemVer () {
	if (hasRequiredIsSemVer) return isSemVer.exports;
	hasRequiredIsSemVer = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isSemVer;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _multilineRegex = _interopRequireDefault(/*@__PURE__*/ requireMultilineRegex());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		/**
		 * Regular Expression to match
		 * semantic versioning (SemVer)
		 * built from multi-line, multi-parts regexp
		 * Reference: https://semver.org/
		 */
		var semanticVersioningRegex = (0, _multilineRegex.default)(['^(0|[1-9]\\d*)\\.(0|[1-9]\\d*)\\.(0|[1-9]\\d*)', '(?:-((?:0|[1-9]\\d*|\\d*[a-z-][0-9a-z-]*)(?:\\.(?:0|[1-9]\\d*|\\d*[a-z-][0-9a-z-]*))*))', '?(?:\\+([0-9a-z-]+(?:\\.[0-9a-z-]+)*))?$'], 'i');
		function isSemVer(str) {
		  (0, _assertString.default)(str);
		  return semanticVersioningRegex.test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isSemVer, isSemVer.exports));
	return isSemVer.exports;
}

var isSurrogatePair = {exports: {}};

var hasRequiredIsSurrogatePair;

function requireIsSurrogatePair () {
	if (hasRequiredIsSurrogatePair) return isSurrogatePair.exports;
	hasRequiredIsSurrogatePair = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isSurrogatePair;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var surrogatePair = /[\uD800-\uDBFF][\uDC00-\uDFFF]/;
		function isSurrogatePair(str) {
		  (0, _assertString.default)(str);
		  return surrogatePair.test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isSurrogatePair, isSurrogatePair.exports));
	return isSurrogatePair.exports;
}

var isDecimal = {exports: {}};

var includes = {exports: {}};

var hasRequiredIncludes;

function requireIncludes () {
	if (hasRequiredIncludes) return includes.exports;
	hasRequiredIncludes = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = void 0;
		var includes = function includes(arr, val) {
		  return arr.some(function (arrVal) {
		    return val === arrVal;
		  });
		};
		exports.default = includes;
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (includes, includes.exports));
	return includes.exports;
}

var hasRequiredIsDecimal;

function requireIsDecimal () {
	if (hasRequiredIsDecimal) return isDecimal.exports;
	hasRequiredIsDecimal = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isDecimal;
		var _merge = _interopRequireDefault(/*@__PURE__*/ requireMerge());
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _includes = _interopRequireDefault(/*@__PURE__*/ requireIncludes());
		var _alpha = /*@__PURE__*/ requireAlpha();
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function decimalRegExp(options) {
		  var regExp = new RegExp("^[-+]?([0-9]+)?(\\".concat(_alpha.decimal[options.locale], "[0-9]{").concat(options.decimal_digits, "})").concat(options.force_decimal ? '' : '?', "$"));
		  return regExp;
		}
		var default_decimal_options = {
		  force_decimal: false,
		  decimal_digits: '1,',
		  locale: 'en-US'
		};
		var blacklist = ['', '-', '+'];
		function isDecimal(str, options) {
		  (0, _assertString.default)(str);
		  options = (0, _merge.default)(options, default_decimal_options);
		  if (options.locale in _alpha.decimal) {
		    return !(0, _includes.default)(blacklist, str.replace(/ /g, '')) && decimalRegExp(options).test(str);
		  }
		  throw new Error("Invalid locale '".concat(options.locale, "'"));
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isDecimal, isDecimal.exports));
	return isDecimal.exports;
}

var isHexadecimal = {exports: {}};

var hasRequiredIsHexadecimal;

function requireIsHexadecimal () {
	if (hasRequiredIsHexadecimal) return isHexadecimal.exports;
	hasRequiredIsHexadecimal = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isHexadecimal;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var hexadecimal = /^(0x|0h)?[0-9A-F]+$/i;
		function isHexadecimal(str) {
		  (0, _assertString.default)(str);
		  return hexadecimal.test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isHexadecimal, isHexadecimal.exports));
	return isHexadecimal.exports;
}

var isOctal = {exports: {}};

var hasRequiredIsOctal;

function requireIsOctal () {
	if (hasRequiredIsOctal) return isOctal.exports;
	hasRequiredIsOctal = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isOctal;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var octal = /^(0o)?[0-7]+$/i;
		function isOctal(str) {
		  (0, _assertString.default)(str);
		  return octal.test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isOctal, isOctal.exports));
	return isOctal.exports;
}

var isDivisibleBy = {exports: {}};

var hasRequiredIsDivisibleBy;

function requireIsDivisibleBy () {
	if (hasRequiredIsDivisibleBy) return isDivisibleBy.exports;
	hasRequiredIsDivisibleBy = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isDivisibleBy;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _toFloat = _interopRequireDefault(/*@__PURE__*/ requireToFloat());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function isDivisibleBy(str, num) {
		  (0, _assertString.default)(str);
		  return (0, _toFloat.default)(str) % parseInt(num, 10) === 0;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isDivisibleBy, isDivisibleBy.exports));
	return isDivisibleBy.exports;
}

var isHexColor = {exports: {}};

var hasRequiredIsHexColor;

function requireIsHexColor () {
	if (hasRequiredIsHexColor) return isHexColor.exports;
	hasRequiredIsHexColor = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isHexColor;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var hexcolor = /^#?([0-9A-F]{3}|[0-9A-F]{4}|[0-9A-F]{6}|[0-9A-F]{8})$/i;
		function isHexColor(str) {
		  (0, _assertString.default)(str);
		  return hexcolor.test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isHexColor, isHexColor.exports));
	return isHexColor.exports;
}

var isRgbColor = {exports: {}};

var hasRequiredIsRgbColor;

function requireIsRgbColor () {
	if (hasRequiredIsRgbColor) return isRgbColor.exports;
	hasRequiredIsRgbColor = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isRgbColor;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var rgbColor = /^rgb\((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]),){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\)$/;
		var rgbaColor = /^rgba\((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]),){3}(0?\.\d|1(\.0)?|0(\.0)?)\)$/;
		var rgbColorPercent = /^rgb\((([0-9]%|[1-9][0-9]%|100%),){2}([0-9]%|[1-9][0-9]%|100%)\)$/;
		var rgbaColorPercent = /^rgba\((([0-9]%|[1-9][0-9]%|100%),){3}(0?\.\d|1(\.0)?|0(\.0)?)\)$/;
		function isRgbColor(str) {
		  var includePercentValues = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
		  (0, _assertString.default)(str);
		  if (!includePercentValues) {
		    return rgbColor.test(str) || rgbaColor.test(str);
		  }
		  return rgbColor.test(str) || rgbaColor.test(str) || rgbColorPercent.test(str) || rgbaColorPercent.test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isRgbColor, isRgbColor.exports));
	return isRgbColor.exports;
}

var isHSL = {exports: {}};

var hasRequiredIsHSL;

function requireIsHSL () {
	if (hasRequiredIsHSL) return isHSL.exports;
	hasRequiredIsHSL = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isHSL;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var hslComma = /^hsla?\(((\+|\-)?([0-9]+(\.[0-9]+)?(e(\+|\-)?[0-9]+)?|\.[0-9]+(e(\+|\-)?[0-9]+)?))(deg|grad|rad|turn)?(,(\+|\-)?([0-9]+(\.[0-9]+)?(e(\+|\-)?[0-9]+)?|\.[0-9]+(e(\+|\-)?[0-9]+)?)%){2}(,((\+|\-)?([0-9]+(\.[0-9]+)?(e(\+|\-)?[0-9]+)?|\.[0-9]+(e(\+|\-)?[0-9]+)?)%?))?\)$/i;
		var hslSpace = /^hsla?\(((\+|\-)?([0-9]+(\.[0-9]+)?(e(\+|\-)?[0-9]+)?|\.[0-9]+(e(\+|\-)?[0-9]+)?))(deg|grad|rad|turn)?(\s(\+|\-)?([0-9]+(\.[0-9]+)?(e(\+|\-)?[0-9]+)?|\.[0-9]+(e(\+|\-)?[0-9]+)?)%){2}\s?(\/\s((\+|\-)?([0-9]+(\.[0-9]+)?(e(\+|\-)?[0-9]+)?|\.[0-9]+(e(\+|\-)?[0-9]+)?)%?)\s?)?\)$/i;
		function isHSL(str) {
		  (0, _assertString.default)(str);

		  // Strip duplicate spaces before calling the validation regex (See  #1598 for more info)
		  var strippedStr = str.replace(/\s+/g, ' ').replace(/\s?(hsla?\(|\)|,)\s?/ig, '$1');
		  if (strippedStr.indexOf(',') !== -1) {
		    return hslComma.test(strippedStr);
		  }
		  return hslSpace.test(strippedStr);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isHSL, isHSL.exports));
	return isHSL.exports;
}

var isISRC = {exports: {}};

var hasRequiredIsISRC;

function requireIsISRC () {
	if (hasRequiredIsISRC) return isISRC.exports;
	hasRequiredIsISRC = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isISRC;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		// see http://isrc.ifpi.org/en/isrc-standard/code-syntax
		var isrc = /^[A-Z]{2}[0-9A-Z]{3}\d{2}\d{5}$/;
		function isISRC(str) {
		  (0, _assertString.default)(str);
		  return isrc.test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isISRC, isISRC.exports));
	return isISRC.exports;
}

var isIBAN = {};

var hasRequiredIsIBAN;

function requireIsIBAN () {
	if (hasRequiredIsIBAN) return isIBAN;
	hasRequiredIsIBAN = 1;

	Object.defineProperty(isIBAN, "__esModule", {
	  value: true
	});
	isIBAN.default = isIBAN$1;
	isIBAN.locales = void 0;
	var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	/**
	 * List of country codes with
	 * corresponding IBAN regular expression
	 * Reference: https://en.wikipedia.org/wiki/International_Bank_Account_Number
	 */
	var ibanRegexThroughCountryCode = {
	  AD: /^(AD[0-9]{2})\d{8}[A-Z0-9]{12}$/,
	  AE: /^(AE[0-9]{2})\d{3}\d{16}$/,
	  AL: /^(AL[0-9]{2})\d{8}[A-Z0-9]{16}$/,
	  AT: /^(AT[0-9]{2})\d{16}$/,
	  AZ: /^(AZ[0-9]{2})[A-Z0-9]{4}\d{20}$/,
	  BA: /^(BA[0-9]{2})\d{16}$/,
	  BE: /^(BE[0-9]{2})\d{12}$/,
	  BG: /^(BG[0-9]{2})[A-Z]{4}\d{6}[A-Z0-9]{8}$/,
	  BH: /^(BH[0-9]{2})[A-Z]{4}[A-Z0-9]{14}$/,
	  BR: /^(BR[0-9]{2})\d{23}[A-Z]{1}[A-Z0-9]{1}$/,
	  BY: /^(BY[0-9]{2})[A-Z0-9]{4}\d{20}$/,
	  CH: /^(CH[0-9]{2})\d{5}[A-Z0-9]{12}$/,
	  CR: /^(CR[0-9]{2})\d{18}$/,
	  CY: /^(CY[0-9]{2})\d{8}[A-Z0-9]{16}$/,
	  CZ: /^(CZ[0-9]{2})\d{20}$/,
	  DE: /^(DE[0-9]{2})\d{18}$/,
	  DK: /^(DK[0-9]{2})\d{14}$/,
	  DO: /^(DO[0-9]{2})[A-Z]{4}\d{20}$/,
	  DZ: /^(DZ\d{24})$/,
	  EE: /^(EE[0-9]{2})\d{16}$/,
	  EG: /^(EG[0-9]{2})\d{25}$/,
	  ES: /^(ES[0-9]{2})\d{20}$/,
	  FI: /^(FI[0-9]{2})\d{14}$/,
	  FO: /^(FO[0-9]{2})\d{14}$/,
	  FR: /^(FR[0-9]{2})\d{10}[A-Z0-9]{11}\d{2}$/,
	  GB: /^(GB[0-9]{2})[A-Z]{4}\d{14}$/,
	  GE: /^(GE[0-9]{2})[A-Z0-9]{2}\d{16}$/,
	  GI: /^(GI[0-9]{2})[A-Z]{4}[A-Z0-9]{15}$/,
	  GL: /^(GL[0-9]{2})\d{14}$/,
	  GR: /^(GR[0-9]{2})\d{7}[A-Z0-9]{16}$/,
	  GT: /^(GT[0-9]{2})[A-Z0-9]{4}[A-Z0-9]{20}$/,
	  HR: /^(HR[0-9]{2})\d{17}$/,
	  HU: /^(HU[0-9]{2})\d{24}$/,
	  IE: /^(IE[0-9]{2})[A-Z0-9]{4}\d{14}$/,
	  IL: /^(IL[0-9]{2})\d{19}$/,
	  IQ: /^(IQ[0-9]{2})[A-Z]{4}\d{15}$/,
	  IR: /^(IR[0-9]{2})0\d{2}0\d{18}$/,
	  IS: /^(IS[0-9]{2})\d{22}$/,
	  IT: /^(IT[0-9]{2})[A-Z]{1}\d{10}[A-Z0-9]{12}$/,
	  JO: /^(JO[0-9]{2})[A-Z]{4}\d{22}$/,
	  KW: /^(KW[0-9]{2})[A-Z]{4}[A-Z0-9]{22}$/,
	  KZ: /^(KZ[0-9]{2})\d{3}[A-Z0-9]{13}$/,
	  LB: /^(LB[0-9]{2})\d{4}[A-Z0-9]{20}$/,
	  LC: /^(LC[0-9]{2})[A-Z]{4}[A-Z0-9]{24}$/,
	  LI: /^(LI[0-9]{2})\d{5}[A-Z0-9]{12}$/,
	  LT: /^(LT[0-9]{2})\d{16}$/,
	  LU: /^(LU[0-9]{2})\d{3}[A-Z0-9]{13}$/,
	  LV: /^(LV[0-9]{2})[A-Z]{4}[A-Z0-9]{13}$/,
	  MA: /^(MA[0-9]{26})$/,
	  MC: /^(MC[0-9]{2})\d{10}[A-Z0-9]{11}\d{2}$/,
	  MD: /^(MD[0-9]{2})[A-Z0-9]{20}$/,
	  ME: /^(ME[0-9]{2})\d{18}$/,
	  MK: /^(MK[0-9]{2})\d{3}[A-Z0-9]{10}\d{2}$/,
	  MR: /^(MR[0-9]{2})\d{23}$/,
	  MT: /^(MT[0-9]{2})[A-Z]{4}\d{5}[A-Z0-9]{18}$/,
	  MU: /^(MU[0-9]{2})[A-Z]{4}\d{19}[A-Z]{3}$/,
	  MZ: /^(MZ[0-9]{2})\d{21}$/,
	  NL: /^(NL[0-9]{2})[A-Z]{4}\d{10}$/,
	  NO: /^(NO[0-9]{2})\d{11}$/,
	  PK: /^(PK[0-9]{2})[A-Z0-9]{4}\d{16}$/,
	  PL: /^(PL[0-9]{2})\d{24}$/,
	  PS: /^(PS[0-9]{2})[A-Z0-9]{4}\d{21}$/,
	  PT: /^(PT[0-9]{2})\d{21}$/,
	  QA: /^(QA[0-9]{2})[A-Z]{4}[A-Z0-9]{21}$/,
	  RO: /^(RO[0-9]{2})[A-Z]{4}[A-Z0-9]{16}$/,
	  RS: /^(RS[0-9]{2})\d{18}$/,
	  SA: /^(SA[0-9]{2})\d{2}[A-Z0-9]{18}$/,
	  SC: /^(SC[0-9]{2})[A-Z]{4}\d{20}[A-Z]{3}$/,
	  SE: /^(SE[0-9]{2})\d{20}$/,
	  SI: /^(SI[0-9]{2})\d{15}$/,
	  SK: /^(SK[0-9]{2})\d{20}$/,
	  SM: /^(SM[0-9]{2})[A-Z]{1}\d{10}[A-Z0-9]{12}$/,
	  SV: /^(SV[0-9]{2})[A-Z0-9]{4}\d{20}$/,
	  TL: /^(TL[0-9]{2})\d{19}$/,
	  TN: /^(TN[0-9]{2})\d{20}$/,
	  TR: /^(TR[0-9]{2})\d{5}[A-Z0-9]{17}$/,
	  UA: /^(UA[0-9]{2})\d{6}[A-Z0-9]{19}$/,
	  VA: /^(VA[0-9]{2})\d{18}$/,
	  VG: /^(VG[0-9]{2})[A-Z0-9]{4}\d{16}$/,
	  XK: /^(XK[0-9]{2})\d{16}$/
	};

	/**
	 * Check if the country codes passed are valid using the
	 * ibanRegexThroughCountryCode as a reference
	 *
	 * @param {array} countryCodeArray
	 * @return {boolean}
	 */

	function hasOnlyValidCountryCodes(countryCodeArray) {
	  var countryCodeArrayFilteredWithObjectIbanCode = countryCodeArray.filter(function (countryCode) {
	    return !(countryCode in ibanRegexThroughCountryCode);
	  });
	  if (countryCodeArrayFilteredWithObjectIbanCode.length > 0) {
	    return false;
	  }
	  return true;
	}

	/**
	 * Check whether string has correct universal IBAN format
	 * The IBAN consists of up to 34 alphanumeric characters, as follows:
	 * Country Code using ISO 3166-1 alpha-2, two letters
	 * check digits, two digits and
	 * Basic Bank Account Number (BBAN), up to 30 alphanumeric characters.
	 * NOTE: Permitted IBAN characters are: digits [0-9] and the 26 latin alphabetic [A-Z]
	 *
	 * @param {string} str - string under validation
	 * @param {object} options - object to pass the countries to be either whitelisted or blacklisted
	 * @return {boolean}
	 */
	function hasValidIbanFormat(str, options) {
	  // Strip white spaces and hyphens
	  var strippedStr = str.replace(/[\s\-]+/gi, '').toUpperCase();
	  var isoCountryCode = strippedStr.slice(0, 2).toUpperCase();
	  var isoCountryCodeInIbanRegexCodeObject = (isoCountryCode in ibanRegexThroughCountryCode);
	  if (options.whitelist) {
	    if (!hasOnlyValidCountryCodes(options.whitelist)) {
	      return false;
	    }
	    var isoCountryCodeInWhiteList = options.whitelist.includes(isoCountryCode);
	    if (!isoCountryCodeInWhiteList) {
	      return false;
	    }
	  }
	  if (options.blacklist) {
	    var isoCountryCodeInBlackList = options.blacklist.includes(isoCountryCode);
	    if (isoCountryCodeInBlackList) {
	      return false;
	    }
	  }
	  return isoCountryCodeInIbanRegexCodeObject && ibanRegexThroughCountryCode[isoCountryCode].test(strippedStr);
	}

	/**
	   * Check whether string has valid IBAN Checksum
	   * by performing basic mod-97 operation and
	   * the remainder should equal 1
	   * -- Start by rearranging the IBAN by moving the four initial characters to the end of the string
	   * -- Replace each letter in the string with two digits, A -> 10, B = 11, Z = 35
	   * -- Interpret the string as a decimal integer and
	   * -- compute the remainder on division by 97 (mod 97)
	   * Reference: https://en.wikipedia.org/wiki/International_Bank_Account_Number
	   *
	   * @param {string} str
	   * @return {boolean}
	   */
	function hasValidIbanChecksum(str) {
	  var strippedStr = str.replace(/[^A-Z0-9]+/gi, '').toUpperCase(); // Keep only digits and A-Z latin alphabetic
	  var rearranged = strippedStr.slice(4) + strippedStr.slice(0, 4);
	  var alphaCapsReplacedWithDigits = rearranged.replace(/[A-Z]/g, function (char) {
	    return char.charCodeAt(0) - 55;
	  });
	  var remainder = alphaCapsReplacedWithDigits.match(/\d{1,7}/g).reduce(function (acc, value) {
	    return Number(acc + value) % 97;
	  }, '');
	  return remainder === 1;
	}
	function isIBAN$1(str) {
	  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
	  (0, _assertString.default)(str);
	  return hasValidIbanFormat(str, options) && hasValidIbanChecksum(str);
	}
	isIBAN.locales = Object.keys(ibanRegexThroughCountryCode);
	return isIBAN;
}

var isBIC = {exports: {}};

var isISO31661Alpha2 = {};

var hasRequiredIsISO31661Alpha2;

function requireIsISO31661Alpha2 () {
	if (hasRequiredIsISO31661Alpha2) return isISO31661Alpha2;
	hasRequiredIsISO31661Alpha2 = 1;

	Object.defineProperty(isISO31661Alpha2, "__esModule", {
	  value: true
	});
	isISO31661Alpha2.CountryCodes = void 0;
	isISO31661Alpha2.default = isISO31661Alpha2$1;
	var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	// from https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2
	var validISO31661Alpha2CountriesCodes = new Set(['AD', 'AE', 'AF', 'AG', 'AI', 'AL', 'AM', 'AO', 'AQ', 'AR', 'AS', 'AT', 'AU', 'AW', 'AX', 'AZ', 'BA', 'BB', 'BD', 'BE', 'BF', 'BG', 'BH', 'BI', 'BJ', 'BL', 'BM', 'BN', 'BO', 'BQ', 'BR', 'BS', 'BT', 'BV', 'BW', 'BY', 'BZ', 'CA', 'CC', 'CD', 'CF', 'CG', 'CH', 'CI', 'CK', 'CL', 'CM', 'CN', 'CO', 'CR', 'CU', 'CV', 'CW', 'CX', 'CY', 'CZ', 'DE', 'DJ', 'DK', 'DM', 'DO', 'DZ', 'EC', 'EE', 'EG', 'EH', 'ER', 'ES', 'ET', 'FI', 'FJ', 'FK', 'FM', 'FO', 'FR', 'GA', 'GB', 'GD', 'GE', 'GF', 'GG', 'GH', 'GI', 'GL', 'GM', 'GN', 'GP', 'GQ', 'GR', 'GS', 'GT', 'GU', 'GW', 'GY', 'HK', 'HM', 'HN', 'HR', 'HT', 'HU', 'ID', 'IE', 'IL', 'IM', 'IN', 'IO', 'IQ', 'IR', 'IS', 'IT', 'JE', 'JM', 'JO', 'JP', 'KE', 'KG', 'KH', 'KI', 'KM', 'KN', 'KP', 'KR', 'KW', 'KY', 'KZ', 'LA', 'LB', 'LC', 'LI', 'LK', 'LR', 'LS', 'LT', 'LU', 'LV', 'LY', 'MA', 'MC', 'MD', 'ME', 'MF', 'MG', 'MH', 'MK', 'ML', 'MM', 'MN', 'MO', 'MP', 'MQ', 'MR', 'MS', 'MT', 'MU', 'MV', 'MW', 'MX', 'MY', 'MZ', 'NA', 'NC', 'NE', 'NF', 'NG', 'NI', 'NL', 'NO', 'NP', 'NR', 'NU', 'NZ', 'OM', 'PA', 'PE', 'PF', 'PG', 'PH', 'PK', 'PL', 'PM', 'PN', 'PR', 'PS', 'PT', 'PW', 'PY', 'QA', 'RE', 'RO', 'RS', 'RU', 'RW', 'SA', 'SB', 'SC', 'SD', 'SE', 'SG', 'SH', 'SI', 'SJ', 'SK', 'SL', 'SM', 'SN', 'SO', 'SR', 'SS', 'ST', 'SV', 'SX', 'SY', 'SZ', 'TC', 'TD', 'TF', 'TG', 'TH', 'TJ', 'TK', 'TL', 'TM', 'TN', 'TO', 'TR', 'TT', 'TV', 'TW', 'TZ', 'UA', 'UG', 'UM', 'US', 'UY', 'UZ', 'VA', 'VC', 'VE', 'VG', 'VI', 'VN', 'VU', 'WF', 'WS', 'YE', 'YT', 'ZA', 'ZM', 'ZW']);
	function isISO31661Alpha2$1(str) {
	  (0, _assertString.default)(str);
	  return validISO31661Alpha2CountriesCodes.has(str.toUpperCase());
	}
	isISO31661Alpha2.CountryCodes = validISO31661Alpha2CountriesCodes;
	return isISO31661Alpha2;
}

var hasRequiredIsBIC;

function requireIsBIC () {
	if (hasRequiredIsBIC) return isBIC.exports;
	hasRequiredIsBIC = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isBIC;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _isISO31661Alpha = /*@__PURE__*/ requireIsISO31661Alpha2();
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		// https://en.wikipedia.org/wiki/ISO_9362
		var isBICReg = /^[A-Za-z]{6}[A-Za-z0-9]{2}([A-Za-z0-9]{3})?$/;
		function isBIC(str) {
		  (0, _assertString.default)(str);

		  // toUpperCase() should be removed when a new major version goes out that changes
		  // the regex to [A-Z] (per the spec).
		  var countryCode = str.slice(4, 6).toUpperCase();
		  if (!_isISO31661Alpha.CountryCodes.has(countryCode) && countryCode !== 'XK') {
		    return false;
		  }
		  return isBICReg.test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isBIC, isBIC.exports));
	return isBIC.exports;
}

var isMD5 = {exports: {}};

var hasRequiredIsMD5;

function requireIsMD5 () {
	if (hasRequiredIsMD5) return isMD5.exports;
	hasRequiredIsMD5 = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isMD5;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var md5 = /^[a-f0-9]{32}$/;
		function isMD5(str) {
		  (0, _assertString.default)(str);
		  return md5.test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isMD5, isMD5.exports));
	return isMD5.exports;
}

var isHash = {exports: {}};

var hasRequiredIsHash;

function requireIsHash () {
	if (hasRequiredIsHash) return isHash.exports;
	hasRequiredIsHash = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isHash;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var lengths = {
		  md5: 32,
		  md4: 32,
		  sha1: 40,
		  sha256: 64,
		  sha384: 96,
		  sha512: 128,
		  ripemd128: 32,
		  ripemd160: 40,
		  tiger128: 32,
		  tiger160: 40,
		  tiger192: 48,
		  crc32: 8,
		  crc32b: 8
		};
		function isHash(str, algorithm) {
		  (0, _assertString.default)(str);
		  var hash = new RegExp("^[a-fA-F0-9]{".concat(lengths[algorithm], "}$"));
		  return hash.test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isHash, isHash.exports));
	return isHash.exports;
}

var isJWT = {exports: {}};

var isBase64 = {exports: {}};

var hasRequiredIsBase64;

function requireIsBase64 () {
	if (hasRequiredIsBase64) return isBase64.exports;
	hasRequiredIsBase64 = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isBase64;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _merge = _interopRequireDefault(/*@__PURE__*/ requireMerge());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var notBase64 = /[^A-Z0-9+\/=]/i;
		var urlSafeBase64 = /^[A-Z0-9_\-]*$/i;
		var defaultBase64Options = {
		  urlSafe: false
		};
		function isBase64(str, options) {
		  (0, _assertString.default)(str);
		  options = (0, _merge.default)(options, defaultBase64Options);
		  var len = str.length;
		  if (options.urlSafe) {
		    return urlSafeBase64.test(str);
		  }
		  if (len % 4 !== 0 || notBase64.test(str)) {
		    return false;
		  }
		  var firstPaddingChar = str.indexOf('=');
		  return firstPaddingChar === -1 || firstPaddingChar === len - 1 || firstPaddingChar === len - 2 && str[len - 1] === '=';
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isBase64, isBase64.exports));
	return isBase64.exports;
}

var hasRequiredIsJWT;

function requireIsJWT () {
	if (hasRequiredIsJWT) return isJWT.exports;
	hasRequiredIsJWT = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isJWT;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _isBase = _interopRequireDefault(/*@__PURE__*/ requireIsBase64());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function isJWT(str) {
		  (0, _assertString.default)(str);
		  var dotSplit = str.split('.');
		  var len = dotSplit.length;
		  if (len !== 3) {
		    return false;
		  }
		  return dotSplit.reduce(function (acc, currElem) {
		    return acc && (0, _isBase.default)(currElem, {
		      urlSafe: true
		    });
		  }, true);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isJWT, isJWT.exports));
	return isJWT.exports;
}

var isJSON = {exports: {}};

var hasRequiredIsJSON;

function requireIsJSON () {
	if (hasRequiredIsJSON) return isJSON.exports;
	hasRequiredIsJSON = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isJSON;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _merge = _interopRequireDefault(/*@__PURE__*/ requireMerge());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
		var default_json_options = {
		  allow_primitives: false
		};
		function isJSON(str, options) {
		  (0, _assertString.default)(str);
		  try {
		    options = (0, _merge.default)(options, default_json_options);
		    var primitives = [];
		    if (options.allow_primitives) {
		      primitives = [null, false, true];
		    }
		    var obj = JSON.parse(str);
		    return primitives.includes(obj) || !!obj && _typeof(obj) === 'object';
		  } catch (e) {/* ignore */}
		  return false;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isJSON, isJSON.exports));
	return isJSON.exports;
}

var isEmpty = {exports: {}};

var hasRequiredIsEmpty;

function requireIsEmpty () {
	if (hasRequiredIsEmpty) return isEmpty.exports;
	hasRequiredIsEmpty = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isEmpty;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _merge = _interopRequireDefault(/*@__PURE__*/ requireMerge());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var default_is_empty_options = {
		  ignore_whitespace: false
		};
		function isEmpty(str, options) {
		  (0, _assertString.default)(str);
		  options = (0, _merge.default)(options, default_is_empty_options);
		  return (options.ignore_whitespace ? str.trim().length : str.length) === 0;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isEmpty, isEmpty.exports));
	return isEmpty.exports;
}

var isLength = {exports: {}};

var hasRequiredIsLength;

function requireIsLength () {
	if (hasRequiredIsLength) return isLength.exports;
	hasRequiredIsLength = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isLength;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
		/* eslint-disable prefer-rest-params */
		function isLength(str, options) {
		  (0, _assertString.default)(str);
		  var min;
		  var max;
		  if (_typeof(options) === 'object') {
		    min = options.min || 0;
		    max = options.max;
		  } else {
		    // backwards compatibility: isLength(str, min [, max])
		    min = arguments[1] || 0;
		    max = arguments[2];
		  }
		  var presentationSequences = str.match(/(\uFE0F|\uFE0E)/g) || [];
		  var surrogatePairs = str.match(/[\uD800-\uDBFF][\uDC00-\uDFFF]/g) || [];
		  var len = str.length - presentationSequences.length - surrogatePairs.length;
		  return len >= min && (typeof max === 'undefined' || len <= max);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isLength, isLength.exports));
	return isLength.exports;
}

var isUUID = {exports: {}};

var hasRequiredIsUUID;

function requireIsUUID () {
	if (hasRequiredIsUUID) return isUUID.exports;
	hasRequiredIsUUID = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isUUID;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var uuid = {
		  1: /^[0-9A-F]{8}-[0-9A-F]{4}-1[0-9A-F]{3}-[0-9A-F]{4}-[0-9A-F]{12}$/i,
		  2: /^[0-9A-F]{8}-[0-9A-F]{4}-2[0-9A-F]{3}-[0-9A-F]{4}-[0-9A-F]{12}$/i,
		  3: /^[0-9A-F]{8}-[0-9A-F]{4}-3[0-9A-F]{3}-[0-9A-F]{4}-[0-9A-F]{12}$/i,
		  4: /^[0-9A-F]{8}-[0-9A-F]{4}-4[0-9A-F]{3}-[89AB][0-9A-F]{3}-[0-9A-F]{12}$/i,
		  5: /^[0-9A-F]{8}-[0-9A-F]{4}-5[0-9A-F]{3}-[89AB][0-9A-F]{3}-[0-9A-F]{12}$/i,
		  7: /^[0-9A-F]{8}-[0-9A-F]{4}-7[0-9A-F]{3}-[89AB][0-9A-F]{3}-[0-9A-F]{12}$/i,
		  all: /^[0-9A-F]{8}-[0-9A-F]{4}-[0-9A-F]{4}-[0-9A-F]{4}-[0-9A-F]{12}$/i
		};
		function isUUID(str, version) {
		  (0, _assertString.default)(str);
		  var pattern = uuid[![undefined, null].includes(version) ? version : 'all'];
		  return !!pattern && pattern.test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isUUID, isUUID.exports));
	return isUUID.exports;
}

var isMongoId = {exports: {}};

var hasRequiredIsMongoId;

function requireIsMongoId () {
	if (hasRequiredIsMongoId) return isMongoId.exports;
	hasRequiredIsMongoId = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isMongoId;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _isHexadecimal = _interopRequireDefault(/*@__PURE__*/ requireIsHexadecimal());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function isMongoId(str) {
		  (0, _assertString.default)(str);
		  return (0, _isHexadecimal.default)(str) && str.length === 24;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isMongoId, isMongoId.exports));
	return isMongoId.exports;
}

var isAfter = {exports: {}};

var hasRequiredIsAfter;

function requireIsAfter () {
	if (hasRequiredIsAfter) return isAfter.exports;
	hasRequiredIsAfter = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isAfter;
		var _toDate = _interopRequireDefault(/*@__PURE__*/ requireToDate());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function isAfter(date, options) {
		  // For backwards compatibility:
		  // isAfter(str [, date]), i.e. `options` could be used as argument for the legacy `date`
		  var comparisonDate = (options === null || options === void 0 ? void 0 : options.comparisonDate) || options || Date().toString();
		  var comparison = (0, _toDate.default)(comparisonDate);
		  var original = (0, _toDate.default)(date);
		  return !!(original && comparison && original > comparison);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isAfter, isAfter.exports));
	return isAfter.exports;
}

var isBefore = {exports: {}};

var hasRequiredIsBefore;

function requireIsBefore () {
	if (hasRequiredIsBefore) return isBefore.exports;
	hasRequiredIsBefore = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isBefore;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _toDate = _interopRequireDefault(/*@__PURE__*/ requireToDate());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function isBefore(str) {
		  var date = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : String(new Date());
		  (0, _assertString.default)(str);
		  var comparison = (0, _toDate.default)(date);
		  var original = (0, _toDate.default)(str);
		  return !!(original && comparison && original < comparison);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isBefore, isBefore.exports));
	return isBefore.exports;
}

var isIn = {exports: {}};

var hasRequiredIsIn;

function requireIsIn () {
	if (hasRequiredIsIn) return isIn.exports;
	hasRequiredIsIn = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isIn;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _toString = _interopRequireDefault(/*@__PURE__*/ requireToString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
		function isIn(str, options) {
		  (0, _assertString.default)(str);
		  var i;
		  if (Object.prototype.toString.call(options) === '[object Array]') {
		    var array = [];
		    for (i in options) {
		      // https://github.com/gotwarlost/istanbul/blob/master/ignoring-code-for-coverage.md#ignoring-code-for-coverage-purposes
		      // istanbul ignore else
		      if ({}.hasOwnProperty.call(options, i)) {
		        array[i] = (0, _toString.default)(options[i]);
		      }
		    }
		    return array.indexOf(str) >= 0;
		  } else if (_typeof(options) === 'object') {
		    return options.hasOwnProperty(str);
		  } else if (options && typeof options.indexOf === 'function') {
		    return options.indexOf(str) >= 0;
		  }
		  return false;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isIn, isIn.exports));
	return isIn.exports;
}

var isLuhnNumber = {exports: {}};

var hasRequiredIsLuhnNumber;

function requireIsLuhnNumber () {
	if (hasRequiredIsLuhnNumber) return isLuhnNumber.exports;
	hasRequiredIsLuhnNumber = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isLuhnNumber;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function isLuhnNumber(str) {
		  (0, _assertString.default)(str);
		  var sanitized = str.replace(/[- ]+/g, '');
		  var sum = 0;
		  var digit;
		  var tmpNum;
		  var shouldDouble;
		  for (var i = sanitized.length - 1; i >= 0; i--) {
		    digit = sanitized.substring(i, i + 1);
		    tmpNum = parseInt(digit, 10);
		    if (shouldDouble) {
		      tmpNum *= 2;
		      if (tmpNum >= 10) {
		        sum += tmpNum % 10 + 1;
		      } else {
		        sum += tmpNum;
		      }
		    } else {
		      sum += tmpNum;
		    }
		    shouldDouble = !shouldDouble;
		  }
		  return !!(sum % 10 === 0 ? sanitized : false);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isLuhnNumber, isLuhnNumber.exports));
	return isLuhnNumber.exports;
}

var isCreditCard = {exports: {}};

var hasRequiredIsCreditCard;

function requireIsCreditCard () {
	if (hasRequiredIsCreditCard) return isCreditCard.exports;
	hasRequiredIsCreditCard = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isCreditCard;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _isLuhnNumber = _interopRequireDefault(/*@__PURE__*/ requireIsLuhnNumber());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var cards = {
		  amex: /^3[47][0-9]{13}$/,
		  dinersclub: /^3(?:0[0-5]|[68][0-9])[0-9]{11}$/,
		  discover: /^6(?:011|5[0-9][0-9])[0-9]{12,15}$/,
		  jcb: /^(?:2131|1800|35\d{3})\d{11}$/,
		  mastercard: /^5[1-5][0-9]{2}|(222[1-9]|22[3-9][0-9]|2[3-6][0-9]{2}|27[01][0-9]|2720)[0-9]{12}$/,
		  // /^[25][1-7][0-9]{14}$/;
		  unionpay: /^(6[27][0-9]{14}|^(81[0-9]{14,17}))$/,
		  visa: /^(?:4[0-9]{12})(?:[0-9]{3,6})?$/
		};
		var allCards = function () {
		  var tmpCardsArray = [];
		  for (var cardProvider in cards) {
		    // istanbul ignore else
		    if (cards.hasOwnProperty(cardProvider)) {
		      tmpCardsArray.push(cards[cardProvider]);
		    }
		  }
		  return tmpCardsArray;
		}();
		function isCreditCard(card) {
		  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
		  (0, _assertString.default)(card);
		  var provider = options.provider;
		  var sanitized = card.replace(/[- ]+/g, '');
		  if (provider && provider.toLowerCase() in cards) {
		    // specific provider in the list
		    if (!cards[provider.toLowerCase()].test(sanitized)) {
		      return false;
		    }
		  } else if (provider && !(provider.toLowerCase() in cards)) {
		    /* specific provider not in the list */
		    throw new Error("".concat(provider, " is not a valid credit card provider."));
		  } else if (!allCards.some(function (cardProvider) {
		    return cardProvider.test(sanitized);
		  })) {
		    // no specific provider
		    return false;
		  }
		  return (0, _isLuhnNumber.default)(card);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isCreditCard, isCreditCard.exports));
	return isCreditCard.exports;
}

var isIdentityCard = {exports: {}};

var hasRequiredIsIdentityCard;

function requireIsIdentityCard () {
	if (hasRequiredIsIdentityCard) return isIdentityCard.exports;
	hasRequiredIsIdentityCard = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isIdentityCard;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _isInt = _interopRequireDefault(/*@__PURE__*/ requireIsInt());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var validators = {
		  PL: function PL(str) {
		    (0, _assertString.default)(str);
		    var weightOfDigits = {
		      1: 1,
		      2: 3,
		      3: 7,
		      4: 9,
		      5: 1,
		      6: 3,
		      7: 7,
		      8: 9,
		      9: 1,
		      10: 3,
		      11: 0
		    };
		    if (str != null && str.length === 11 && (0, _isInt.default)(str, {
		      allow_leading_zeroes: true
		    })) {
		      var digits = str.split('').slice(0, -1);
		      var sum = digits.reduce(function (acc, digit, index) {
		        return acc + Number(digit) * weightOfDigits[index + 1];
		      }, 0);
		      var modulo = sum % 10;
		      var lastDigit = Number(str.charAt(str.length - 1));
		      if (modulo === 0 && lastDigit === 0 || lastDigit === 10 - modulo) {
		        return true;
		      }
		    }
		    return false;
		  },
		  ES: function ES(str) {
		    (0, _assertString.default)(str);
		    var DNI = /^[0-9X-Z][0-9]{7}[TRWAGMYFPDXBNJZSQVHLCKE]$/;
		    var charsValue = {
		      X: 0,
		      Y: 1,
		      Z: 2
		    };
		    var controlDigits = ['T', 'R', 'W', 'A', 'G', 'M', 'Y', 'F', 'P', 'D', 'X', 'B', 'N', 'J', 'Z', 'S', 'Q', 'V', 'H', 'L', 'C', 'K', 'E'];

		    // sanitize user input
		    var sanitized = str.trim().toUpperCase();

		    // validate the data structure
		    if (!DNI.test(sanitized)) {
		      return false;
		    }

		    // validate the control digit
		    var number = sanitized.slice(0, -1).replace(/[X,Y,Z]/g, function (char) {
		      return charsValue[char];
		    });
		    return sanitized.endsWith(controlDigits[number % 23]);
		  },
		  FI: function FI(str) {
		    // https://dvv.fi/en/personal-identity-code#:~:text=control%20character%20for%20a-,personal,-identity%20code%20calculated
		    (0, _assertString.default)(str);
		    if (str.length !== 11) {
		      return false;
		    }
		    if (!str.match(/^\d{6}[\-A\+]\d{3}[0-9ABCDEFHJKLMNPRSTUVWXY]{1}$/)) {
		      return false;
		    }
		    var checkDigits = '0123456789ABCDEFHJKLMNPRSTUVWXY';
		    var idAsNumber = parseInt(str.slice(0, 6), 10) * 1000 + parseInt(str.slice(7, 10), 10);
		    var remainder = idAsNumber % 31;
		    var checkDigit = checkDigits[remainder];
		    return checkDigit === str.slice(10, 11);
		  },
		  IN: function IN(str) {
		    var DNI = /^[1-9]\d{3}\s?\d{4}\s?\d{4}$/;

		    // multiplication table
		    var d = [[0, 1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 2, 3, 4, 0, 6, 7, 8, 9, 5], [2, 3, 4, 0, 1, 7, 8, 9, 5, 6], [3, 4, 0, 1, 2, 8, 9, 5, 6, 7], [4, 0, 1, 2, 3, 9, 5, 6, 7, 8], [5, 9, 8, 7, 6, 0, 4, 3, 2, 1], [6, 5, 9, 8, 7, 1, 0, 4, 3, 2], [7, 6, 5, 9, 8, 2, 1, 0, 4, 3], [8, 7, 6, 5, 9, 3, 2, 1, 0, 4], [9, 8, 7, 6, 5, 4, 3, 2, 1, 0]];

		    // permutation table
		    var p = [[0, 1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 5, 7, 6, 2, 8, 3, 0, 9, 4], [5, 8, 0, 3, 7, 9, 6, 1, 4, 2], [8, 9, 1, 6, 0, 4, 3, 5, 2, 7], [9, 4, 5, 3, 1, 2, 6, 8, 7, 0], [4, 2, 8, 6, 5, 7, 3, 9, 0, 1], [2, 7, 9, 3, 8, 0, 6, 4, 1, 5], [7, 0, 4, 6, 9, 1, 3, 2, 5, 8]];

		    // sanitize user input
		    var sanitized = str.trim();

		    // validate the data structure
		    if (!DNI.test(sanitized)) {
		      return false;
		    }
		    var c = 0;
		    var invertedArray = sanitized.replace(/\s/g, '').split('').map(Number).reverse();
		    invertedArray.forEach(function (val, i) {
		      c = d[c][p[i % 8][val]];
		    });
		    return c === 0;
		  },
		  IR: function IR(str) {
		    if (!str.match(/^\d{10}$/)) return false;
		    str = "0000".concat(str).slice(str.length - 6);
		    if (parseInt(str.slice(3, 9), 10) === 0) return false;
		    var lastNumber = parseInt(str.slice(9, 10), 10);
		    var sum = 0;
		    for (var i = 0; i < 9; i++) {
		      sum += parseInt(str.slice(i, i + 1), 10) * (10 - i);
		    }
		    sum %= 11;
		    return sum < 2 && lastNumber === sum || sum >= 2 && lastNumber === 11 - sum;
		  },
		  IT: function IT(str) {
		    if (str.length !== 9) return false;
		    if (str === 'CA00000AA') return false; // https://it.wikipedia.org/wiki/Carta_d%27identit%C3%A0_elettronica_italiana
		    return str.search(/C[A-Z]\d{5}[A-Z]{2}/i) > -1;
		  },
		  NO: function NO(str) {
		    var sanitized = str.trim();
		    if (isNaN(Number(sanitized))) return false;
		    if (sanitized.length !== 11) return false;
		    if (sanitized === '00000000000') return false;

		    // https://no.wikipedia.org/wiki/F%C3%B8dselsnummer
		    var f = sanitized.split('').map(Number);
		    var k1 = (11 - (3 * f[0] + 7 * f[1] + 6 * f[2] + 1 * f[3] + 8 * f[4] + 9 * f[5] + 4 * f[6] + 5 * f[7] + 2 * f[8]) % 11) % 11;
		    var k2 = (11 - (5 * f[0] + 4 * f[1] + 3 * f[2] + 2 * f[3] + 7 * f[4] + 6 * f[5] + 5 * f[6] + 4 * f[7] + 3 * f[8] + 2 * k1) % 11) % 11;
		    if (k1 !== f[9] || k2 !== f[10]) return false;
		    return true;
		  },
		  TH: function TH(str) {
		    if (!str.match(/^[1-8]\d{12}$/)) return false;

		    // validate check digit
		    var sum = 0;
		    for (var i = 0; i < 12; i++) {
		      sum += parseInt(str[i], 10) * (13 - i);
		    }
		    return str[12] === ((11 - sum % 11) % 10).toString();
		  },
		  LK: function LK(str) {
		    var old_nic = /^[1-9]\d{8}[vx]$/i;
		    var new_nic = /^[1-9]\d{11}$/i;
		    if (str.length === 10 && old_nic.test(str)) return true;else if (str.length === 12 && new_nic.test(str)) return true;
		    return false;
		  },
		  'he-IL': function heIL(str) {
		    var DNI = /^\d{9}$/;

		    // sanitize user input
		    var sanitized = str.trim();

		    // validate the data structure
		    if (!DNI.test(sanitized)) {
		      return false;
		    }
		    var id = sanitized;
		    var sum = 0,
		      incNum;
		    for (var i = 0; i < id.length; i++) {
		      incNum = Number(id[i]) * (i % 2 + 1); // Multiply number by 1 or 2
		      sum += incNum > 9 ? incNum - 9 : incNum; // Sum the digits up and add to total
		    }
		    return sum % 10 === 0;
		  },
		  'ar-LY': function arLY(str) {
		    // Libya National Identity Number NIN is 12 digits, the first digit is either 1 or 2
		    var NIN = /^(1|2)\d{11}$/;

		    // sanitize user input
		    var sanitized = str.trim();

		    // validate the data structure
		    if (!NIN.test(sanitized)) {
		      return false;
		    }
		    return true;
		  },
		  'ar-TN': function arTN(str) {
		    var DNI = /^\d{8}$/;

		    // sanitize user input
		    var sanitized = str.trim();

		    // validate the data structure
		    if (!DNI.test(sanitized)) {
		      return false;
		    }
		    return true;
		  },
		  'zh-CN': function zhCN(str) {
		    var provincesAndCities = ['11',
		    // 北京
		    '12',
		    // 天津
		    '13',
		    // 河北
		    '14',
		    // 山西
		    '15',
		    // 内蒙古
		    '21',
		    // 辽宁
		    '22',
		    // 吉林
		    '23',
		    // 黑龙江
		    '31',
		    // 上海
		    '32',
		    // 江苏
		    '33',
		    // 浙江
		    '34',
		    // 安徽
		    '35',
		    // 福建
		    '36',
		    // 江西
		    '37',
		    // 山东
		    '41',
		    // 河南
		    '42',
		    // 湖北
		    '43',
		    // 湖南
		    '44',
		    // 广东
		    '45',
		    // 广西
		    '46',
		    // 海南
		    '50',
		    // 重庆
		    '51',
		    // 四川
		    '52',
		    // 贵州
		    '53',
		    // 云南
		    '54',
		    // 西藏
		    '61',
		    // 陕西
		    '62',
		    // 甘肃
		    '63',
		    // 青海
		    '64',
		    // 宁夏
		    '65',
		    // 新疆
		    '71',
		    // 台湾
		    '81',
		    // 香港
		    '82',
		    // 澳门
		    '91' // 国外
		    ];
		    var powers = ['7', '9', '10', '5', '8', '4', '2', '1', '6', '3', '7', '9', '10', '5', '8', '4', '2'];
		    var parityBit = ['1', '0', 'X', '9', '8', '7', '6', '5', '4', '3', '2'];
		    var checkAddressCode = function checkAddressCode(addressCode) {
		      return provincesAndCities.includes(addressCode);
		    };
		    var checkBirthDayCode = function checkBirthDayCode(birDayCode) {
		      var yyyy = parseInt(birDayCode.substring(0, 4), 10);
		      var mm = parseInt(birDayCode.substring(4, 6), 10);
		      var dd = parseInt(birDayCode.substring(6), 10);
		      var xdata = new Date(yyyy, mm - 1, dd);
		      if (xdata > new Date()) {
		        return false;
		        // eslint-disable-next-line max-len
		      } else if (xdata.getFullYear() === yyyy && xdata.getMonth() === mm - 1 && xdata.getDate() === dd) {
		        return true;
		      }
		      return false;
		    };
		    var getParityBit = function getParityBit(idCardNo) {
		      var id17 = idCardNo.substring(0, 17);
		      var power = 0;
		      for (var i = 0; i < 17; i++) {
		        power += parseInt(id17.charAt(i), 10) * parseInt(powers[i], 10);
		      }
		      var mod = power % 11;
		      return parityBit[mod];
		    };
		    var checkParityBit = function checkParityBit(idCardNo) {
		      return getParityBit(idCardNo) === idCardNo.charAt(17).toUpperCase();
		    };
		    var check15IdCardNo = function check15IdCardNo(idCardNo) {
		      var check = /^[1-9]\d{7}((0[1-9])|(1[0-2]))((0[1-9])|([1-2][0-9])|(3[0-1]))\d{3}$/.test(idCardNo);
		      if (!check) return false;
		      var addressCode = idCardNo.substring(0, 2);
		      check = checkAddressCode(addressCode);
		      if (!check) return false;
		      var birDayCode = "19".concat(idCardNo.substring(6, 12));
		      check = checkBirthDayCode(birDayCode);
		      if (!check) return false;
		      return true;
		    };
		    var check18IdCardNo = function check18IdCardNo(idCardNo) {
		      var check = /^[1-9]\d{5}[1-9]\d{3}((0[1-9])|(1[0-2]))((0[1-9])|([1-2][0-9])|(3[0-1]))\d{3}(\d|x|X)$/.test(idCardNo);
		      if (!check) return false;
		      var addressCode = idCardNo.substring(0, 2);
		      check = checkAddressCode(addressCode);
		      if (!check) return false;
		      var birDayCode = idCardNo.substring(6, 14);
		      check = checkBirthDayCode(birDayCode);
		      if (!check) return false;
		      return checkParityBit(idCardNo);
		    };
		    var checkIdCardNo = function checkIdCardNo(idCardNo) {
		      var check = /^\d{15}|(\d{17}(\d|x|X))$/.test(idCardNo);
		      if (!check) return false;
		      if (idCardNo.length === 15) {
		        return check15IdCardNo(idCardNo);
		      }
		      return check18IdCardNo(idCardNo);
		    };
		    return checkIdCardNo(str);
		  },
		  'zh-HK': function zhHK(str) {
		    // sanitize user input
		    str = str.trim();

		    // HKID number starts with 1 or 2 letters, followed by 6 digits,
		    // then a checksum contained in square / round brackets or nothing
		    var regexHKID = /^[A-Z]{1,2}[0-9]{6}((\([0-9A]\))|(\[[0-9A]\])|([0-9A]))$/;
		    var regexIsDigit = /^[0-9]$/;

		    // convert the user input to all uppercase and apply regex
		    str = str.toUpperCase();
		    if (!regexHKID.test(str)) return false;
		    str = str.replace(/\[|\]|\(|\)/g, '');
		    if (str.length === 8) str = "3".concat(str);
		    var checkSumVal = 0;
		    for (var i = 0; i <= 7; i++) {
		      var convertedChar = void 0;
		      if (!regexIsDigit.test(str[i])) convertedChar = (str[i].charCodeAt(0) - 55) % 11;else convertedChar = str[i];
		      checkSumVal += convertedChar * (9 - i);
		    }
		    checkSumVal %= 11;
		    var checkSumConverted;
		    if (checkSumVal === 0) checkSumConverted = '0';else if (checkSumVal === 1) checkSumConverted = 'A';else checkSumConverted = String(11 - checkSumVal);
		    if (checkSumConverted === str[str.length - 1]) return true;
		    return false;
		  },
		  'zh-TW': function zhTW(str) {
		    var ALPHABET_CODES = {
		      A: 10,
		      B: 11,
		      C: 12,
		      D: 13,
		      E: 14,
		      F: 15,
		      G: 16,
		      H: 17,
		      I: 34,
		      J: 18,
		      K: 19,
		      L: 20,
		      M: 21,
		      N: 22,
		      O: 35,
		      P: 23,
		      Q: 24,
		      R: 25,
		      S: 26,
		      T: 27,
		      U: 28,
		      V: 29,
		      W: 32,
		      X: 30,
		      Y: 31,
		      Z: 33
		    };
		    var sanitized = str.trim().toUpperCase();
		    if (!/^[A-Z][0-9]{9}$/.test(sanitized)) return false;
		    return Array.from(sanitized).reduce(function (sum, number, index) {
		      if (index === 0) {
		        var code = ALPHABET_CODES[number];
		        return code % 10 * 9 + Math.floor(code / 10);
		      }
		      if (index === 9) {
		        return (10 - sum % 10 - Number(number)) % 10 === 0;
		      }
		      return sum + Number(number) * (9 - index);
		    }, 0);
		  }
		};
		function isIdentityCard(str, locale) {
		  (0, _assertString.default)(str);
		  if (locale in validators) {
		    return validators[locale](str);
		  } else if (locale === 'any') {
		    for (var key in validators) {
		      // https://github.com/gotwarlost/istanbul/blob/master/ignoring-code-for-coverage.md#ignoring-code-for-coverage-purposes
		      // istanbul ignore else
		      if (validators.hasOwnProperty(key)) {
		        var validator = validators[key];
		        if (validator(str)) {
		          return true;
		        }
		      }
		    }
		    return false;
		  }
		  throw new Error("Invalid locale '".concat(locale, "'"));
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isIdentityCard, isIdentityCard.exports));
	return isIdentityCard.exports;
}

var isEAN = {exports: {}};

var hasRequiredIsEAN;

function requireIsEAN () {
	if (hasRequiredIsEAN) return isEAN.exports;
	hasRequiredIsEAN = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isEAN;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		/**
		 * The most commonly used EAN standard is
		 * the thirteen-digit EAN-13, while the
		 * less commonly used 8-digit EAN-8 barcode was
		 * introduced for use on small packages.
		 * Also EAN/UCC-14 is used for Grouping of individual
		 * trade items above unit level(Intermediate, Carton or Pallet).
		 * For more info about EAN-14 checkout: https://www.gtin.info/itf-14-barcodes/
		 * EAN consists of:
		 * GS1 prefix, manufacturer code, product code and check digit
		 * Reference: https://en.wikipedia.org/wiki/International_Article_Number
		 * Reference: https://www.gtin.info/
		 */

		/**
		 * Define EAN Lenghts; 8 for EAN-8; 13 for EAN-13; 14 for EAN-14
		 * and Regular Expression for valid EANs (EAN-8, EAN-13, EAN-14),
		 * with exact numberic matching of 8 or 13 or 14 digits [0-9]
		 */
		var LENGTH_EAN_8 = 8;
		var LENGTH_EAN_14 = 14;
		var validEanRegex = /^(\d{8}|\d{13}|\d{14})$/;

		/**
		 * Get position weight given:
		 * EAN length and digit index/position
		 *
		 * @param {number} length
		 * @param {number} index
		 * @return {number}
		 */
		function getPositionWeightThroughLengthAndIndex(length, index) {
		  if (length === LENGTH_EAN_8 || length === LENGTH_EAN_14) {
		    return index % 2 === 0 ? 3 : 1;
		  }
		  return index % 2 === 0 ? 1 : 3;
		}

		/**
		 * Calculate EAN Check Digit
		 * Reference: https://en.wikipedia.org/wiki/International_Article_Number#Calculation_of_checksum_digit
		 *
		 * @param {string} ean
		 * @return {number}
		 */
		function calculateCheckDigit(ean) {
		  var checksum = ean.slice(0, -1).split('').map(function (char, index) {
		    return Number(char) * getPositionWeightThroughLengthAndIndex(ean.length, index);
		  }).reduce(function (acc, partialSum) {
		    return acc + partialSum;
		  }, 0);
		  var remainder = 10 - checksum % 10;
		  return remainder < 10 ? remainder : 0;
		}

		/**
		 * Check if string is valid EAN:
		 * Matches EAN-8/EAN-13/EAN-14 regex
		 * Has valid check digit.
		 *
		 * @param {string} str
		 * @return {boolean}
		 */
		function isEAN(str) {
		  (0, _assertString.default)(str);
		  var actualCheckDigit = Number(str.slice(-1));
		  return validEanRegex.test(str) && actualCheckDigit === calculateCheckDigit(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isEAN, isEAN.exports));
	return isEAN.exports;
}

var isISIN = {exports: {}};

var hasRequiredIsISIN;

function requireIsISIN () {
	if (hasRequiredIsISIN) return isISIN.exports;
	hasRequiredIsISIN = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isISIN;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var isin = /^[A-Z]{2}[0-9A-Z]{9}[0-9]$/;

		// this link details how the check digit is calculated:
		// https://www.isin.org/isin-format/. it is a little bit
		// odd in that it works with digits, not numbers. in order
		// to make only one pass through the ISIN characters, the
		// each alpha character is handled as 2 characters within
		// the loop.

		function isISIN(str) {
		  (0, _assertString.default)(str);
		  if (!isin.test(str)) {
		    return false;
		  }
		  var double = true;
		  var sum = 0;
		  // convert values
		  for (var i = str.length - 2; i >= 0; i--) {
		    if (str[i] >= 'A' && str[i] <= 'Z') {
		      var value = str[i].charCodeAt(0) - 55;
		      var lo = value % 10;
		      var hi = Math.trunc(value / 10);
		      // letters have two digits, so handle the low order
		      // and high order digits separately.
		      for (var _i = 0, _arr = [lo, hi]; _i < _arr.length; _i++) {
		        var digit = _arr[_i];
		        if (double) {
		          if (digit >= 5) {
		            sum += 1 + (digit - 5) * 2;
		          } else {
		            sum += digit * 2;
		          }
		        } else {
		          sum += digit;
		        }
		        double = !double;
		      }
		    } else {
		      var _digit = str[i].charCodeAt(0) - '0'.charCodeAt(0);
		      if (double) {
		        if (_digit >= 5) {
		          sum += 1 + (_digit - 5) * 2;
		        } else {
		          sum += _digit * 2;
		        }
		      } else {
		        sum += _digit;
		      }
		      double = !double;
		    }
		  }
		  var check = Math.trunc((sum + 9) / 10) * 10 - sum;
		  return +str[str.length - 1] === check;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isISIN, isISIN.exports));
	return isISIN.exports;
}

var isISBN = {exports: {}};

var hasRequiredIsISBN;

function requireIsISBN () {
	if (hasRequiredIsISBN) return isISBN.exports;
	hasRequiredIsISBN = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isISBN;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var possibleIsbn10 = /^(?:[0-9]{9}X|[0-9]{10})$/;
		var possibleIsbn13 = /^(?:[0-9]{13})$/;
		var factor = [1, 3];
		function isISBN(isbn, options) {
		  (0, _assertString.default)(isbn);

		  // For backwards compatibility:
		  // isISBN(str [, version]), i.e. `options` could be used as argument for the legacy `version`
		  var version = String((options === null || options === void 0 ? void 0 : options.version) || options);
		  if (!(options !== null && options !== void 0 && options.version || options)) {
		    return isISBN(isbn, {
		      version: 10
		    }) || isISBN(isbn, {
		      version: 13
		    });
		  }
		  var sanitizedIsbn = isbn.replace(/[\s-]+/g, '');
		  var checksum = 0;
		  if (version === '10') {
		    if (!possibleIsbn10.test(sanitizedIsbn)) {
		      return false;
		    }
		    for (var i = 0; i < version - 1; i++) {
		      checksum += (i + 1) * sanitizedIsbn.charAt(i);
		    }
		    if (sanitizedIsbn.charAt(9) === 'X') {
		      checksum += 10 * 10;
		    } else {
		      checksum += 10 * sanitizedIsbn.charAt(9);
		    }
		    if (checksum % 11 === 0) {
		      return true;
		    }
		  } else if (version === '13') {
		    if (!possibleIsbn13.test(sanitizedIsbn)) {
		      return false;
		    }
		    for (var _i = 0; _i < 12; _i++) {
		      checksum += factor[_i % 2] * sanitizedIsbn.charAt(_i);
		    }
		    if (sanitizedIsbn.charAt(12) - (10 - checksum % 10) % 10 === 0) {
		      return true;
		    }
		  }
		  return false;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isISBN, isISBN.exports));
	return isISBN.exports;
}

var isISSN = {exports: {}};

var hasRequiredIsISSN;

function requireIsISSN () {
	if (hasRequiredIsISSN) return isISSN.exports;
	hasRequiredIsISSN = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isISSN;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var issn = '^\\d{4}-?\\d{3}[\\dX]$';
		function isISSN(str) {
		  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
		  (0, _assertString.default)(str);
		  var testIssn = issn;
		  testIssn = options.require_hyphen ? testIssn.replace('?', '') : testIssn;
		  testIssn = options.case_sensitive ? new RegExp(testIssn) : new RegExp(testIssn, 'i');
		  if (!testIssn.test(str)) {
		    return false;
		  }
		  var digits = str.replace('-', '').toUpperCase();
		  var checksum = 0;
		  for (var i = 0; i < digits.length; i++) {
		    var digit = digits[i];
		    checksum += (digit === 'X' ? 10 : +digit) * (8 - i);
		  }
		  return checksum % 11 === 0;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isISSN, isISSN.exports));
	return isISSN.exports;
}

var isTaxID = {exports: {}};

var algorithms = {};

var hasRequiredAlgorithms;

function requireAlgorithms () {
	if (hasRequiredAlgorithms) return algorithms;
	hasRequiredAlgorithms = 1;

	Object.defineProperty(algorithms, "__esModule", {
	  value: true
	});
	algorithms.iso7064Check = iso7064Check;
	algorithms.luhnCheck = luhnCheck;
	algorithms.reverseMultiplyAndSum = reverseMultiplyAndSum;
	algorithms.verhoeffCheck = verhoeffCheck;
	/**
	 * Algorithmic validation functions
	 * May be used as is or implemented in the workflow of other validators.
	 */

	/*
	 * ISO 7064 validation function
	 * Called with a string of numbers (incl. check digit)
	 * to validate according to ISO 7064 (MOD 11, 10).
	 */
	function iso7064Check(str) {
	  var checkvalue = 10;
	  for (var i = 0; i < str.length - 1; i++) {
	    checkvalue = (parseInt(str[i], 10) + checkvalue) % 10 === 0 ? 10 * 2 % 11 : (parseInt(str[i], 10) + checkvalue) % 10 * 2 % 11;
	  }
	  checkvalue = checkvalue === 1 ? 0 : 11 - checkvalue;
	  return checkvalue === parseInt(str[10], 10);
	}

	/*
	 * Luhn (mod 10) validation function
	 * Called with a string of numbers (incl. check digit)
	 * to validate according to the Luhn algorithm.
	 */
	function luhnCheck(str) {
	  var checksum = 0;
	  var second = false;
	  for (var i = str.length - 1; i >= 0; i--) {
	    if (second) {
	      var product = parseInt(str[i], 10) * 2;
	      if (product > 9) {
	        // sum digits of product and add to checksum
	        checksum += product.toString().split('').map(function (a) {
	          return parseInt(a, 10);
	        }).reduce(function (a, b) {
	          return a + b;
	        }, 0);
	      } else {
	        checksum += product;
	      }
	    } else {
	      checksum += parseInt(str[i], 10);
	    }
	    second = !second;
	  }
	  return checksum % 10 === 0;
	}

	/*
	 * Reverse TIN multiplication and summation helper function
	 * Called with an array of single-digit integers and a base multiplier
	 * to calculate the sum of the digits multiplied in reverse.
	 * Normally used in variations of MOD 11 algorithmic checks.
	 */
	function reverseMultiplyAndSum(digits, base) {
	  var total = 0;
	  for (var i = 0; i < digits.length; i++) {
	    total += digits[i] * (base - i);
	  }
	  return total;
	}

	/*
	 * Verhoeff validation helper function
	 * Called with a string of numbers
	 * to validate according to the Verhoeff algorithm.
	 */
	function verhoeffCheck(str) {
	  var d_table = [[0, 1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 2, 3, 4, 0, 6, 7, 8, 9, 5], [2, 3, 4, 0, 1, 7, 8, 9, 5, 6], [3, 4, 0, 1, 2, 8, 9, 5, 6, 7], [4, 0, 1, 2, 3, 9, 5, 6, 7, 8], [5, 9, 8, 7, 6, 0, 4, 3, 2, 1], [6, 5, 9, 8, 7, 1, 0, 4, 3, 2], [7, 6, 5, 9, 8, 2, 1, 0, 4, 3], [8, 7, 6, 5, 9, 3, 2, 1, 0, 4], [9, 8, 7, 6, 5, 4, 3, 2, 1, 0]];
	  var p_table = [[0, 1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 5, 7, 6, 2, 8, 3, 0, 9, 4], [5, 8, 0, 3, 7, 9, 6, 1, 4, 2], [8, 9, 1, 6, 0, 4, 3, 5, 2, 7], [9, 4, 5, 3, 1, 2, 6, 8, 7, 0], [4, 2, 8, 6, 5, 7, 3, 9, 0, 1], [2, 7, 9, 3, 8, 0, 6, 4, 1, 5], [7, 0, 4, 6, 9, 1, 3, 2, 5, 8]];

	  // Copy (to prevent replacement) and reverse
	  var str_copy = str.split('').reverse().join('');
	  var checksum = 0;
	  for (var i = 0; i < str_copy.length; i++) {
	    checksum = d_table[checksum][p_table[i % 8][parseInt(str_copy[i], 10)]];
	  }
	  return checksum === 0;
	}
	return algorithms;
}

var hasRequiredIsTaxID;

function requireIsTaxID () {
	if (hasRequiredIsTaxID) return isTaxID.exports;
	hasRequiredIsTaxID = 1;
	(function (module, exports) {

		function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isTaxID;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var algorithms = _interopRequireWildcard(/*@__PURE__*/ requireAlgorithms());
		var _isDate = _interopRequireDefault(/*@__PURE__*/ requireIsDate());
		function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
		function _interopRequireWildcard(e, r) { if (e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
		function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
		function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
		function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
		function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
		function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
		/**
		 * TIN Validation
		 * Validates Tax Identification Numbers (TINs) from the US, EU member states and the United Kingdom.
		 *
		 * EU-UK:
		 * National TIN validity is calculated using public algorithms as made available by DG TAXUD.
		 *
		 * See `https://ec.europa.eu/taxation_customs/tin/specs/FS-TIN%20Algorithms-Public.docx` for more information.
		 *
		 * US:
		 * An Employer Identification Number (EIN), also known as a Federal Tax Identification Number,
		 *  is used to identify a business entity.
		 *
		 * NOTES:
		 *  - Prefix 47 is being reserved for future use
		 *  - Prefixes 26, 27, 45, 46 and 47 were previously assigned by the Philadelphia campus.
		 *
		 * See `http://www.irs.gov/Businesses/Small-Businesses-&-Self-Employed/How-EINs-are-Assigned-and-Valid-EIN-Prefixes`
		 * for more information.
		 */

		// Locale functions

		/*
		 * bg-BG validation function
		 * (Edinen graždanski nomer (EGN/ЕГН), persons only)
		 * Checks if birth date (first six digits) is valid and calculates check (last) digit
		 */
		function bgBgCheck(tin) {
		  // Extract full year, normalize month and check birth date validity
		  var century_year = tin.slice(0, 2);
		  var month = parseInt(tin.slice(2, 4), 10);
		  if (month > 40) {
		    month -= 40;
		    century_year = "20".concat(century_year);
		  } else if (month > 20) {
		    month -= 20;
		    century_year = "18".concat(century_year);
		  } else {
		    century_year = "19".concat(century_year);
		  }
		  if (month < 10) {
		    month = "0".concat(month);
		  }
		  var date = "".concat(century_year, "/").concat(month, "/").concat(tin.slice(4, 6));
		  if (!(0, _isDate.default)(date, 'YYYY/MM/DD')) {
		    return false;
		  }

		  // split digits into an array for further processing
		  var digits = tin.split('').map(function (a) {
		    return parseInt(a, 10);
		  });

		  // Calculate checksum by multiplying digits with fixed values
		  var multip_lookup = [2, 4, 8, 5, 10, 9, 7, 3, 6];
		  var checksum = 0;
		  for (var i = 0; i < multip_lookup.length; i++) {
		    checksum += digits[i] * multip_lookup[i];
		  }
		  checksum = checksum % 11 === 10 ? 0 : checksum % 11;
		  return checksum === digits[9];
		}

		/**
		 * Check if an input is a valid Canadian SIN (Social Insurance Number)
		 *
		 * The Social Insurance Number (SIN) is a 9 digit number that
		 * you need to work in Canada or to have access to government programs and benefits.
		 *
		 * https://en.wikipedia.org/wiki/Social_Insurance_Number
		 * https://www.canada.ca/en/employment-social-development/services/sin.html
		 * https://www.codercrunch.com/challenge/819302488/sin-validator
		 *
		 * @param {string} input
		 * @return {boolean}
		 */
		function isCanadianSIN(input) {
		  var digitsArray = input.split('');
		  var even = digitsArray.filter(function (_, idx) {
		    return idx % 2;
		  }).map(function (i) {
		    return Number(i) * 2;
		  }).join('').split('');
		  var total = digitsArray.filter(function (_, idx) {
		    return !(idx % 2);
		  }).concat(even).map(function (i) {
		    return Number(i);
		  }).reduce(function (acc, cur) {
		    return acc + cur;
		  });
		  return total % 10 === 0;
		}

		/*
		 * cs-CZ validation function
		 * (Rodné číslo (RČ), persons only)
		 * Checks if birth date (first six digits) is valid and divisibility by 11
		 * Material not in DG TAXUD document sourced from:
		 * -`https://lorenc.info/3MA381/overeni-spravnosti-rodneho-cisla.htm`
		 * -`https://www.mvcr.cz/clanek/rady-a-sluzby-dokumenty-rodne-cislo.aspx`
		 */
		function csCzCheck(tin) {
		  tin = tin.replace(/\W/, '');

		  // Extract full year from TIN length
		  var full_year = parseInt(tin.slice(0, 2), 10);
		  if (tin.length === 10) {
		    if (full_year < 54) {
		      full_year = "20".concat(full_year);
		    } else {
		      full_year = "19".concat(full_year);
		    }
		  } else {
		    if (tin.slice(6) === '000') {
		      return false;
		    } // Three-zero serial not assigned before 1954
		    if (full_year < 54) {
		      full_year = "19".concat(full_year);
		    } else {
		      return false; // No 18XX years seen in any of the resources
		    }
		  }
		  // Add missing zero if needed
		  if (full_year.length === 3) {
		    full_year = [full_year.slice(0, 2), '0', full_year.slice(2)].join('');
		  }

		  // Extract month from TIN and normalize
		  var month = parseInt(tin.slice(2, 4), 10);
		  if (month > 50) {
		    month -= 50;
		  }
		  if (month > 20) {
		    // Month-plus-twenty was only introduced in 2004
		    if (parseInt(full_year, 10) < 2004) {
		      return false;
		    }
		    month -= 20;
		  }
		  if (month < 10) {
		    month = "0".concat(month);
		  }

		  // Check date validity
		  var date = "".concat(full_year, "/").concat(month, "/").concat(tin.slice(4, 6));
		  if (!(0, _isDate.default)(date, 'YYYY/MM/DD')) {
		    return false;
		  }

		  // Verify divisibility by 11
		  if (tin.length === 10) {
		    if (parseInt(tin, 10) % 11 !== 0) {
		      // Some numbers up to and including 1985 are still valid if
		      // check (last) digit equals 0 and modulo of first 9 digits equals 10
		      var checkdigit = parseInt(tin.slice(0, 9), 10) % 11;
		      if (parseInt(full_year, 10) < 1986 && checkdigit === 10) {
		        if (parseInt(tin.slice(9), 10) !== 0) {
		          return false;
		        }
		      } else {
		        return false;
		      }
		    }
		  }
		  return true;
		}

		/*
		 * de-AT validation function
		 * (Abgabenkontonummer, persons/entities)
		 * Verify TIN validity by calling luhnCheck()
		 */
		function deAtCheck(tin) {
		  return algorithms.luhnCheck(tin);
		}

		/*
		 * de-DE validation function
		 * (Steueridentifikationsnummer (Steuer-IdNr.), persons only)
		 * Tests for single duplicate/triplicate value, then calculates ISO 7064 check (last) digit
		 * Partial implementation of spec (same result with both algorithms always)
		 */
		function deDeCheck(tin) {
		  // Split digits into an array for further processing
		  var digits = tin.split('').map(function (a) {
		    return parseInt(a, 10);
		  });

		  // Fill array with strings of number positions
		  var occurences = [];
		  for (var i = 0; i < digits.length - 1; i++) {
		    occurences.push('');
		    for (var j = 0; j < digits.length - 1; j++) {
		      if (digits[i] === digits[j]) {
		        occurences[i] += j;
		      }
		    }
		  }

		  // Remove digits with one occurence and test for only one duplicate/triplicate
		  occurences = occurences.filter(function (a) {
		    return a.length > 1;
		  });
		  if (occurences.length !== 2 && occurences.length !== 3) {
		    return false;
		  }

		  // In case of triplicate value only two digits are allowed next to each other
		  if (occurences[0].length === 3) {
		    var trip_locations = occurences[0].split('').map(function (a) {
		      return parseInt(a, 10);
		    });
		    var recurrent = 0; // Amount of neighbour occurences
		    for (var _i = 0; _i < trip_locations.length - 1; _i++) {
		      if (trip_locations[_i] + 1 === trip_locations[_i + 1]) {
		        recurrent += 1;
		      }
		    }
		    if (recurrent === 2) {
		      return false;
		    }
		  }
		  return algorithms.iso7064Check(tin);
		}

		/*
		 * dk-DK validation function
		 * (CPR-nummer (personnummer), persons only)
		 * Checks if birth date (first six digits) is valid and assigned to century (seventh) digit,
		 * and calculates check (last) digit
		 */
		function dkDkCheck(tin) {
		  tin = tin.replace(/\W/, '');

		  // Extract year, check if valid for given century digit and add century
		  var year = parseInt(tin.slice(4, 6), 10);
		  var century_digit = tin.slice(6, 7);
		  switch (century_digit) {
		    case '0':
		    case '1':
		    case '2':
		    case '3':
		      year = "19".concat(year);
		      break;
		    case '4':
		    case '9':
		      if (year < 37) {
		        year = "20".concat(year);
		      } else {
		        year = "19".concat(year);
		      }
		      break;
		    default:
		      if (year < 37) {
		        year = "20".concat(year);
		      } else if (year > 58) {
		        year = "18".concat(year);
		      } else {
		        return false;
		      }
		      break;
		  }
		  // Add missing zero if needed
		  if (year.length === 3) {
		    year = [year.slice(0, 2), '0', year.slice(2)].join('');
		  }
		  // Check date validity
		  var date = "".concat(year, "/").concat(tin.slice(2, 4), "/").concat(tin.slice(0, 2));
		  if (!(0, _isDate.default)(date, 'YYYY/MM/DD')) {
		    return false;
		  }

		  // Split digits into an array for further processing
		  var digits = tin.split('').map(function (a) {
		    return parseInt(a, 10);
		  });
		  var checksum = 0;
		  var weight = 4;
		  // Multiply by weight and add to checksum
		  for (var i = 0; i < 9; i++) {
		    checksum += digits[i] * weight;
		    weight -= 1;
		    if (weight === 1) {
		      weight = 7;
		    }
		  }
		  checksum %= 11;
		  if (checksum === 1) {
		    return false;
		  }
		  return checksum === 0 ? digits[9] === 0 : digits[9] === 11 - checksum;
		}

		/*
		 * el-CY validation function
		 * (Arithmos Forologikou Mitroou (AFM/ΑΦΜ), persons only)
		 * Verify TIN validity by calculating ASCII value of check (last) character
		 */
		function elCyCheck(tin) {
		  // split digits into an array for further processing
		  var digits = tin.slice(0, 8).split('').map(function (a) {
		    return parseInt(a, 10);
		  });
		  var checksum = 0;
		  // add digits in even places
		  for (var i = 1; i < digits.length; i += 2) {
		    checksum += digits[i];
		  }

		  // add digits in odd places
		  for (var _i2 = 0; _i2 < digits.length; _i2 += 2) {
		    if (digits[_i2] < 2) {
		      checksum += 1 - digits[_i2];
		    } else {
		      checksum += 2 * (digits[_i2] - 2) + 5;
		      if (digits[_i2] > 4) {
		        checksum += 2;
		      }
		    }
		  }
		  return String.fromCharCode(checksum % 26 + 65) === tin.charAt(8);
		}

		/*
		 * el-GR validation function
		 * (Arithmos Forologikou Mitroou (AFM/ΑΦΜ), persons/entities)
		 * Verify TIN validity by calculating check (last) digit
		 * Algorithm not in DG TAXUD document- sourced from:
		 * - `http://epixeirisi.gr/%CE%9A%CE%A1%CE%99%CE%A3%CE%99%CE%9C%CE%91-%CE%98%CE%95%CE%9C%CE%91%CE%A4%CE%91-%CE%A6%CE%9F%CE%A1%CE%9F%CE%9B%CE%9F%CE%93%CE%99%CE%91%CE%A3-%CE%9A%CE%91%CE%99-%CE%9B%CE%9F%CE%93%CE%99%CE%A3%CE%A4%CE%99%CE%9A%CE%97%CE%A3/23791/%CE%91%CF%81%CE%B9%CE%B8%CE%BC%CF%8C%CF%82-%CE%A6%CE%BF%CF%81%CE%BF%CE%BB%CE%BF%CE%B3%CE%B9%CE%BA%CE%BF%CF%8D-%CE%9C%CE%B7%CF%84%CF%81%CF%8E%CE%BF%CF%85`
		 */
		function elGrCheck(tin) {
		  // split digits into an array for further processing
		  var digits = tin.split('').map(function (a) {
		    return parseInt(a, 10);
		  });
		  var checksum = 0;
		  for (var i = 0; i < 8; i++) {
		    checksum += digits[i] * Math.pow(2, 8 - i);
		  }
		  return checksum % 11 % 10 === digits[8];
		}

		/*
		 * en-GB validation function (should go here if needed)
		 * (National Insurance Number (NINO) or Unique Taxpayer Reference (UTR),
		 * persons/entities respectively)
		 */

		/*
		 * en-IE validation function
		 * (Personal Public Service Number (PPS No), persons only)
		 * Verify TIN validity by calculating check (second to last) character
		 */
		function enIeCheck(tin) {
		  var checksum = algorithms.reverseMultiplyAndSum(tin.split('').slice(0, 7).map(function (a) {
		    return parseInt(a, 10);
		  }), 8);
		  if (tin.length === 9 && tin[8] !== 'W') {
		    checksum += (tin[8].charCodeAt(0) - 64) * 9;
		  }
		  checksum %= 23;
		  if (checksum === 0) {
		    return tin[7].toUpperCase() === 'W';
		  }
		  return tin[7].toUpperCase() === String.fromCharCode(64 + checksum);
		}

		// Valid US IRS campus prefixes
		var enUsCampusPrefix = {
		  andover: ['10', '12'],
		  atlanta: ['60', '67'],
		  austin: ['50', '53'],
		  brookhaven: ['01', '02', '03', '04', '05', '06', '11', '13', '14', '16', '21', '22', '23', '25', '34', '51', '52', '54', '55', '56', '57', '58', '59', '65'],
		  cincinnati: ['30', '32', '35', '36', '37', '38', '61'],
		  fresno: ['15', '24'],
		  internet: ['20', '26', '27', '45', '46', '47'],
		  kansas: ['40', '44'],
		  memphis: ['94', '95'],
		  ogden: ['80', '90'],
		  philadelphia: ['33', '39', '41', '42', '43', '46', '48', '62', '63', '64', '66', '68', '71', '72', '73', '74', '75', '76', '77', '81', '82', '83', '84', '85', '86', '87', '88', '91', '92', '93', '98', '99'],
		  sba: ['31']
		};

		// Return an array of all US IRS campus prefixes
		function enUsGetPrefixes() {
		  var prefixes = [];
		  for (var location in enUsCampusPrefix) {
		    // https://github.com/gotwarlost/istanbul/blob/master/ignoring-code-for-coverage.md#ignoring-code-for-coverage-purposes
		    // istanbul ignore else
		    if (enUsCampusPrefix.hasOwnProperty(location)) {
		      prefixes.push.apply(prefixes, _toConsumableArray(enUsCampusPrefix[location]));
		    }
		  }
		  return prefixes;
		}

		/*
		 * en-US validation function
		 * Verify that the TIN starts with a valid IRS campus prefix
		 */
		function enUsCheck(tin) {
		  return enUsGetPrefixes().indexOf(tin.slice(0, 2)) !== -1;
		}

		/*
		 * es-AR validation function
		 * Clave Única de Identificación Tributaria (CUIT/CUIL)
		 * Sourced from:
		 * - https://servicioscf.afip.gob.ar/publico/abc/ABCpaso2.aspx?id_nivel1=3036&id_nivel2=3040&p=Conceptos%20b%C3%A1sicos
		 * - https://es.wikipedia.org/wiki/Clave_%C3%9Anica_de_Identificaci%C3%B3n_Tributaria
		 */

		function esArCheck(tin) {
		  var accum = 0;
		  var digits = tin.split('');
		  var digit = parseInt(digits.pop(), 10);
		  for (var i = 0; i < digits.length; i++) {
		    accum += digits[9 - i] * (2 + i % 6);
		  }
		  var verif = 11 - accum % 11;
		  if (verif === 11) {
		    verif = 0;
		  } else if (verif === 10) {
		    verif = 9;
		  }
		  return digit === verif;
		}

		/*
		 * es-ES validation function
		 * (Documento Nacional de Identidad (DNI)
		 * or Número de Identificación de Extranjero (NIE), persons only)
		 * Verify TIN validity by calculating check (last) character
		 */
		function esEsCheck(tin) {
		  // Split characters into an array for further processing
		  var chars = tin.toUpperCase().split('');

		  // Replace initial letter if needed
		  if (isNaN(parseInt(chars[0], 10)) && chars.length > 1) {
		    var lead_replace = 0;
		    switch (chars[0]) {
		      case 'Y':
		        lead_replace = 1;
		        break;
		      case 'Z':
		        lead_replace = 2;
		        break;
		    }
		    chars.splice(0, 1, lead_replace);
		    // Fill with zeros if smaller than proper
		  } else {
		    while (chars.length < 9) {
		      chars.unshift(0);
		    }
		  }

		  // Calculate checksum and check according to lookup
		  var lookup = ['T', 'R', 'W', 'A', 'G', 'M', 'Y', 'F', 'P', 'D', 'X', 'B', 'N', 'J', 'Z', 'S', 'Q', 'V', 'H', 'L', 'C', 'K', 'E'];
		  chars = chars.join('');
		  var checksum = parseInt(chars.slice(0, 8), 10) % 23;
		  return chars[8] === lookup[checksum];
		}

		/*
		 * et-EE validation function
		 * (Isikukood (IK), persons only)
		 * Checks if birth date (century digit and six following) is valid and calculates check (last) digit
		 * Material not in DG TAXUD document sourced from:
		 * - `https://www.oecd.org/tax/automatic-exchange/crs-implementation-and-assistance/tax-identification-numbers/Estonia-TIN.pdf`
		 */
		function etEeCheck(tin) {
		  // Extract year and add century
		  var full_year = tin.slice(1, 3);
		  var century_digit = tin.slice(0, 1);
		  switch (century_digit) {
		    case '1':
		    case '2':
		      full_year = "18".concat(full_year);
		      break;
		    case '3':
		    case '4':
		      full_year = "19".concat(full_year);
		      break;
		    default:
		      full_year = "20".concat(full_year);
		      break;
		  }
		  // Check date validity
		  var date = "".concat(full_year, "/").concat(tin.slice(3, 5), "/").concat(tin.slice(5, 7));
		  if (!(0, _isDate.default)(date, 'YYYY/MM/DD')) {
		    return false;
		  }

		  // Split digits into an array for further processing
		  var digits = tin.split('').map(function (a) {
		    return parseInt(a, 10);
		  });
		  var checksum = 0;
		  var weight = 1;
		  // Multiply by weight and add to checksum
		  for (var i = 0; i < 10; i++) {
		    checksum += digits[i] * weight;
		    weight += 1;
		    if (weight === 10) {
		      weight = 1;
		    }
		  }
		  // Do again if modulo 11 of checksum is 10
		  if (checksum % 11 === 10) {
		    checksum = 0;
		    weight = 3;
		    for (var _i3 = 0; _i3 < 10; _i3++) {
		      checksum += digits[_i3] * weight;
		      weight += 1;
		      if (weight === 10) {
		        weight = 1;
		      }
		    }
		    if (checksum % 11 === 10) {
		      return digits[10] === 0;
		    }
		  }
		  return checksum % 11 === digits[10];
		}

		/*
		 * fi-FI validation function
		 * (Henkilötunnus (HETU), persons only)
		 * Checks if birth date (first six digits plus century symbol) is valid
		 * and calculates check (last) digit
		 */
		function fiFiCheck(tin) {
		  // Extract year and add century
		  var full_year = tin.slice(4, 6);
		  var century_symbol = tin.slice(6, 7);
		  switch (century_symbol) {
		    case '+':
		      full_year = "18".concat(full_year);
		      break;
		    case '-':
		      full_year = "19".concat(full_year);
		      break;
		    default:
		      full_year = "20".concat(full_year);
		      break;
		  }
		  // Check date validity
		  var date = "".concat(full_year, "/").concat(tin.slice(2, 4), "/").concat(tin.slice(0, 2));
		  if (!(0, _isDate.default)(date, 'YYYY/MM/DD')) {
		    return false;
		  }

		  // Calculate check character
		  var checksum = parseInt(tin.slice(0, 6) + tin.slice(7, 10), 10) % 31;
		  if (checksum < 10) {
		    return checksum === parseInt(tin.slice(10), 10);
		  }
		  checksum -= 10;
		  var letters_lookup = ['A', 'B', 'C', 'D', 'E', 'F', 'H', 'J', 'K', 'L', 'M', 'N', 'P', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y'];
		  return letters_lookup[checksum] === tin.slice(10);
		}

		/*
		 * fr/nl-BE validation function
		 * (Numéro national (N.N.), persons only)
		 * Checks if birth date (first six digits) is valid and calculates check (last two) digits
		 */
		function frBeCheck(tin) {
		  // Zero month/day value is acceptable
		  if (tin.slice(2, 4) !== '00' || tin.slice(4, 6) !== '00') {
		    // Extract date from first six digits of TIN
		    var date = "".concat(tin.slice(0, 2), "/").concat(tin.slice(2, 4), "/").concat(tin.slice(4, 6));
		    if (!(0, _isDate.default)(date, 'YY/MM/DD')) {
		      return false;
		    }
		  }
		  var checksum = 97 - parseInt(tin.slice(0, 9), 10) % 97;
		  var checkdigits = parseInt(tin.slice(9, 11), 10);
		  if (checksum !== checkdigits) {
		    checksum = 97 - parseInt("2".concat(tin.slice(0, 9)), 10) % 97;
		    if (checksum !== checkdigits) {
		      return false;
		    }
		  }
		  return true;
		}

		/*
		 * fr-FR validation function
		 * (Numéro fiscal de référence (numéro SPI), persons only)
		 * Verify TIN validity by calculating check (last three) digits
		 */
		function frFrCheck(tin) {
		  tin = tin.replace(/\s/g, '');
		  var checksum = parseInt(tin.slice(0, 10), 10) % 511;
		  var checkdigits = parseInt(tin.slice(10, 13), 10);
		  return checksum === checkdigits;
		}

		/*
		 * fr/lb-LU validation function
		 * (numéro d’identification personnelle, persons only)
		 * Verify birth date validity and run Luhn and Verhoeff checks
		 */
		function frLuCheck(tin) {
		  // Extract date and check validity
		  var date = "".concat(tin.slice(0, 4), "/").concat(tin.slice(4, 6), "/").concat(tin.slice(6, 8));
		  if (!(0, _isDate.default)(date, 'YYYY/MM/DD')) {
		    return false;
		  }

		  // Run Luhn check
		  if (!algorithms.luhnCheck(tin.slice(0, 12))) {
		    return false;
		  }
		  // Remove Luhn check digit and run Verhoeff check
		  return algorithms.verhoeffCheck("".concat(tin.slice(0, 11)).concat(tin[12]));
		}

		/*
		 * hr-HR validation function
		 * (Osobni identifikacijski broj (OIB), persons/entities)
		 * Verify TIN validity by calling iso7064Check(digits)
		 */
		function hrHrCheck(tin) {
		  return algorithms.iso7064Check(tin);
		}

		/*
		 * hu-HU validation function
		 * (Adóazonosító jel, persons only)
		 * Verify TIN validity by calculating check (last) digit
		 */
		function huHuCheck(tin) {
		  // split digits into an array for further processing
		  var digits = tin.split('').map(function (a) {
		    return parseInt(a, 10);
		  });
		  var checksum = 8;
		  for (var i = 1; i < 9; i++) {
		    checksum += digits[i] * (i + 1);
		  }
		  return checksum % 11 === digits[9];
		}

		/*
		 * lt-LT validation function (should go here if needed)
		 * (Asmens kodas, persons/entities respectively)
		 * Current validation check is alias of etEeCheck- same format applies
		 */

		/*
		 * it-IT first/last name validity check
		 * Accepts it-IT TIN-encoded names as a three-element character array and checks their validity
		 * Due to lack of clarity between resources ("Are only Italian consonants used?
		 * What happens if a person has X in their name?" etc.) only two test conditions
		 * have been implemented:
		 * Vowels may only be followed by other vowels or an X character
		 * and X characters after vowels may only be followed by other X characters.
		 */
		function itItNameCheck(name) {
		  // true at the first occurence of a vowel
		  var vowelflag = false;

		  // true at the first occurence of an X AFTER vowel
		  // (to properly handle last names with X as consonant)
		  var xflag = false;
		  for (var i = 0; i < 3; i++) {
		    if (!vowelflag && /[AEIOU]/.test(name[i])) {
		      vowelflag = true;
		    } else if (!xflag && vowelflag && name[i] === 'X') {
		      xflag = true;
		    } else if (i > 0) {
		      if (vowelflag && !xflag) {
		        if (!/[AEIOU]/.test(name[i])) {
		          return false;
		        }
		      }
		      if (xflag) {
		        if (!/X/.test(name[i])) {
		          return false;
		        }
		      }
		    }
		  }
		  return true;
		}

		/*
		 * it-IT validation function
		 * (Codice fiscale (TIN-IT), persons only)
		 * Verify name, birth date and codice catastale validity
		 * and calculate check character.
		 * Material not in DG-TAXUD document sourced from:
		 * `https://en.wikipedia.org/wiki/Italian_fiscal_code`
		 */
		function itItCheck(tin) {
		  // Capitalize and split characters into an array for further processing
		  var chars = tin.toUpperCase().split('');

		  // Check first and last name validity calling itItNameCheck()
		  if (!itItNameCheck(chars.slice(0, 3))) {
		    return false;
		  }
		  if (!itItNameCheck(chars.slice(3, 6))) {
		    return false;
		  }

		  // Convert letters in number spaces back to numbers if any
		  var number_locations = [6, 7, 9, 10, 12, 13, 14];
		  var number_replace = {
		    L: '0',
		    M: '1',
		    N: '2',
		    P: '3',
		    Q: '4',
		    R: '5',
		    S: '6',
		    T: '7',
		    U: '8',
		    V: '9'
		  };
		  for (var _i4 = 0, _number_locations = number_locations; _i4 < _number_locations.length; _i4++) {
		    var i = _number_locations[_i4];
		    if (chars[i] in number_replace) {
		      chars.splice(i, 1, number_replace[chars[i]]);
		    }
		  }

		  // Extract month and day, and check date validity
		  var month_replace = {
		    A: '01',
		    B: '02',
		    C: '03',
		    D: '04',
		    E: '05',
		    H: '06',
		    L: '07',
		    M: '08',
		    P: '09',
		    R: '10',
		    S: '11',
		    T: '12'
		  };
		  var month = month_replace[chars[8]];
		  var day = parseInt(chars[9] + chars[10], 10);
		  if (day > 40) {
		    day -= 40;
		  }
		  if (day < 10) {
		    day = "0".concat(day);
		  }
		  var date = "".concat(chars[6]).concat(chars[7], "/").concat(month, "/").concat(day);
		  if (!(0, _isDate.default)(date, 'YY/MM/DD')) {
		    return false;
		  }

		  // Calculate check character by adding up even and odd characters as numbers
		  var checksum = 0;
		  for (var _i5 = 1; _i5 < chars.length - 1; _i5 += 2) {
		    var char_to_int = parseInt(chars[_i5], 10);
		    if (isNaN(char_to_int)) {
		      char_to_int = chars[_i5].charCodeAt(0) - 65;
		    }
		    checksum += char_to_int;
		  }
		  var odd_convert = {
		    // Maps of characters at odd places
		    A: 1,
		    B: 0,
		    C: 5,
		    D: 7,
		    E: 9,
		    F: 13,
		    G: 15,
		    H: 17,
		    I: 19,
		    J: 21,
		    K: 2,
		    L: 4,
		    M: 18,
		    N: 20,
		    O: 11,
		    P: 3,
		    Q: 6,
		    R: 8,
		    S: 12,
		    T: 14,
		    U: 16,
		    V: 10,
		    W: 22,
		    X: 25,
		    Y: 24,
		    Z: 23,
		    0: 1,
		    1: 0
		  };
		  for (var _i6 = 0; _i6 < chars.length - 1; _i6 += 2) {
		    var _char_to_int = 0;
		    if (chars[_i6] in odd_convert) {
		      _char_to_int = odd_convert[chars[_i6]];
		    } else {
		      var multiplier = parseInt(chars[_i6], 10);
		      _char_to_int = 2 * multiplier + 1;
		      if (multiplier > 4) {
		        _char_to_int += 2;
		      }
		    }
		    checksum += _char_to_int;
		  }
		  if (String.fromCharCode(65 + checksum % 26) !== chars[15]) {
		    return false;
		  }
		  return true;
		}

		/*
		 * lv-LV validation function
		 * (Personas kods (PK), persons only)
		 * Check validity of birth date and calculate check (last) digit
		 * Support only for old format numbers (not starting with '32', issued before 2017/07/01)
		 * Material not in DG TAXUD document sourced from:
		 * `https://boot.ritakafija.lv/forums/index.php?/topic/88314-personas-koda-algoritms-%C4%8Deksumma/`
		 */
		function lvLvCheck(tin) {
		  tin = tin.replace(/\W/, '');
		  // Extract date from TIN
		  var day = tin.slice(0, 2);
		  if (day !== '32') {
		    // No date/checksum check if new format
		    var month = tin.slice(2, 4);
		    if (month !== '00') {
		      // No date check if unknown month
		      var full_year = tin.slice(4, 6);
		      switch (tin[6]) {
		        case '0':
		          full_year = "18".concat(full_year);
		          break;
		        case '1':
		          full_year = "19".concat(full_year);
		          break;
		        default:
		          full_year = "20".concat(full_year);
		          break;
		      }
		      // Check date validity
		      var date = "".concat(full_year, "/").concat(tin.slice(2, 4), "/").concat(day);
		      if (!(0, _isDate.default)(date, 'YYYY/MM/DD')) {
		        return false;
		      }
		    }

		    // Calculate check digit
		    var checksum = 1101;
		    var multip_lookup = [1, 6, 3, 7, 9, 10, 5, 8, 4, 2];
		    for (var i = 0; i < tin.length - 1; i++) {
		      checksum -= parseInt(tin[i], 10) * multip_lookup[i];
		    }
		    return parseInt(tin[10], 10) === checksum % 11;
		  }
		  return true;
		}

		/*
		 * mt-MT validation function
		 * (Identity Card Number or Unique Taxpayer Reference, persons/entities)
		 * Verify Identity Card Number structure (no other tests found)
		 */
		function mtMtCheck(tin) {
		  if (tin.length !== 9) {
		    // No tests for UTR
		    var chars = tin.toUpperCase().split('');
		    // Fill with zeros if smaller than proper
		    while (chars.length < 8) {
		      chars.unshift(0);
		    }
		    // Validate format according to last character
		    switch (tin[7]) {
		      case 'A':
		      case 'P':
		        if (parseInt(chars[6], 10) === 0) {
		          return false;
		        }
		        break;
		      default:
		        {
		          var first_part = parseInt(chars.join('').slice(0, 5), 10);
		          if (first_part > 32000) {
		            return false;
		          }
		          var second_part = parseInt(chars.join('').slice(5, 7), 10);
		          if (first_part === second_part) {
		            return false;
		          }
		        }
		    }
		  }
		  return true;
		}

		/*
		 * nl-NL validation function
		 * (Burgerservicenummer (BSN) or Rechtspersonen Samenwerkingsverbanden Informatie Nummer (RSIN),
		 * persons/entities respectively)
		 * Verify TIN validity by calculating check (last) digit (variant of MOD 11)
		 */
		function nlNlCheck(tin) {
		  return algorithms.reverseMultiplyAndSum(tin.split('').slice(0, 8).map(function (a) {
		    return parseInt(a, 10);
		  }), 9) % 11 === parseInt(tin[8], 10);
		}

		/*
		 * pl-PL validation function
		 * (Powszechny Elektroniczny System Ewidencji Ludności (PESEL)
		 * or Numer identyfikacji podatkowej (NIP), persons/entities)
		 * Verify TIN validity by validating birth date (PESEL) and calculating check (last) digit
		 */
		function plPlCheck(tin) {
		  // NIP
		  if (tin.length === 10) {
		    // Calculate last digit by multiplying with lookup
		    var lookup = [6, 5, 7, 2, 3, 4, 5, 6, 7];
		    var _checksum = 0;
		    for (var i = 0; i < lookup.length; i++) {
		      _checksum += parseInt(tin[i], 10) * lookup[i];
		    }
		    _checksum %= 11;
		    if (_checksum === 10) {
		      return false;
		    }
		    return _checksum === parseInt(tin[9], 10);
		  }

		  // PESEL
		  // Extract full year using month
		  var full_year = tin.slice(0, 2);
		  var month = parseInt(tin.slice(2, 4), 10);
		  if (month > 80) {
		    full_year = "18".concat(full_year);
		    month -= 80;
		  } else if (month > 60) {
		    full_year = "22".concat(full_year);
		    month -= 60;
		  } else if (month > 40) {
		    full_year = "21".concat(full_year);
		    month -= 40;
		  } else if (month > 20) {
		    full_year = "20".concat(full_year);
		    month -= 20;
		  } else {
		    full_year = "19".concat(full_year);
		  }
		  // Add leading zero to month if needed
		  if (month < 10) {
		    month = "0".concat(month);
		  }
		  // Check date validity
		  var date = "".concat(full_year, "/").concat(month, "/").concat(tin.slice(4, 6));
		  if (!(0, _isDate.default)(date, 'YYYY/MM/DD')) {
		    return false;
		  }

		  // Calculate last digit by mulitplying with odd one-digit numbers except 5
		  var checksum = 0;
		  var multiplier = 1;
		  for (var _i7 = 0; _i7 < tin.length - 1; _i7++) {
		    checksum += parseInt(tin[_i7], 10) * multiplier % 10;
		    multiplier += 2;
		    if (multiplier > 10) {
		      multiplier = 1;
		    } else if (multiplier === 5) {
		      multiplier += 2;
		    }
		  }
		  checksum = 10 - checksum % 10;
		  return checksum === parseInt(tin[10], 10);
		}

		/*
		* pt-BR validation function
		* (Cadastro de Pessoas Físicas (CPF, persons)
		* Cadastro Nacional de Pessoas Jurídicas (CNPJ, entities)
		* Both inputs will be validated
		*/

		function ptBrCheck(tin) {
		  if (tin.length === 11) {
		    var _sum;
		    var remainder;
		    _sum = 0;
		    if (
		    // Reject known invalid CPFs
		    tin === '11111111111' || tin === '22222222222' || tin === '33333333333' || tin === '44444444444' || tin === '55555555555' || tin === '66666666666' || tin === '77777777777' || tin === '88888888888' || tin === '99999999999' || tin === '00000000000') return false;
		    for (var i = 1; i <= 9; i++) _sum += parseInt(tin.substring(i - 1, i), 10) * (11 - i);
		    remainder = _sum * 10 % 11;
		    if (remainder === 10) remainder = 0;
		    if (remainder !== parseInt(tin.substring(9, 10), 10)) return false;
		    _sum = 0;
		    for (var _i8 = 1; _i8 <= 10; _i8++) _sum += parseInt(tin.substring(_i8 - 1, _i8), 10) * (12 - _i8);
		    remainder = _sum * 10 % 11;
		    if (remainder === 10) remainder = 0;
		    if (remainder !== parseInt(tin.substring(10, 11), 10)) return false;
		    return true;
		  }
		  if (
		  // Reject know invalid CNPJs
		  tin === '00000000000000' || tin === '11111111111111' || tin === '22222222222222' || tin === '33333333333333' || tin === '44444444444444' || tin === '55555555555555' || tin === '66666666666666' || tin === '77777777777777' || tin === '88888888888888' || tin === '99999999999999') {
		    return false;
		  }
		  var length = tin.length - 2;
		  var identifiers = tin.substring(0, length);
		  var verificators = tin.substring(length);
		  var sum = 0;
		  var pos = length - 7;
		  for (var _i9 = length; _i9 >= 1; _i9--) {
		    sum += identifiers.charAt(length - _i9) * pos;
		    pos -= 1;
		    if (pos < 2) {
		      pos = 9;
		    }
		  }
		  var result = sum % 11 < 2 ? 0 : 11 - sum % 11;
		  if (result !== parseInt(verificators.charAt(0), 10)) {
		    return false;
		  }
		  length += 1;
		  identifiers = tin.substring(0, length);
		  sum = 0;
		  pos = length - 7;
		  for (var _i10 = length; _i10 >= 1; _i10--) {
		    sum += identifiers.charAt(length - _i10) * pos;
		    pos -= 1;
		    if (pos < 2) {
		      pos = 9;
		    }
		  }
		  result = sum % 11 < 2 ? 0 : 11 - sum % 11;
		  if (result !== parseInt(verificators.charAt(1), 10)) {
		    return false;
		  }
		  return true;
		}

		/*
		 * pt-PT validation function
		 * (Número de identificação fiscal (NIF), persons/entities)
		 * Verify TIN validity by calculating check (last) digit (variant of MOD 11)
		 */
		function ptPtCheck(tin) {
		  var checksum = 11 - algorithms.reverseMultiplyAndSum(tin.split('').slice(0, 8).map(function (a) {
		    return parseInt(a, 10);
		  }), 9) % 11;
		  if (checksum > 9) {
		    return parseInt(tin[8], 10) === 0;
		  }
		  return checksum === parseInt(tin[8], 10);
		}

		/*
		 * ro-RO validation function
		 * (Cod Numeric Personal (CNP) or Cod de înregistrare fiscală (CIF),
		 * persons only)
		 * Verify CNP validity by calculating check (last) digit (test not found for CIF)
		 * Material not in DG TAXUD document sourced from:
		 * `https://en.wikipedia.org/wiki/National_identification_number#Romania`
		 */
		function roRoCheck(tin) {
		  if (tin.slice(0, 4) !== '9000') {
		    // No test found for this format
		    // Extract full year using century digit if possible
		    var full_year = tin.slice(1, 3);
		    switch (tin[0]) {
		      case '1':
		      case '2':
		        full_year = "19".concat(full_year);
		        break;
		      case '3':
		      case '4':
		        full_year = "18".concat(full_year);
		        break;
		      case '5':
		      case '6':
		        full_year = "20".concat(full_year);
		        break;
		    }

		    // Check date validity
		    var date = "".concat(full_year, "/").concat(tin.slice(3, 5), "/").concat(tin.slice(5, 7));
		    if (date.length === 8) {
		      if (!(0, _isDate.default)(date, 'YY/MM/DD')) {
		        return false;
		      }
		    } else if (!(0, _isDate.default)(date, 'YYYY/MM/DD')) {
		      return false;
		    }

		    // Calculate check digit
		    var digits = tin.split('').map(function (a) {
		      return parseInt(a, 10);
		    });
		    var multipliers = [2, 7, 9, 1, 4, 6, 3, 5, 8, 2, 7, 9];
		    var checksum = 0;
		    for (var i = 0; i < multipliers.length; i++) {
		      checksum += digits[i] * multipliers[i];
		    }
		    if (checksum % 11 === 10) {
		      return digits[12] === 1;
		    }
		    return digits[12] === checksum % 11;
		  }
		  return true;
		}

		/*
		 * sk-SK validation function
		 * (Rodné číslo (RČ) or bezvýznamové identifikačné číslo (BIČ), persons only)
		 * Checks validity of pre-1954 birth numbers (rodné číslo) only
		 * Due to the introduction of the pseudo-random BIČ it is not possible to test
		 * post-1954 birth numbers without knowing whether they are BIČ or RČ beforehand
		 */
		function skSkCheck(tin) {
		  if (tin.length === 9) {
		    tin = tin.replace(/\W/, '');
		    if (tin.slice(6) === '000') {
		      return false;
		    } // Three-zero serial not assigned before 1954

		    // Extract full year from TIN length
		    var full_year = parseInt(tin.slice(0, 2), 10);
		    if (full_year > 53) {
		      return false;
		    }
		    if (full_year < 10) {
		      full_year = "190".concat(full_year);
		    } else {
		      full_year = "19".concat(full_year);
		    }

		    // Extract month from TIN and normalize
		    var month = parseInt(tin.slice(2, 4), 10);
		    if (month > 50) {
		      month -= 50;
		    }
		    if (month < 10) {
		      month = "0".concat(month);
		    }

		    // Check date validity
		    var date = "".concat(full_year, "/").concat(month, "/").concat(tin.slice(4, 6));
		    if (!(0, _isDate.default)(date, 'YYYY/MM/DD')) {
		      return false;
		    }
		  }
		  return true;
		}

		/*
		 * sl-SI validation function
		 * (Davčna številka, persons/entities)
		 * Verify TIN validity by calculating check (last) digit (variant of MOD 11)
		 */
		function slSiCheck(tin) {
		  var checksum = 11 - algorithms.reverseMultiplyAndSum(tin.split('').slice(0, 7).map(function (a) {
		    return parseInt(a, 10);
		  }), 8) % 11;
		  if (checksum === 10) {
		    return parseInt(tin[7], 10) === 0;
		  }
		  return checksum === parseInt(tin[7], 10);
		}

		/*
		 * sv-SE validation function
		 * (Personnummer or samordningsnummer, persons only)
		 * Checks validity of birth date and calls luhnCheck() to validate check (last) digit
		 */
		function svSeCheck(tin) {
		  // Make copy of TIN and normalize to two-digit year form
		  var tin_copy = tin.slice(0);
		  if (tin.length > 11) {
		    tin_copy = tin_copy.slice(2);
		  }

		  // Extract date of birth
		  var full_year = '';
		  var month = tin_copy.slice(2, 4);
		  var day = parseInt(tin_copy.slice(4, 6), 10);
		  if (tin.length > 11) {
		    full_year = tin.slice(0, 4);
		  } else {
		    full_year = tin.slice(0, 2);
		    if (tin.length === 11 && day < 60) {
		      // Extract full year from centenarian symbol
		      // Should work just fine until year 10000 or so
		      var current_year = new Date().getFullYear().toString();
		      var current_century = parseInt(current_year.slice(0, 2), 10);
		      current_year = parseInt(current_year, 10);
		      if (tin[6] === '-') {
		        if (parseInt("".concat(current_century).concat(full_year), 10) > current_year) {
		          full_year = "".concat(current_century - 1).concat(full_year);
		        } else {
		          full_year = "".concat(current_century).concat(full_year);
		        }
		      } else {
		        full_year = "".concat(current_century - 1).concat(full_year);
		        if (current_year - parseInt(full_year, 10) < 100) {
		          return false;
		        }
		      }
		    }
		  }

		  // Normalize day and check date validity
		  if (day > 60) {
		    day -= 60;
		  }
		  if (day < 10) {
		    day = "0".concat(day);
		  }
		  var date = "".concat(full_year, "/").concat(month, "/").concat(day);
		  if (date.length === 8) {
		    if (!(0, _isDate.default)(date, 'YY/MM/DD')) {
		      return false;
		    }
		  } else if (!(0, _isDate.default)(date, 'YYYY/MM/DD')) {
		    return false;
		  }
		  return algorithms.luhnCheck(tin.replace(/\W/, ''));
		}

		/**
		 * uk-UA validation function
		 * Verify TIN validity by calculating check (last) digit (variant of MOD 11)
		 */
		function ukUaCheck(tin) {
		  // Calculate check digit
		  var digits = tin.split('').map(function (a) {
		    return parseInt(a, 10);
		  });
		  var multipliers = [-1, 5, 7, 9, 4, 6, 10, 5, 7];
		  var checksum = 0;
		  for (var i = 0; i < multipliers.length; i++) {
		    checksum += digits[i] * multipliers[i];
		  }
		  return checksum % 11 === 10 ? digits[9] === 0 : digits[9] === checksum % 11;
		}

		// Locale lookup objects

		/*
		 * Tax id regex formats for various locales
		 *
		 * Where not explicitly specified in DG-TAXUD document both
		 * uppercase and lowercase letters are acceptable.
		 */
		var taxIdFormat = {
		  'bg-BG': /^\d{10}$/,
		  'cs-CZ': /^\d{6}\/{0,1}\d{3,4}$/,
		  'de-AT': /^\d{9}$/,
		  'de-DE': /^[1-9]\d{10}$/,
		  'dk-DK': /^\d{6}-{0,1}\d{4}$/,
		  'el-CY': /^[09]\d{7}[A-Z]$/,
		  'el-GR': /^([0-4]|[7-9])\d{8}$/,
		  'en-CA': /^\d{9}$/,
		  'en-GB': /^\d{10}$|^(?!GB|NK|TN|ZZ)(?![DFIQUV])[A-Z](?![DFIQUVO])[A-Z]\d{6}[ABCD ]$/i,
		  'en-IE': /^\d{7}[A-W][A-IW]{0,1}$/i,
		  'en-US': /^\d{2}[- ]{0,1}\d{7}$/,
		  'es-AR': /(20|23|24|27|30|33|34)[0-9]{8}[0-9]/,
		  'es-ES': /^(\d{0,8}|[XYZKLM]\d{7})[A-HJ-NP-TV-Z]$/i,
		  'et-EE': /^[1-6]\d{6}(00[1-9]|0[1-9][0-9]|[1-6][0-9]{2}|70[0-9]|710)\d$/,
		  'fi-FI': /^\d{6}[-+A]\d{3}[0-9A-FHJ-NPR-Y]$/i,
		  'fr-BE': /^\d{11}$/,
		  'fr-FR': /^[0-3]\d{12}$|^[0-3]\d\s\d{2}(\s\d{3}){3}$/,
		  // Conforms both to official spec and provided example
		  'fr-LU': /^\d{13}$/,
		  'hr-HR': /^\d{11}$/,
		  'hu-HU': /^8\d{9}$/,
		  'it-IT': /^[A-Z]{6}[L-NP-V0-9]{2}[A-EHLMPRST][L-NP-V0-9]{2}[A-ILMZ][L-NP-V0-9]{3}[A-Z]$/i,
		  'lv-LV': /^\d{6}-{0,1}\d{5}$/,
		  // Conforms both to DG TAXUD spec and original research
		  'mt-MT': /^\d{3,7}[APMGLHBZ]$|^([1-8])\1\d{7}$/i,
		  'nl-NL': /^\d{9}$/,
		  'pl-PL': /^\d{10,11}$/,
		  'pt-BR': /(?:^\d{11}$)|(?:^\d{14}$)/,
		  'pt-PT': /^\d{9}$/,
		  'ro-RO': /^\d{13}$/,
		  'sk-SK': /^\d{6}\/{0,1}\d{3,4}$/,
		  'sl-SI': /^[1-9]\d{7}$/,
		  'sv-SE': /^(\d{6}[-+]{0,1}\d{4}|(18|19|20)\d{6}[-+]{0,1}\d{4})$/,
		  'uk-UA': /^\d{10}$/
		};
		// taxIdFormat locale aliases
		taxIdFormat['lb-LU'] = taxIdFormat['fr-LU'];
		taxIdFormat['lt-LT'] = taxIdFormat['et-EE'];
		taxIdFormat['nl-BE'] = taxIdFormat['fr-BE'];
		taxIdFormat['fr-CA'] = taxIdFormat['en-CA'];

		// Algorithmic tax id check functions for various locales
		var taxIdCheck = {
		  'bg-BG': bgBgCheck,
		  'cs-CZ': csCzCheck,
		  'de-AT': deAtCheck,
		  'de-DE': deDeCheck,
		  'dk-DK': dkDkCheck,
		  'el-CY': elCyCheck,
		  'el-GR': elGrCheck,
		  'en-CA': isCanadianSIN,
		  'en-IE': enIeCheck,
		  'en-US': enUsCheck,
		  'es-AR': esArCheck,
		  'es-ES': esEsCheck,
		  'et-EE': etEeCheck,
		  'fi-FI': fiFiCheck,
		  'fr-BE': frBeCheck,
		  'fr-FR': frFrCheck,
		  'fr-LU': frLuCheck,
		  'hr-HR': hrHrCheck,
		  'hu-HU': huHuCheck,
		  'it-IT': itItCheck,
		  'lv-LV': lvLvCheck,
		  'mt-MT': mtMtCheck,
		  'nl-NL': nlNlCheck,
		  'pl-PL': plPlCheck,
		  'pt-BR': ptBrCheck,
		  'pt-PT': ptPtCheck,
		  'ro-RO': roRoCheck,
		  'sk-SK': skSkCheck,
		  'sl-SI': slSiCheck,
		  'sv-SE': svSeCheck,
		  'uk-UA': ukUaCheck
		};
		// taxIdCheck locale aliases
		taxIdCheck['lb-LU'] = taxIdCheck['fr-LU'];
		taxIdCheck['lt-LT'] = taxIdCheck['et-EE'];
		taxIdCheck['nl-BE'] = taxIdCheck['fr-BE'];
		taxIdCheck['fr-CA'] = taxIdCheck['en-CA'];

		// Regexes for locales where characters should be omitted before checking format
		var allsymbols = /[-\\\/!@#$%\^&\*\(\)\+\=\[\]]+/g;
		var sanitizeRegexes = {
		  'de-AT': allsymbols,
		  'de-DE': /[\/\\]/g,
		  'fr-BE': allsymbols
		};
		// sanitizeRegexes locale aliases
		sanitizeRegexes['nl-BE'] = sanitizeRegexes['fr-BE'];

		/*
		 * Validator function
		 * Return true if the passed string is a valid tax identification number
		 * for the specified locale.
		 * Throw an error exception if the locale is not supported.
		 */
		function isTaxID(str) {
		  var locale = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'en-US';
		  (0, _assertString.default)(str);
		  // Copy TIN to avoid replacement if sanitized
		  var strcopy = str.slice(0);
		  if (locale in taxIdFormat) {
		    if (locale in sanitizeRegexes) {
		      strcopy = strcopy.replace(sanitizeRegexes[locale], '');
		    }
		    if (!taxIdFormat[locale].test(strcopy)) {
		      return false;
		    }
		    if (locale in taxIdCheck) {
		      return taxIdCheck[locale](strcopy);
		    }
		    // Fallthrough; not all locales have algorithmic checks
		    return true;
		  }
		  throw new Error("Invalid locale '".concat(locale, "'"));
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isTaxID, isTaxID.exports));
	return isTaxID.exports;
}

var isMobilePhone = {};

var hasRequiredIsMobilePhone;

function requireIsMobilePhone () {
	if (hasRequiredIsMobilePhone) return isMobilePhone;
	hasRequiredIsMobilePhone = 1;

	Object.defineProperty(isMobilePhone, "__esModule", {
	  value: true
	});
	isMobilePhone.default = isMobilePhone$1;
	isMobilePhone.locales = void 0;
	var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	/* eslint-disable max-len */
	var phones = {
	  'am-AM': /^(\+?374|0)(33|4[134]|55|77|88|9[13-689])\d{6}$/,
	  'ar-AE': /^((\+?971)|0)?5[024568]\d{7}$/,
	  'ar-BH': /^(\+?973)?(3|6)\d{7}$/,
	  'ar-DZ': /^(\+?213|0)(5|6|7)\d{8}$/,
	  'ar-LB': /^(\+?961)?((3|81)\d{6}|7\d{7})$/,
	  'ar-EG': /^((\+?20)|0)?1[0125]\d{8}$/,
	  'ar-IQ': /^(\+?964|0)?7[0-9]\d{8}$/,
	  'ar-JO': /^(\+?962|0)?7[789]\d{7}$/,
	  'ar-KW': /^(\+?965)([569]\d{7}|41\d{6})$/,
	  'ar-LY': /^((\+?218)|0)?(9[1-6]\d{7}|[1-8]\d{7,9})$/,
	  'ar-MA': /^(?:(?:\+|00)212|0)[5-7]\d{8}$/,
	  'ar-OM': /^((\+|00)968)?(9[1-9])\d{6}$/,
	  'ar-PS': /^(\+?970|0)5[6|9](\d{7})$/,
	  'ar-SA': /^(!?(\+?966)|0)?5\d{8}$/,
	  'ar-SD': /^((\+?249)|0)?(9[012369]|1[012])\d{7}$/,
	  'ar-SY': /^(!?(\+?963)|0)?9\d{8}$/,
	  'ar-TN': /^(\+?216)?[2459]\d{7}$/,
	  'az-AZ': /^(\+994|0)(10|5[015]|7[07]|99)\d{7}$/,
	  'bs-BA': /^((((\+|00)3876)|06))((([0-3]|[5-6])\d{6})|(4\d{7}))$/,
	  'be-BY': /^(\+?375)?(24|25|29|33|44)\d{7}$/,
	  'bg-BG': /^(\+?359|0)?8[789]\d{7}$/,
	  'bn-BD': /^(\+?880|0)1[13456789][0-9]{8}$/,
	  'ca-AD': /^(\+376)?[346]\d{5}$/,
	  'cs-CZ': /^(\+?420)? ?[1-9][0-9]{2} ?[0-9]{3} ?[0-9]{3}$/,
	  'da-DK': /^(\+?45)?\s?\d{2}\s?\d{2}\s?\d{2}\s?\d{2}$/,
	  'de-DE': /^((\+49|0)1)(5[0-25-9]\d|6([23]|0\d?)|7([0-57-9]|6\d))\d{7,9}$/,
	  'de-AT': /^(\+43|0)\d{1,4}\d{3,12}$/,
	  'de-CH': /^(\+41|0)([1-9])\d{1,9}$/,
	  'de-LU': /^(\+352)?((6\d1)\d{6})$/,
	  'dv-MV': /^(\+?960)?(7[2-9]|9[1-9])\d{5}$/,
	  'el-GR': /^(\+?30|0)?6(8[5-9]|9(?![26])[0-9])\d{7}$/,
	  'el-CY': /^(\+?357?)?(9(9|6)\d{6})$/,
	  'en-AI': /^(\+?1|0)264(?:2(35|92)|4(?:6[1-2]|76|97)|5(?:3[6-9]|8[1-4])|7(?:2(4|9)|72))\d{4}$/,
	  'en-AU': /^(\+?61|0)4\d{8}$/,
	  'en-AG': /^(?:\+1|1)268(?:464|7(?:1[3-9]|[28]\d|3[0246]|64|7[0-689]))\d{4}$/,
	  'en-BM': /^(\+?1)?441(((3|7)\d{6}$)|(5[0-3][0-9]\d{4}$)|(59\d{5}$))/,
	  'en-BS': /^(\+?1[-\s]?|0)?\(?242\)?[-\s]?\d{3}[-\s]?\d{4}$/,
	  'en-GB': /^(\+?44|0)7\d{9}$/,
	  'en-GG': /^(\+?44|0)1481\d{6}$/,
	  'en-GH': /^(\+233|0)(20|50|24|54|27|57|26|56|23|28|55|59)\d{7}$/,
	  'en-GY': /^(\+592|0)6\d{6}$/,
	  'en-HK': /^(\+?852[-\s]?)?[456789]\d{3}[-\s]?\d{4}$/,
	  'en-MO': /^(\+?853[-\s]?)?[6]\d{3}[-\s]?\d{4}$/,
	  'en-IE': /^(\+?353|0)8[356789]\d{7}$/,
	  'en-IN': /^(\+?91|0)?[6789]\d{9}$/,
	  'en-JM': /^(\+?876)?\d{7}$/,
	  'en-KE': /^(\+?254|0)(7|1)\d{8}$/,
	  'fr-CF': /^(\+?236| ?)(70|75|77|72|21|22)\d{6}$/,
	  'en-SS': /^(\+?211|0)(9[1257])\d{7}$/,
	  'en-KI': /^((\+686|686)?)?( )?((6|7)(2|3|8)[0-9]{6})$/,
	  'en-KN': /^(?:\+1|1)869(?:46\d|48[89]|55[6-8]|66\d|76[02-7])\d{4}$/,
	  'en-LS': /^(\+?266)(22|28|57|58|59|27|52)\d{6}$/,
	  'en-MT': /^(\+?356|0)?(99|79|77|21|27|22|25)[0-9]{6}$/,
	  'en-MU': /^(\+?230|0)?\d{8}$/,
	  'en-MW': /^(\+?265|0)(((77|88|31|99|98|21)\d{7})|(((111)|1)\d{6})|(32000\d{4}))$/,
	  'en-NA': /^(\+?264|0)(6|8)\d{7}$/,
	  'en-NG': /^(\+?234|0)?[789]\d{9}$/,
	  'en-NZ': /^(\+?64|0)[28]\d{7,9}$/,
	  'en-PG': /^(\+?675|0)?(7\d|8[18])\d{6}$/,
	  'en-PK': /^((00|\+)?92|0)3[0-6]\d{8}$/,
	  'en-PH': /^(09|\+639)\d{9}$/,
	  'en-RW': /^(\+?250|0)?[7]\d{8}$/,
	  'en-SG': /^(\+65)?[3689]\d{7}$/,
	  'en-SL': /^(\+?232|0)\d{8}$/,
	  'en-TZ': /^(\+?255|0)?[67]\d{8}$/,
	  'en-UG': /^(\+?256|0)?[7]\d{8}$/,
	  'en-US': /^((\+1|1)?( |-)?)?(\([2-9][0-9]{2}\)|[2-9][0-9]{2})( |-)?([2-9][0-9]{2}( |-)?[0-9]{4})$/,
	  'en-ZA': /^(\+?27|0)\d{9}$/,
	  'en-ZM': /^(\+?26)?09[567]\d{7}$/,
	  'en-ZW': /^(\+263)[0-9]{9}$/,
	  'en-BW': /^(\+?267)?(7[1-8]{1})\d{6}$/,
	  'es-AR': /^\+?549(11|[2368]\d)\d{8}$/,
	  'es-BO': /^(\+?591)?(6|7)\d{7}$/,
	  'es-CO': /^(\+?57)?3(0(0|1|2|4|5)|1\d|2[0-4]|5(0|1))\d{7}$/,
	  'es-CL': /^(\+?56|0)[2-9]\d{1}\d{7}$/,
	  'es-CR': /^(\+506)?[2-8]\d{7}$/,
	  'es-CU': /^(\+53|0053)?5\d{7}$/,
	  'es-DO': /^(\+?1)?8[024]9\d{7}$/,
	  'es-HN': /^(\+?504)?[9|8|3|2]\d{7}$/,
	  'es-EC': /^(\+?593|0)([2-7]|9[2-9])\d{7}$/,
	  'es-ES': /^(\+?34)?[6|7]\d{8}$/,
	  'es-PE': /^(\+?51)?9\d{8}$/,
	  'es-MX': /^(\+?52)?(1|01)?\d{10,11}$/,
	  'es-NI': /^(\+?505)\d{7,8}$/,
	  'es-PA': /^(\+?507)\d{7,8}$/,
	  'es-PY': /^(\+?595|0)9[9876]\d{7}$/,
	  'es-SV': /^(\+?503)?[67]\d{7}$/,
	  'es-UY': /^(\+598|0)9[1-9][\d]{6}$/,
	  'es-VE': /^(\+?58)?(2|4)\d{9}$/,
	  'et-EE': /^(\+?372)?\s?(5|8[1-4])\s?([0-9]\s?){6,7}$/,
	  'fa-IR': /^(\+?98[\-\s]?|0)9[0-39]\d[\-\s]?\d{3}[\-\s]?\d{4}$/,
	  'fi-FI': /^(\+?358|0)\s?(4[0-6]|50)\s?(\d\s?){4,8}$/,
	  'fj-FJ': /^(\+?679)?\s?\d{3}\s?\d{4}$/,
	  'fo-FO': /^(\+?298)?\s?\d{2}\s?\d{2}\s?\d{2}$/,
	  'fr-BF': /^(\+226|0)[67]\d{7}$/,
	  'fr-BJ': /^(\+229)\d{8}$/,
	  'fr-CD': /^(\+?243|0)?(8|9)\d{8}$/,
	  'fr-CM': /^(\+?237)6[0-9]{8}$/,
	  'fr-FR': /^(\+?33|0)[67]\d{8}$/,
	  'fr-GF': /^(\+?594|0|00594)[67]\d{8}$/,
	  'fr-GP': /^(\+?590|0|00590)[67]\d{8}$/,
	  'fr-MQ': /^(\+?596|0|00596)[67]\d{8}$/,
	  'fr-PF': /^(\+?689)?8[789]\d{6}$/,
	  'fr-RE': /^(\+?262|0|00262)[67]\d{8}$/,
	  'fr-WF': /^(\+681)?\d{6}$/,
	  'he-IL': /^(\+972|0)([23489]|5[012345689]|77)[1-9]\d{6}$/,
	  'hu-HU': /^(\+?36|06)(20|30|31|50|70)\d{7}$/,
	  'id-ID': /^(\+?62|0)8(1[123456789]|2[1238]|3[1238]|5[12356789]|7[78]|9[56789]|8[123456789])([\s?|\d]{5,11})$/,
	  'ir-IR': /^(\+98|0)?9\d{9}$/,
	  'it-IT': /^(\+?39)?\s?3\d{2} ?\d{6,7}$/,
	  'it-SM': /^((\+378)|(0549)|(\+390549)|(\+3780549))?6\d{5,9}$/,
	  'ja-JP': /^(\+81[ \-]?(\(0\))?|0)[6789]0[ \-]?\d{4}[ \-]?\d{4}$/,
	  'ka-GE': /^(\+?995)?(79\d{7}|5\d{8})$/,
	  'kk-KZ': /^(\+?7|8)?7\d{9}$/,
	  'kl-GL': /^(\+?299)?\s?\d{2}\s?\d{2}\s?\d{2}$/,
	  'ko-KR': /^((\+?82)[ \-]?)?0?1([0|1|6|7|8|9]{1})[ \-]?\d{3,4}[ \-]?\d{4}$/,
	  'ky-KG': /^(\+?7\s?\+?7|0)\s?\d{2}\s?\d{3}\s?\d{4}$/,
	  'lt-LT': /^(\+370|8)\d{8}$/,
	  'lv-LV': /^(\+?371)2\d{7}$/,
	  'mg-MG': /^((\+?261|0)(2|3)\d)?\d{7}$/,
	  'mn-MN': /^(\+|00|011)?976(77|81|88|91|94|95|96|99)\d{6}$/,
	  'my-MM': /^(\+?959|09|9)(2[5-7]|3[1-2]|4[0-5]|6[6-9]|7[5-9]|9[6-9])[0-9]{7}$/,
	  'ms-MY': /^(\+?60|0)1(([0145](-|\s)?\d{7,8})|([236-9](-|\s)?\d{7}))$/,
	  'mz-MZ': /^(\+?258)?8[234567]\d{7}$/,
	  'nb-NO': /^(\+?47)?[49]\d{7}$/,
	  'ne-NP': /^(\+?977)?9[78]\d{8}$/,
	  'nl-BE': /^(\+?32|0)4\d{8}$/,
	  'nl-NL': /^(((\+|00)?31\(0\))|((\+|00)?31)|0)6{1}\d{8}$/,
	  'nl-AW': /^(\+)?297(56|59|64|73|74|99)\d{5}$/,
	  'nn-NO': /^(\+?47)?[49]\d{7}$/,
	  'pl-PL': /^(\+?48)? ?([5-8]\d|45) ?\d{3} ?\d{2} ?\d{2}$/,
	  'pt-BR': /^((\+?55\ ?[1-9]{2}\ ?)|(\+?55\ ?\([1-9]{2}\)\ ?)|(0[1-9]{2}\ ?)|(\([1-9]{2}\)\ ?)|([1-9]{2}\ ?))((\d{4}\-?\d{4})|(9[1-9]{1}\d{3}\-?\d{4}))$/,
	  'pt-PT': /^(\+?351)?9[1236]\d{7}$/,
	  'pt-AO': /^(\+244)\d{9}$/,
	  'ro-MD': /^(\+?373|0)((6(0|1|2|6|7|8|9))|(7(6|7|8|9)))\d{6}$/,
	  'ro-RO': /^(\+?40|0)\s?7\d{2}(\/|\s|\.|-)?\d{3}(\s|\.|-)?\d{3}$/,
	  'ru-RU': /^(\+?7|8)?9\d{9}$/,
	  'si-LK': /^(?:0|94|\+94)?(7(0|1|2|4|5|6|7|8)( |-)?)\d{7}$/,
	  'sl-SI': /^(\+386\s?|0)(\d{1}\s?\d{3}\s?\d{2}\s?\d{2}|\d{2}\s?\d{3}\s?\d{3})$/,
	  'sk-SK': /^(\+?421)? ?[1-9][0-9]{2} ?[0-9]{3} ?[0-9]{3}$/,
	  'so-SO': /^(\+?252|0)((6[0-9])\d{7}|(7[1-9])\d{7})$/,
	  'sq-AL': /^(\+355|0)6[789]\d{6}$/,
	  'sr-RS': /^(\+3816|06)[- \d]{5,9}$/,
	  'sv-SE': /^(\+?46|0)[\s\-]?7[\s\-]?[02369]([\s\-]?\d){7}$/,
	  'tg-TJ': /^(\+?992)?[5][5]\d{7}$/,
	  'th-TH': /^(\+66|66|0)\d{9}$/,
	  'tr-TR': /^(\+?90|0)?5\d{9}$/,
	  'tk-TM': /^(\+993|993|8)\d{8}$/,
	  'uk-UA': /^(\+?38|8)?0\d{9}$/,
	  'uz-UZ': /^(\+?998)?(6[125-79]|7[1-69]|88|9\d)\d{7}$/,
	  'vi-VN': /^((\+?84)|0)((3([2-9]))|(5([25689]))|(7([0|6-9]))|(8([1-9]))|(9([0-9])))([0-9]{7})$/,
	  'zh-CN': /^((\+|00)86)?(1[3-9]|9[28])\d{9}$/,
	  'zh-TW': /^(\+?886\-?|0)?9\d{8}$/,
	  'dz-BT': /^(\+?975|0)?(17|16|77|02)\d{6}$/,
	  'ar-YE': /^(((\+|00)9677|0?7)[0137]\d{7}|((\+|00)967|0)[1-7]\d{6})$/,
	  'ar-EH': /^(\+?212|0)[\s\-]?(5288|5289)[\s\-]?\d{5}$/,
	  'fa-AF': /^(\+93|0)?(2{1}[0-8]{1}|[3-5]{1}[0-4]{1})(\d{7})$/
	};
	/* eslint-enable max-len */

	// aliases
	phones['en-CA'] = phones['en-US'];
	phones['fr-CA'] = phones['en-CA'];
	phones['fr-BE'] = phones['nl-BE'];
	phones['zh-HK'] = phones['en-HK'];
	phones['zh-MO'] = phones['en-MO'];
	phones['ga-IE'] = phones['en-IE'];
	phones['fr-CH'] = phones['de-CH'];
	phones['it-CH'] = phones['fr-CH'];
	function isMobilePhone$1(str, locale, options) {
	  (0, _assertString.default)(str);
	  if (options && options.strictMode && !str.startsWith('+')) {
	    return false;
	  }
	  if (Array.isArray(locale)) {
	    return locale.some(function (key) {
	      // https://github.com/gotwarlost/istanbul/blob/master/ignoring-code-for-coverage.md#ignoring-code-for-coverage-purposes
	      // istanbul ignore else
	      if (phones.hasOwnProperty(key)) {
	        var phone = phones[key];
	        if (phone.test(str)) {
	          return true;
	        }
	      }
	      return false;
	    });
	  } else if (locale in phones) {
	    return phones[locale].test(str);
	    // alias falsey locale as 'any'
	  } else if (!locale || locale === 'any') {
	    for (var key in phones) {
	      // istanbul ignore else
	      if (phones.hasOwnProperty(key)) {
	        var phone = phones[key];
	        if (phone.test(str)) {
	          return true;
	        }
	      }
	    }
	    return false;
	  }
	  throw new Error("Invalid locale '".concat(locale, "'"));
	}
	isMobilePhone.locales = Object.keys(phones);
	return isMobilePhone;
}

var isEthereumAddress = {exports: {}};

var hasRequiredIsEthereumAddress;

function requireIsEthereumAddress () {
	if (hasRequiredIsEthereumAddress) return isEthereumAddress.exports;
	hasRequiredIsEthereumAddress = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isEthereumAddress;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var eth = /^(0x)[0-9a-f]{40}$/i;
		function isEthereumAddress(str) {
		  (0, _assertString.default)(str);
		  return eth.test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isEthereumAddress, isEthereumAddress.exports));
	return isEthereumAddress.exports;
}

var isCurrency = {exports: {}};

var hasRequiredIsCurrency;

function requireIsCurrency () {
	if (hasRequiredIsCurrency) return isCurrency.exports;
	hasRequiredIsCurrency = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isCurrency;
		var _merge = _interopRequireDefault(/*@__PURE__*/ requireMerge());
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function currencyRegex(options) {
		  var decimal_digits = "\\d{".concat(options.digits_after_decimal[0], "}");
		  options.digits_after_decimal.forEach(function (digit, index) {
		    if (index !== 0) decimal_digits = "".concat(decimal_digits, "|\\d{").concat(digit, "}");
		  });
		  var symbol = "(".concat(options.symbol.replace(/\W/, function (m) {
		      return "\\".concat(m);
		    }), ")").concat(options.require_symbol ? '' : '?'),
		    negative = '-?',
		    whole_dollar_amount_without_sep = '[1-9]\\d*',
		    whole_dollar_amount_with_sep = "[1-9]\\d{0,2}(\\".concat(options.thousands_separator, "\\d{3})*"),
		    valid_whole_dollar_amounts = ['0', whole_dollar_amount_without_sep, whole_dollar_amount_with_sep],
		    whole_dollar_amount = "(".concat(valid_whole_dollar_amounts.join('|'), ")?"),
		    decimal_amount = "(\\".concat(options.decimal_separator, "(").concat(decimal_digits, "))").concat(options.require_decimal ? '' : '?');
		  var pattern = whole_dollar_amount + (options.allow_decimal || options.require_decimal ? decimal_amount : '');

		  // default is negative sign before symbol, but there are two other options (besides parens)
		  if (options.allow_negatives && !options.parens_for_negatives) {
		    if (options.negative_sign_after_digits) {
		      pattern += negative;
		    } else if (options.negative_sign_before_digits) {
		      pattern = negative + pattern;
		    }
		  }

		  // South African Rand, for example, uses R 123 (space) and R-123 (no space)
		  if (options.allow_negative_sign_placeholder) {
		    pattern = "( (?!\\-))?".concat(pattern);
		  } else if (options.allow_space_after_symbol) {
		    pattern = " ?".concat(pattern);
		  } else if (options.allow_space_after_digits) {
		    pattern += '( (?!$))?';
		  }
		  if (options.symbol_after_digits) {
		    pattern += symbol;
		  } else {
		    pattern = symbol + pattern;
		  }
		  if (options.allow_negatives) {
		    if (options.parens_for_negatives) {
		      pattern = "(\\(".concat(pattern, "\\)|").concat(pattern, ")");
		    } else if (!(options.negative_sign_before_digits || options.negative_sign_after_digits)) {
		      pattern = negative + pattern;
		    }
		  }

		  // ensure there's a dollar and/or decimal amount, and that
		  // it doesn't start with a space or a negative sign followed by a space
		  return new RegExp("^(?!-? )(?=.*\\d)".concat(pattern, "$"));
		}
		var default_currency_options = {
		  symbol: '$',
		  require_symbol: false,
		  allow_space_after_symbol: false,
		  symbol_after_digits: false,
		  allow_negatives: true,
		  parens_for_negatives: false,
		  negative_sign_before_digits: false,
		  negative_sign_after_digits: false,
		  allow_negative_sign_placeholder: false,
		  thousands_separator: ',',
		  decimal_separator: '.',
		  allow_decimal: true,
		  require_decimal: false,
		  digits_after_decimal: [2],
		  allow_space_after_digits: false
		};
		function isCurrency(str, options) {
		  (0, _assertString.default)(str);
		  options = (0, _merge.default)(options, default_currency_options);
		  return currencyRegex(options).test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isCurrency, isCurrency.exports));
	return isCurrency.exports;
}

var isBtcAddress = {exports: {}};

var hasRequiredIsBtcAddress;

function requireIsBtcAddress () {
	if (hasRequiredIsBtcAddress) return isBtcAddress.exports;
	hasRequiredIsBtcAddress = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isBtcAddress;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var bech32 = /^(bc1)[a-z0-9]{25,39}$/;
		var base58 = /^(1|3)[A-HJ-NP-Za-km-z1-9]{25,39}$/;
		function isBtcAddress(str) {
		  (0, _assertString.default)(str);
		  return bech32.test(str) || base58.test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isBtcAddress, isBtcAddress.exports));
	return isBtcAddress.exports;
}

var isISO6346 = {};

var hasRequiredIsISO6346;

function requireIsISO6346 () {
	if (hasRequiredIsISO6346) return isISO6346;
	hasRequiredIsISO6346 = 1;

	Object.defineProperty(isISO6346, "__esModule", {
	  value: true
	});
	isISO6346.isFreightContainerID = void 0;
	isISO6346.isISO6346 = isISO6346$1;
	var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	// https://en.wikipedia.org/wiki/ISO_6346
	// according to ISO6346 standard, checksum digit is mandatory for freight container but recommended
	// for other container types (J and Z)
	var isISO6346Str = /^[A-Z]{3}(U[0-9]{7})|([J,Z][0-9]{6,7})$/;
	var isDigit = /^[0-9]$/;
	function isISO6346$1(str) {
	  (0, _assertString.default)(str);
	  str = str.toUpperCase();
	  if (!isISO6346Str.test(str)) return false;
	  if (str.length === 11) {
	    var sum = 0;
	    for (var i = 0; i < str.length - 1; i++) {
	      if (!isDigit.test(str[i])) {
	        var convertedCode = void 0;
	        var letterCode = str.charCodeAt(i) - 55;
	        if (letterCode < 11) convertedCode = letterCode;else if (letterCode >= 11 && letterCode <= 20) convertedCode = 12 + letterCode % 11;else if (letterCode >= 21 && letterCode <= 30) convertedCode = 23 + letterCode % 21;else convertedCode = 34 + letterCode % 31;
	        sum += convertedCode * Math.pow(2, i);
	      } else sum += str[i] * Math.pow(2, i);
	    }
	    var checkSumDigit = sum % 11;
	    return Number(str[str.length - 1]) === checkSumDigit;
	  }
	  return true;
	}
	isISO6346.isFreightContainerID = isISO6346$1;
	return isISO6346;
}

var isISO6391 = {exports: {}};

var hasRequiredIsISO6391;

function requireIsISO6391 () {
	if (hasRequiredIsISO6391) return isISO6391.exports;
	hasRequiredIsISO6391 = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isISO6391;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var isISO6391Set = new Set(['aa', 'ab', 'ae', 'af', 'ak', 'am', 'an', 'ar', 'as', 'av', 'ay', 'az', 'az', 'ba', 'be', 'bg', 'bh', 'bi', 'bm', 'bn', 'bo', 'br', 'bs', 'ca', 'ce', 'ch', 'co', 'cr', 'cs', 'cu', 'cv', 'cy', 'da', 'de', 'dv', 'dz', 'ee', 'el', 'en', 'eo', 'es', 'et', 'eu', 'fa', 'ff', 'fi', 'fj', 'fo', 'fr', 'fy', 'ga', 'gd', 'gl', 'gn', 'gu', 'gv', 'ha', 'he', 'hi', 'ho', 'hr', 'ht', 'hu', 'hy', 'hz', 'ia', 'id', 'ie', 'ig', 'ii', 'ik', 'io', 'is', 'it', 'iu', 'ja', 'jv', 'ka', 'kg', 'ki', 'kj', 'kk', 'kl', 'km', 'kn', 'ko', 'kr', 'ks', 'ku', 'kv', 'kw', 'ky', 'la', 'lb', 'lg', 'li', 'ln', 'lo', 'lt', 'lu', 'lv', 'mg', 'mh', 'mi', 'mk', 'ml', 'mn', 'mr', 'ms', 'mt', 'my', 'na', 'nb', 'nd', 'ne', 'ng', 'nl', 'nn', 'no', 'nr', 'nv', 'ny', 'oc', 'oj', 'om', 'or', 'os', 'pa', 'pi', 'pl', 'ps', 'pt', 'qu', 'rm', 'rn', 'ro', 'ru', 'rw', 'sa', 'sc', 'sd', 'se', 'sg', 'si', 'sk', 'sl', 'sm', 'sn', 'so', 'sq', 'sr', 'ss', 'st', 'su', 'sv', 'sw', 'ta', 'te', 'tg', 'th', 'ti', 'tk', 'tl', 'tn', 'to', 'tr', 'ts', 'tt', 'tw', 'ty', 'ug', 'uk', 'ur', 'uz', 've', 'vi', 'vo', 'wa', 'wo', 'xh', 'yi', 'yo', 'za', 'zh', 'zu']);
		function isISO6391(str) {
		  (0, _assertString.default)(str);
		  return isISO6391Set.has(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isISO6391, isISO6391.exports));
	return isISO6391.exports;
}

var isISO8601 = {exports: {}};

var hasRequiredIsISO8601;

function requireIsISO8601 () {
	if (hasRequiredIsISO8601) return isISO8601.exports;
	hasRequiredIsISO8601 = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isISO8601;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		/* eslint-disable max-len */
		// from http://goo.gl/0ejHHW
		var iso8601 = /^([\+-]?\d{4}(?!\d{2}\b))((-?)((0[1-9]|1[0-2])(\3([12]\d|0[1-9]|3[01]))?|W([0-4]\d|5[0-3])(-?[1-7])?|(00[1-9]|0[1-9]\d|[12]\d{2}|3([0-5]\d|6[1-6])))([T\s]((([01]\d|2[0-3])((:?)[0-5]\d)?|24:?00)([\.,]\d+(?!:))?)?(\17[0-5]\d([\.,]\d+)?)?([zZ]|([\+-])([01]\d|2[0-3]):?([0-5]\d)?)?)?)?$/;
		// same as above, except with a strict 'T' separator between date and time
		var iso8601StrictSeparator = /^([\+-]?\d{4}(?!\d{2}\b))((-?)((0[1-9]|1[0-2])(\3([12]\d|0[1-9]|3[01]))?|W([0-4]\d|5[0-3])(-?[1-7])?|(00[1-9]|0[1-9]\d|[12]\d{2}|3([0-5]\d|6[1-6])))([T]((([01]\d|2[0-3])((:?)[0-5]\d)?|24:?00)([\.,]\d+(?!:))?)?(\17[0-5]\d([\.,]\d+)?)?([zZ]|([\+-])([01]\d|2[0-3]):?([0-5]\d)?)?)?)?$/;
		/* eslint-enable max-len */
		var isValidDate = function isValidDate(str) {
		  // str must have passed the ISO8601 check
		  // this check is meant to catch invalid dates
		  // like 2009-02-31
		  // first check for ordinal dates
		  var ordinalMatch = str.match(/^(\d{4})-?(\d{3})([ T]{1}\.*|$)/);
		  if (ordinalMatch) {
		    var oYear = Number(ordinalMatch[1]);
		    var oDay = Number(ordinalMatch[2]);
		    // if is leap year
		    if (oYear % 4 === 0 && oYear % 100 !== 0 || oYear % 400 === 0) return oDay <= 366;
		    return oDay <= 365;
		  }
		  var match = str.match(/(\d{4})-?(\d{0,2})-?(\d*)/).map(Number);
		  var year = match[1];
		  var month = match[2];
		  var day = match[3];
		  var monthString = month ? "0".concat(month).slice(-2) : month;
		  var dayString = day ? "0".concat(day).slice(-2) : day;

		  // create a date object and compare
		  var d = new Date("".concat(year, "-").concat(monthString || '01', "-").concat(dayString || '01'));
		  if (month && day) {
		    return d.getUTCFullYear() === year && d.getUTCMonth() + 1 === month && d.getUTCDate() === day;
		  }
		  return true;
		};
		function isISO8601(str) {
		  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
		  (0, _assertString.default)(str);
		  var check = options.strictSeparator ? iso8601StrictSeparator.test(str) : iso8601.test(str);
		  if (check && options.strict) return isValidDate(str);
		  return check;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isISO8601, isISO8601.exports));
	return isISO8601.exports;
}

var isRFC3339 = {exports: {}};

var hasRequiredIsRFC3339;

function requireIsRFC3339 () {
	if (hasRequiredIsRFC3339) return isRFC3339.exports;
	hasRequiredIsRFC3339 = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isRFC3339;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		/* Based on https://tools.ietf.org/html/rfc3339#section-5.6 */

		var dateFullYear = /[0-9]{4}/;
		var dateMonth = /(0[1-9]|1[0-2])/;
		var dateMDay = /([12]\d|0[1-9]|3[01])/;
		var timeHour = /([01][0-9]|2[0-3])/;
		var timeMinute = /[0-5][0-9]/;
		var timeSecond = /([0-5][0-9]|60)/;
		var timeSecFrac = /(\.[0-9]+)?/;
		var timeNumOffset = new RegExp("[-+]".concat(timeHour.source, ":").concat(timeMinute.source));
		var timeOffset = new RegExp("([zZ]|".concat(timeNumOffset.source, ")"));
		var partialTime = new RegExp("".concat(timeHour.source, ":").concat(timeMinute.source, ":").concat(timeSecond.source).concat(timeSecFrac.source));
		var fullDate = new RegExp("".concat(dateFullYear.source, "-").concat(dateMonth.source, "-").concat(dateMDay.source));
		var fullTime = new RegExp("".concat(partialTime.source).concat(timeOffset.source));
		var rfc3339 = new RegExp("^".concat(fullDate.source, "[ tT]").concat(fullTime.source, "$"));
		function isRFC3339(str) {
		  (0, _assertString.default)(str);
		  return rfc3339.test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isRFC3339, isRFC3339.exports));
	return isRFC3339.exports;
}

var isISO31661Alpha3 = {exports: {}};

var hasRequiredIsISO31661Alpha3;

function requireIsISO31661Alpha3 () {
	if (hasRequiredIsISO31661Alpha3) return isISO31661Alpha3.exports;
	hasRequiredIsISO31661Alpha3 = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isISO31661Alpha3;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		// from https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3
		var validISO31661Alpha3CountriesCodes = new Set(['AFG', 'ALA', 'ALB', 'DZA', 'ASM', 'AND', 'AGO', 'AIA', 'ATA', 'ATG', 'ARG', 'ARM', 'ABW', 'AUS', 'AUT', 'AZE', 'BHS', 'BHR', 'BGD', 'BRB', 'BLR', 'BEL', 'BLZ', 'BEN', 'BMU', 'BTN', 'BOL', 'BES', 'BIH', 'BWA', 'BVT', 'BRA', 'IOT', 'BRN', 'BGR', 'BFA', 'BDI', 'KHM', 'CMR', 'CAN', 'CPV', 'CYM', 'CAF', 'TCD', 'CHL', 'CHN', 'CXR', 'CCK', 'COL', 'COM', 'COG', 'COD', 'COK', 'CRI', 'CIV', 'HRV', 'CUB', 'CUW', 'CYP', 'CZE', 'DNK', 'DJI', 'DMA', 'DOM', 'ECU', 'EGY', 'SLV', 'GNQ', 'ERI', 'EST', 'ETH', 'FLK', 'FRO', 'FJI', 'FIN', 'FRA', 'GUF', 'PYF', 'ATF', 'GAB', 'GMB', 'GEO', 'DEU', 'GHA', 'GIB', 'GRC', 'GRL', 'GRD', 'GLP', 'GUM', 'GTM', 'GGY', 'GIN', 'GNB', 'GUY', 'HTI', 'HMD', 'VAT', 'HND', 'HKG', 'HUN', 'ISL', 'IND', 'IDN', 'IRN', 'IRQ', 'IRL', 'IMN', 'ISR', 'ITA', 'JAM', 'JPN', 'JEY', 'JOR', 'KAZ', 'KEN', 'KIR', 'PRK', 'KOR', 'KWT', 'KGZ', 'LAO', 'LVA', 'LBN', 'LSO', 'LBR', 'LBY', 'LIE', 'LTU', 'LUX', 'MAC', 'MKD', 'MDG', 'MWI', 'MYS', 'MDV', 'MLI', 'MLT', 'MHL', 'MTQ', 'MRT', 'MUS', 'MYT', 'MEX', 'FSM', 'MDA', 'MCO', 'MNG', 'MNE', 'MSR', 'MAR', 'MOZ', 'MMR', 'NAM', 'NRU', 'NPL', 'NLD', 'NCL', 'NZL', 'NIC', 'NER', 'NGA', 'NIU', 'NFK', 'MNP', 'NOR', 'OMN', 'PAK', 'PLW', 'PSE', 'PAN', 'PNG', 'PRY', 'PER', 'PHL', 'PCN', 'POL', 'PRT', 'PRI', 'QAT', 'REU', 'ROU', 'RUS', 'RWA', 'BLM', 'SHN', 'KNA', 'LCA', 'MAF', 'SPM', 'VCT', 'WSM', 'SMR', 'STP', 'SAU', 'SEN', 'SRB', 'SYC', 'SLE', 'SGP', 'SXM', 'SVK', 'SVN', 'SLB', 'SOM', 'ZAF', 'SGS', 'SSD', 'ESP', 'LKA', 'SDN', 'SUR', 'SJM', 'SWZ', 'SWE', 'CHE', 'SYR', 'TWN', 'TJK', 'TZA', 'THA', 'TLS', 'TGO', 'TKL', 'TON', 'TTO', 'TUN', 'TUR', 'TKM', 'TCA', 'TUV', 'UGA', 'UKR', 'ARE', 'GBR', 'USA', 'UMI', 'URY', 'UZB', 'VUT', 'VEN', 'VNM', 'VGB', 'VIR', 'WLF', 'ESH', 'YEM', 'ZMB', 'ZWE']);
		function isISO31661Alpha3(str) {
		  (0, _assertString.default)(str);
		  return validISO31661Alpha3CountriesCodes.has(str.toUpperCase());
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isISO31661Alpha3, isISO31661Alpha3.exports));
	return isISO31661Alpha3.exports;
}

var isISO4217 = {};

var hasRequiredIsISO4217;

function requireIsISO4217 () {
	if (hasRequiredIsISO4217) return isISO4217;
	hasRequiredIsISO4217 = 1;

	Object.defineProperty(isISO4217, "__esModule", {
	  value: true
	});
	isISO4217.CurrencyCodes = void 0;
	isISO4217.default = isISO4217$1;
	var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	// from https://en.wikipedia.org/wiki/ISO_4217
	var validISO4217CurrencyCodes = new Set(['AED', 'AFN', 'ALL', 'AMD', 'ANG', 'AOA', 'ARS', 'AUD', 'AWG', 'AZN', 'BAM', 'BBD', 'BDT', 'BGN', 'BHD', 'BIF', 'BMD', 'BND', 'BOB', 'BOV', 'BRL', 'BSD', 'BTN', 'BWP', 'BYN', 'BZD', 'CAD', 'CDF', 'CHE', 'CHF', 'CHW', 'CLF', 'CLP', 'CNY', 'COP', 'COU', 'CRC', 'CUC', 'CUP', 'CVE', 'CZK', 'DJF', 'DKK', 'DOP', 'DZD', 'EGP', 'ERN', 'ETB', 'EUR', 'FJD', 'FKP', 'GBP', 'GEL', 'GHS', 'GIP', 'GMD', 'GNF', 'GTQ', 'GYD', 'HKD', 'HNL', 'HRK', 'HTG', 'HUF', 'IDR', 'ILS', 'INR', 'IQD', 'IRR', 'ISK', 'JMD', 'JOD', 'JPY', 'KES', 'KGS', 'KHR', 'KMF', 'KPW', 'KRW', 'KWD', 'KYD', 'KZT', 'LAK', 'LBP', 'LKR', 'LRD', 'LSL', 'LYD', 'MAD', 'MDL', 'MGA', 'MKD', 'MMK', 'MNT', 'MOP', 'MRU', 'MUR', 'MVR', 'MWK', 'MXN', 'MXV', 'MYR', 'MZN', 'NAD', 'NGN', 'NIO', 'NOK', 'NPR', 'NZD', 'OMR', 'PAB', 'PEN', 'PGK', 'PHP', 'PKR', 'PLN', 'PYG', 'QAR', 'RON', 'RSD', 'RUB', 'RWF', 'SAR', 'SBD', 'SCR', 'SDG', 'SEK', 'SGD', 'SHP', 'SLE', 'SLL', 'SOS', 'SRD', 'SSP', 'STN', 'SVC', 'SYP', 'SZL', 'THB', 'TJS', 'TMT', 'TND', 'TOP', 'TRY', 'TTD', 'TWD', 'TZS', 'UAH', 'UGX', 'USD', 'USN', 'UYI', 'UYU', 'UYW', 'UZS', 'VES', 'VND', 'VUV', 'WST', 'XAF', 'XAG', 'XAU', 'XBA', 'XBB', 'XBC', 'XBD', 'XCD', 'XDR', 'XOF', 'XPD', 'XPF', 'XPT', 'XSU', 'XTS', 'XUA', 'XXX', 'YER', 'ZAR', 'ZMW', 'ZWL']);
	function isISO4217$1(str) {
	  (0, _assertString.default)(str);
	  return validISO4217CurrencyCodes.has(str.toUpperCase());
	}
	isISO4217.CurrencyCodes = validISO4217CurrencyCodes;
	return isISO4217;
}

var isBase32 = {exports: {}};

var hasRequiredIsBase32;

function requireIsBase32 () {
	if (hasRequiredIsBase32) return isBase32.exports;
	hasRequiredIsBase32 = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isBase32;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _merge = _interopRequireDefault(/*@__PURE__*/ requireMerge());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var base32 = /^[A-Z2-7]+=*$/;
		var crockfordBase32 = /^[A-HJKMNP-TV-Z0-9]+$/;
		var defaultBase32Options = {
		  crockford: false
		};
		function isBase32(str, options) {
		  (0, _assertString.default)(str);
		  options = (0, _merge.default)(options, defaultBase32Options);
		  if (options.crockford) {
		    return crockfordBase32.test(str);
		  }
		  var len = str.length;
		  if (len % 8 === 0 && base32.test(str)) {
		    return true;
		  }
		  return false;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isBase32, isBase32.exports));
	return isBase32.exports;
}

var isBase58 = {exports: {}};

var hasRequiredIsBase58;

function requireIsBase58 () {
	if (hasRequiredIsBase58) return isBase58.exports;
	hasRequiredIsBase58 = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isBase58;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		// Accepted chars - 123456789ABCDEFGH JKLMN PQRSTUVWXYZabcdefghijk mnopqrstuvwxyz
		var base58Reg = /^[A-HJ-NP-Za-km-z1-9]*$/;
		function isBase58(str) {
		  (0, _assertString.default)(str);
		  if (base58Reg.test(str)) {
		    return true;
		  }
		  return false;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isBase58, isBase58.exports));
	return isBase58.exports;
}

var isDataURI = {exports: {}};

var hasRequiredIsDataURI;

function requireIsDataURI () {
	if (hasRequiredIsDataURI) return isDataURI.exports;
	hasRequiredIsDataURI = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isDataURI;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var validMediaType = /^[a-z]+\/[a-z0-9\-\+\._]+$/i;
		var validAttribute = /^[a-z\-]+=[a-z0-9\-]+$/i;
		var validData = /^[a-z0-9!\$&'\(\)\*\+,;=\-\._~:@\/\?%\s]*$/i;
		function isDataURI(str) {
		  (0, _assertString.default)(str);
		  var data = str.split(',');
		  if (data.length < 2) {
		    return false;
		  }
		  var attributes = data.shift().trim().split(';');
		  var schemeAndMediaType = attributes.shift();
		  if (schemeAndMediaType.slice(0, 5) !== 'data:') {
		    return false;
		  }
		  var mediaType = schemeAndMediaType.slice(5);
		  if (mediaType !== '' && !validMediaType.test(mediaType)) {
		    return false;
		  }
		  for (var i = 0; i < attributes.length; i++) {
		    if (!(i === attributes.length - 1 && attributes[i].toLowerCase() === 'base64') && !validAttribute.test(attributes[i])) {
		      return false;
		    }
		  }
		  for (var _i = 0; _i < data.length; _i++) {
		    if (!validData.test(data[_i])) {
		      return false;
		    }
		  }
		  return true;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isDataURI, isDataURI.exports));
	return isDataURI.exports;
}

var isMagnetURI = {exports: {}};

var hasRequiredIsMagnetURI;

function requireIsMagnetURI () {
	if (hasRequiredIsMagnetURI) return isMagnetURI.exports;
	hasRequiredIsMagnetURI = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isMagnetURI;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var magnetURIComponent = /(?:^magnet:\?|[^?&]&)xt(?:\.1)?=urn:(?:(?:aich|bitprint|btih|ed2k|ed2khash|kzhash|md5|sha1|tree:tiger):[a-z0-9]{32}(?:[a-z0-9]{8})?|btmh:1220[a-z0-9]{64})(?:$|&)/i;
		function isMagnetURI(url) {
		  (0, _assertString.default)(url);
		  if (url.indexOf('magnet:?') !== 0) {
		    return false;
		  }
		  return magnetURIComponent.test(url);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isMagnetURI, isMagnetURI.exports));
	return isMagnetURI.exports;
}

var isMailtoURI = {exports: {}};

var trim = {exports: {}};

var rtrim = {exports: {}};

var hasRequiredRtrim;

function requireRtrim () {
	if (hasRequiredRtrim) return rtrim.exports;
	hasRequiredRtrim = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = rtrim;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function rtrim(str, chars) {
		  (0, _assertString.default)(str);
		  if (chars) {
		    // https://developer.mozilla.org/en-US/docs/Web/JavaScript/Guide/Regular_Expressions#Escaping
		    var pattern = new RegExp("[".concat(chars.replace(/[.*+?^${}()|[\]\\]/g, '\\$&'), "]+$"), 'g');
		    return str.replace(pattern, '');
		  }
		  // Use a faster and more safe than regex trim method https://blog.stevenlevithan.com/archives/faster-trim-javascript
		  var strIndex = str.length - 1;
		  while (/\s/.test(str.charAt(strIndex))) {
		    strIndex -= 1;
		  }
		  return str.slice(0, strIndex + 1);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (rtrim, rtrim.exports));
	return rtrim.exports;
}

var ltrim = {exports: {}};

var hasRequiredLtrim;

function requireLtrim () {
	if (hasRequiredLtrim) return ltrim.exports;
	hasRequiredLtrim = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = ltrim;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function ltrim(str, chars) {
		  (0, _assertString.default)(str);
		  // https://developer.mozilla.org/en-US/docs/Web/JavaScript/Guide/Regular_Expressions#Escaping
		  var pattern = chars ? new RegExp("^[".concat(chars.replace(/[.*+?^${}()|[\]\\]/g, '\\$&'), "]+"), 'g') : /^\s+/g;
		  return str.replace(pattern, '');
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (ltrim, ltrim.exports));
	return ltrim.exports;
}

var hasRequiredTrim;

function requireTrim () {
	if (hasRequiredTrim) return trim.exports;
	hasRequiredTrim = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = trim;
		var _rtrim = _interopRequireDefault(/*@__PURE__*/ requireRtrim());
		var _ltrim = _interopRequireDefault(/*@__PURE__*/ requireLtrim());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function trim(str, chars) {
		  return (0, _rtrim.default)((0, _ltrim.default)(str, chars), chars);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (trim, trim.exports));
	return trim.exports;
}

var hasRequiredIsMailtoURI;

function requireIsMailtoURI () {
	if (hasRequiredIsMailtoURI) return isMailtoURI.exports;
	hasRequiredIsMailtoURI = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isMailtoURI;
		var _trim = _interopRequireDefault(/*@__PURE__*/ requireTrim());
		var _isEmail = _interopRequireDefault(/*@__PURE__*/ requireIsEmail());
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
		function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
		function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) ; else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
		function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
		function _createForOfIteratorHelper(o, allowArrayLike) { var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"]; if (!it) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike) { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = it.call(o); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it.return != null) it.return(); } finally { if (didErr) throw err; } } }; }
		function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
		function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
		function parseMailtoQueryString(queryString) {
		  var allowedParams = new Set(['subject', 'body', 'cc', 'bcc']),
		    query = {
		      cc: '',
		      bcc: ''
		    };
		  var isParseFailed = false;
		  var queryParams = queryString.split('&');
		  if (queryParams.length > 4) {
		    return false;
		  }
		  var _iterator = _createForOfIteratorHelper(queryParams),
		    _step;
		  try {
		    for (_iterator.s(); !(_step = _iterator.n()).done;) {
		      var q = _step.value;
		      var _q$split = q.split('='),
		        _q$split2 = _slicedToArray(_q$split, 2),
		        key = _q$split2[0],
		        value = _q$split2[1];

		      // checked for invalid and duplicated query params
		      if (key && !allowedParams.has(key)) {
		        isParseFailed = true;
		        break;
		      }
		      if (value && (key === 'cc' || key === 'bcc')) {
		        query[key] = value;
		      }
		      if (key) {
		        allowedParams.delete(key);
		      }
		    }
		  } catch (err) {
		    _iterator.e(err);
		  } finally {
		    _iterator.f();
		  }
		  return isParseFailed ? false : query;
		}
		function isMailtoURI(url, options) {
		  (0, _assertString.default)(url);
		  if (url.indexOf('mailto:') !== 0) {
		    return false;
		  }
		  var _url$replace$split = url.replace('mailto:', '').split('?'),
		    _url$replace$split2 = _slicedToArray(_url$replace$split, 2),
		    to = _url$replace$split2[0],
		    _url$replace$split2$ = _url$replace$split2[1],
		    queryString = _url$replace$split2$ === void 0 ? '' : _url$replace$split2$;
		  if (!to && !queryString) {
		    return true;
		  }
		  var query = parseMailtoQueryString(queryString);
		  if (!query) {
		    return false;
		  }
		  return "".concat(to, ",").concat(query.cc, ",").concat(query.bcc).split(',').every(function (email) {
		    email = (0, _trim.default)(email, ' ');
		    if (email) {
		      return (0, _isEmail.default)(email, options);
		    }
		    return true;
		  });
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isMailtoURI, isMailtoURI.exports));
	return isMailtoURI.exports;
}

var isMimeType = {exports: {}};

var hasRequiredIsMimeType;

function requireIsMimeType () {
	if (hasRequiredIsMimeType) return isMimeType.exports;
	hasRequiredIsMimeType = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isMimeType;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		/*
		  Checks if the provided string matches to a correct Media type format (MIME type)

		  This function only checks is the string format follows the
		  etablished rules by the according RFC specifications.
		  This function supports 'charset' in textual media types
		  (https://tools.ietf.org/html/rfc6657).

		  This function does not check against all the media types listed
		  by the IANA (https://www.iana.org/assignments/media-types/media-types.xhtml)
		  because of lightness purposes : it would require to include
		  all these MIME types in this librairy, which would weigh it
		  significantly. This kind of effort maybe is not worth for the use that
		  this function has in this entire librairy.

		  More informations in the RFC specifications :
		  - https://tools.ietf.org/html/rfc2045
		  - https://tools.ietf.org/html/rfc2046
		  - https://tools.ietf.org/html/rfc7231#section-3.1.1.1
		  - https://tools.ietf.org/html/rfc7231#section-3.1.1.5
		*/

		// Match simple MIME types
		// NB :
		//   Subtype length must not exceed 100 characters.
		//   This rule does not comply to the RFC specs (what is the max length ?).
		var mimeTypeSimple = /^(application|audio|font|image|message|model|multipart|text|video)\/[a-zA-Z0-9\.\-\+_]{1,100}$/i; // eslint-disable-line max-len

		// Handle "charset" in "text/*"
		var mimeTypeText = /^text\/[a-zA-Z0-9\.\-\+]{1,100};\s?charset=("[a-zA-Z0-9\.\-\+\s]{0,70}"|[a-zA-Z0-9\.\-\+]{0,70})(\s?\([a-zA-Z0-9\.\-\+\s]{1,20}\))?$/i; // eslint-disable-line max-len

		// Handle "boundary" in "multipart/*"
		var mimeTypeMultipart = /^multipart\/[a-zA-Z0-9\.\-\+]{1,100}(;\s?(boundary|charset)=("[a-zA-Z0-9\.\-\+\s]{0,70}"|[a-zA-Z0-9\.\-\+]{0,70})(\s?\([a-zA-Z0-9\.\-\+\s]{1,20}\))?){0,2}$/i; // eslint-disable-line max-len

		function isMimeType(str) {
		  (0, _assertString.default)(str);
		  return mimeTypeSimple.test(str) || mimeTypeText.test(str) || mimeTypeMultipart.test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isMimeType, isMimeType.exports));
	return isMimeType.exports;
}

var isLatLong = {exports: {}};

var hasRequiredIsLatLong;

function requireIsLatLong () {
	if (hasRequiredIsLatLong) return isLatLong.exports;
	hasRequiredIsLatLong = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isLatLong;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _merge = _interopRequireDefault(/*@__PURE__*/ requireMerge());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var lat = /^\(?[+-]?(90(\.0+)?|[1-8]?\d(\.\d+)?)$/;
		var long = /^\s?[+-]?(180(\.0+)?|1[0-7]\d(\.\d+)?|\d{1,2}(\.\d+)?)\)?$/;
		var latDMS = /^(([1-8]?\d)\D+([1-5]?\d|60)\D+([1-5]?\d|60)(\.\d+)?|90\D+0\D+0)\D+[NSns]?$/i;
		var longDMS = /^\s*([1-7]?\d{1,2}\D+([1-5]?\d|60)\D+([1-5]?\d|60)(\.\d+)?|180\D+0\D+0)\D+[EWew]?$/i;
		var defaultLatLongOptions = {
		  checkDMS: false
		};
		function isLatLong(str, options) {
		  (0, _assertString.default)(str);
		  options = (0, _merge.default)(options, defaultLatLongOptions);
		  if (!str.includes(',')) return false;
		  var pair = str.split(',');
		  if (pair[0].startsWith('(') && !pair[1].endsWith(')') || pair[1].endsWith(')') && !pair[0].startsWith('(')) return false;
		  if (options.checkDMS) {
		    return latDMS.test(pair[0]) && longDMS.test(pair[1]);
		  }
		  return lat.test(pair[0]) && long.test(pair[1]);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isLatLong, isLatLong.exports));
	return isLatLong.exports;
}

var isPostalCode = {};

var hasRequiredIsPostalCode;

function requireIsPostalCode () {
	if (hasRequiredIsPostalCode) return isPostalCode;
	hasRequiredIsPostalCode = 1;

	Object.defineProperty(isPostalCode, "__esModule", {
	  value: true
	});
	isPostalCode.default = isPostalCode$1;
	isPostalCode.locales = void 0;
	var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	// common patterns
	var threeDigit = /^\d{3}$/;
	var fourDigit = /^\d{4}$/;
	var fiveDigit = /^\d{5}$/;
	var sixDigit = /^\d{6}$/;
	var patterns = {
	  AD: /^AD\d{3}$/,
	  AT: fourDigit,
	  AU: fourDigit,
	  AZ: /^AZ\d{4}$/,
	  BA: /^([7-8]\d{4}$)/,
	  BE: fourDigit,
	  BG: fourDigit,
	  BR: /^\d{5}-\d{3}$/,
	  BY: /^2[1-4]\d{4}$/,
	  CA: /^[ABCEGHJKLMNPRSTVXY]\d[ABCEGHJ-NPRSTV-Z][\s\-]?\d[ABCEGHJ-NPRSTV-Z]\d$/i,
	  CH: fourDigit,
	  CN: /^(0[1-7]|1[012356]|2[0-7]|3[0-6]|4[0-7]|5[1-7]|6[1-7]|7[1-5]|8[1345]|9[09])\d{4}$/,
	  CZ: /^\d{3}\s?\d{2}$/,
	  DE: fiveDigit,
	  DK: fourDigit,
	  DO: fiveDigit,
	  DZ: fiveDigit,
	  EE: fiveDigit,
	  ES: /^(5[0-2]{1}|[0-4]{1}\d{1})\d{3}$/,
	  FI: fiveDigit,
	  FR: /^\d{2}\s?\d{3}$/,
	  GB: /^(gir\s?0aa|[a-z]{1,2}\d[\da-z]?\s?(\d[a-z]{2})?)$/i,
	  GR: /^\d{3}\s?\d{2}$/,
	  HR: /^([1-5]\d{4}$)/,
	  HT: /^HT\d{4}$/,
	  HU: fourDigit,
	  ID: fiveDigit,
	  IE: /^(?!.*(?:o))[A-Za-z]\d[\dw]\s\w{4}$/i,
	  IL: /^(\d{5}|\d{7})$/,
	  IN: /^((?!10|29|35|54|55|65|66|86|87|88|89)[1-9][0-9]{5})$/,
	  IR: /^(?!(\d)\1{3})[13-9]{4}[1346-9][013-9]{5}$/,
	  IS: threeDigit,
	  IT: fiveDigit,
	  JP: /^\d{3}\-\d{4}$/,
	  KE: fiveDigit,
	  KR: /^(\d{5}|\d{6})$/,
	  LI: /^(948[5-9]|949[0-7])$/,
	  LT: /^LT\-\d{5}$/,
	  LU: fourDigit,
	  LV: /^LV\-\d{4}$/,
	  LK: fiveDigit,
	  MG: threeDigit,
	  MX: fiveDigit,
	  MT: /^[A-Za-z]{3}\s{0,1}\d{4}$/,
	  MY: fiveDigit,
	  NL: /^[1-9]\d{3}\s?(?!sa|sd|ss)[a-z]{2}$/i,
	  NO: fourDigit,
	  NP: /^(10|21|22|32|33|34|44|45|56|57)\d{3}$|^(977)$/i,
	  NZ: fourDigit,
	  PL: /^\d{2}\-\d{3}$/,
	  PR: /^00[679]\d{2}([ -]\d{4})?$/,
	  PT: /^\d{4}\-\d{3}?$/,
	  RO: sixDigit,
	  RU: sixDigit,
	  SA: fiveDigit,
	  SE: /^[1-9]\d{2}\s?\d{2}$/,
	  SG: sixDigit,
	  SI: fourDigit,
	  SK: /^\d{3}\s?\d{2}$/,
	  TH: fiveDigit,
	  TN: fourDigit,
	  TW: /^\d{3}(\d{2})?$/,
	  UA: fiveDigit,
	  US: /^\d{5}(-\d{4})?$/,
	  ZA: fourDigit,
	  ZM: fiveDigit
	};
	isPostalCode.locales = Object.keys(patterns);
	function isPostalCode$1(str, locale) {
	  (0, _assertString.default)(str);
	  if (locale in patterns) {
	    return patterns[locale].test(str);
	  } else if (locale === 'any') {
	    for (var key in patterns) {
	      // https://github.com/gotwarlost/istanbul/blob/master/ignoring-code-for-coverage.md#ignoring-code-for-coverage-purposes
	      // istanbul ignore else
	      if (patterns.hasOwnProperty(key)) {
	        var pattern = patterns[key];
	        if (pattern.test(str)) {
	          return true;
	        }
	      }
	    }
	    return false;
	  }
	  throw new Error("Invalid locale '".concat(locale, "'"));
	}
	return isPostalCode;
}

var _escape = {exports: {}};

var hasRequired_escape;

function require_escape () {
	if (hasRequired_escape) return _escape.exports;
	hasRequired_escape = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = escape;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function escape(str) {
		  (0, _assertString.default)(str);
		  return str.replace(/&/g, '&amp;').replace(/"/g, '&quot;').replace(/'/g, '&#x27;').replace(/</g, '&lt;').replace(/>/g, '&gt;').replace(/\//g, '&#x2F;').replace(/\\/g, '&#x5C;').replace(/`/g, '&#96;');
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (_escape, _escape.exports));
	return _escape.exports;
}

var _unescape = {exports: {}};

var hasRequired_unescape;

function require_unescape () {
	if (hasRequired_unescape) return _unescape.exports;
	hasRequired_unescape = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = unescape;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function unescape(str) {
		  (0, _assertString.default)(str);
		  return str.replace(/&quot;/g, '"').replace(/&#x27;/g, "'").replace(/&lt;/g, '<').replace(/&gt;/g, '>').replace(/&#x2F;/g, '/').replace(/&#x5C;/g, '\\').replace(/&#96;/g, '`').replace(/&amp;/g, '&');
		  // &amp; replacement has to be the last one to prevent
		  // bugs with intermediate strings containing escape sequences
		  // See: https://github.com/validatorjs/validator.js/issues/1827
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (_unescape, _unescape.exports));
	return _unescape.exports;
}

var stripLow = {exports: {}};

var blacklist = {exports: {}};

var hasRequiredBlacklist;

function requireBlacklist () {
	if (hasRequiredBlacklist) return blacklist.exports;
	hasRequiredBlacklist = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = blacklist;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function blacklist(str, chars) {
		  (0, _assertString.default)(str);
		  return str.replace(new RegExp("[".concat(chars, "]+"), 'g'), '');
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (blacklist, blacklist.exports));
	return blacklist.exports;
}

var hasRequiredStripLow;

function requireStripLow () {
	if (hasRequiredStripLow) return stripLow.exports;
	hasRequiredStripLow = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = stripLow;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		var _blacklist = _interopRequireDefault(/*@__PURE__*/ requireBlacklist());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function stripLow(str, keep_new_lines) {
		  (0, _assertString.default)(str);
		  var chars = keep_new_lines ? '\\x00-\\x09\\x0B\\x0C\\x0E-\\x1F\\x7F' : '\\x00-\\x1F\\x7F';
		  return (0, _blacklist.default)(str, chars);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (stripLow, stripLow.exports));
	return stripLow.exports;
}

var whitelist = {exports: {}};

var hasRequiredWhitelist;

function requireWhitelist () {
	if (hasRequiredWhitelist) return whitelist.exports;
	hasRequiredWhitelist = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = whitelist;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function whitelist(str, chars) {
		  (0, _assertString.default)(str);
		  return str.replace(new RegExp("[^".concat(chars, "]+"), 'g'), '');
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (whitelist, whitelist.exports));
	return whitelist.exports;
}

var isWhitelisted = {exports: {}};

var hasRequiredIsWhitelisted;

function requireIsWhitelisted () {
	if (hasRequiredIsWhitelisted) return isWhitelisted.exports;
	hasRequiredIsWhitelisted = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isWhitelisted;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		function isWhitelisted(str, chars) {
		  (0, _assertString.default)(str);
		  for (var i = str.length - 1; i >= 0; i--) {
		    if (chars.indexOf(str[i]) === -1) {
		      return false;
		    }
		  }
		  return true;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isWhitelisted, isWhitelisted.exports));
	return isWhitelisted.exports;
}

var normalizeEmail = {exports: {}};

var hasRequiredNormalizeEmail;

function requireNormalizeEmail () {
	if (hasRequiredNormalizeEmail) return normalizeEmail.exports;
	hasRequiredNormalizeEmail = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = normalizeEmail;
		var _merge = _interopRequireDefault(/*@__PURE__*/ requireMerge());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var default_normalize_email_options = {
		  // The following options apply to all email addresses
		  // Lowercases the local part of the email address.
		  // Please note this may violate RFC 5321 as per http://stackoverflow.com/a/9808332/192024).
		  // The domain is always lowercased, as per RFC 1035
		  all_lowercase: true,
		  // The following conversions are specific to GMail
		  // Lowercases the local part of the GMail address (known to be case-insensitive)
		  gmail_lowercase: true,
		  // Removes dots from the local part of the email address, as that's ignored by GMail
		  gmail_remove_dots: true,
		  // Removes the subaddress (e.g. "+foo") from the email address
		  gmail_remove_subaddress: true,
		  // Conversts the googlemail.com domain to gmail.com
		  gmail_convert_googlemaildotcom: true,
		  // The following conversions are specific to Outlook.com / Windows Live / Hotmail
		  // Lowercases the local part of the Outlook.com address (known to be case-insensitive)
		  outlookdotcom_lowercase: true,
		  // Removes the subaddress (e.g. "+foo") from the email address
		  outlookdotcom_remove_subaddress: true,
		  // The following conversions are specific to Yahoo
		  // Lowercases the local part of the Yahoo address (known to be case-insensitive)
		  yahoo_lowercase: true,
		  // Removes the subaddress (e.g. "-foo") from the email address
		  yahoo_remove_subaddress: true,
		  // The following conversions are specific to Yandex
		  // Lowercases the local part of the Yandex address (known to be case-insensitive)
		  yandex_lowercase: true,
		  // The following conversions are specific to iCloud
		  // Lowercases the local part of the iCloud address (known to be case-insensitive)
		  icloud_lowercase: true,
		  // Removes the subaddress (e.g. "+foo") from the email address
		  icloud_remove_subaddress: true
		};

		// List of domains used by iCloud
		var icloud_domains = ['icloud.com', 'me.com'];

		// List of domains used by Outlook.com and its predecessors
		// This list is likely incomplete.
		// Partial reference:
		// https://blogs.office.com/2013/04/17/outlook-com-gets-two-step-verification-sign-in-by-alias-and-new-international-domains/
		var outlookdotcom_domains = ['hotmail.at', 'hotmail.be', 'hotmail.ca', 'hotmail.cl', 'hotmail.co.il', 'hotmail.co.nz', 'hotmail.co.th', 'hotmail.co.uk', 'hotmail.com', 'hotmail.com.ar', 'hotmail.com.au', 'hotmail.com.br', 'hotmail.com.gr', 'hotmail.com.mx', 'hotmail.com.pe', 'hotmail.com.tr', 'hotmail.com.vn', 'hotmail.cz', 'hotmail.de', 'hotmail.dk', 'hotmail.es', 'hotmail.fr', 'hotmail.hu', 'hotmail.id', 'hotmail.ie', 'hotmail.in', 'hotmail.it', 'hotmail.jp', 'hotmail.kr', 'hotmail.lv', 'hotmail.my', 'hotmail.ph', 'hotmail.pt', 'hotmail.sa', 'hotmail.sg', 'hotmail.sk', 'live.be', 'live.co.uk', 'live.com', 'live.com.ar', 'live.com.mx', 'live.de', 'live.es', 'live.eu', 'live.fr', 'live.it', 'live.nl', 'msn.com', 'outlook.at', 'outlook.be', 'outlook.cl', 'outlook.co.il', 'outlook.co.nz', 'outlook.co.th', 'outlook.com', 'outlook.com.ar', 'outlook.com.au', 'outlook.com.br', 'outlook.com.gr', 'outlook.com.pe', 'outlook.com.tr', 'outlook.com.vn', 'outlook.cz', 'outlook.de', 'outlook.dk', 'outlook.es', 'outlook.fr', 'outlook.hu', 'outlook.id', 'outlook.ie', 'outlook.in', 'outlook.it', 'outlook.jp', 'outlook.kr', 'outlook.lv', 'outlook.my', 'outlook.ph', 'outlook.pt', 'outlook.sa', 'outlook.sg', 'outlook.sk', 'passport.com'];

		// List of domains used by Yahoo Mail
		// This list is likely incomplete
		var yahoo_domains = ['rocketmail.com', 'yahoo.ca', 'yahoo.co.uk', 'yahoo.com', 'yahoo.de', 'yahoo.fr', 'yahoo.in', 'yahoo.it', 'ymail.com'];

		// List of domains used by yandex.ru
		var yandex_domains = ['yandex.ru', 'yandex.ua', 'yandex.kz', 'yandex.com', 'yandex.by', 'ya.ru'];

		// replace single dots, but not multiple consecutive dots
		function dotsReplacer(match) {
		  if (match.length > 1) {
		    return match;
		  }
		  return '';
		}
		function normalizeEmail(email, options) {
		  options = (0, _merge.default)(options, default_normalize_email_options);
		  var raw_parts = email.split('@');
		  var domain = raw_parts.pop();
		  var user = raw_parts.join('@');
		  var parts = [user, domain];

		  // The domain is always lowercased, as it's case-insensitive per RFC 1035
		  parts[1] = parts[1].toLowerCase();
		  if (parts[1] === 'gmail.com' || parts[1] === 'googlemail.com') {
		    // Address is GMail
		    if (options.gmail_remove_subaddress) {
		      parts[0] = parts[0].split('+')[0];
		    }
		    if (options.gmail_remove_dots) {
		      // this does not replace consecutive dots like example..email@gmail.com
		      parts[0] = parts[0].replace(/\.+/g, dotsReplacer);
		    }
		    if (!parts[0].length) {
		      return false;
		    }
		    if (options.all_lowercase || options.gmail_lowercase) {
		      parts[0] = parts[0].toLowerCase();
		    }
		    parts[1] = options.gmail_convert_googlemaildotcom ? 'gmail.com' : parts[1];
		  } else if (icloud_domains.indexOf(parts[1]) >= 0) {
		    // Address is iCloud
		    if (options.icloud_remove_subaddress) {
		      parts[0] = parts[0].split('+')[0];
		    }
		    if (!parts[0].length) {
		      return false;
		    }
		    if (options.all_lowercase || options.icloud_lowercase) {
		      parts[0] = parts[0].toLowerCase();
		    }
		  } else if (outlookdotcom_domains.indexOf(parts[1]) >= 0) {
		    // Address is Outlook.com
		    if (options.outlookdotcom_remove_subaddress) {
		      parts[0] = parts[0].split('+')[0];
		    }
		    if (!parts[0].length) {
		      return false;
		    }
		    if (options.all_lowercase || options.outlookdotcom_lowercase) {
		      parts[0] = parts[0].toLowerCase();
		    }
		  } else if (yahoo_domains.indexOf(parts[1]) >= 0) {
		    // Address is Yahoo
		    if (options.yahoo_remove_subaddress) {
		      var components = parts[0].split('-');
		      parts[0] = components.length > 1 ? components.slice(0, -1).join('-') : components[0];
		    }
		    if (!parts[0].length) {
		      return false;
		    }
		    if (options.all_lowercase || options.yahoo_lowercase) {
		      parts[0] = parts[0].toLowerCase();
		    }
		  } else if (yandex_domains.indexOf(parts[1]) >= 0) {
		    if (options.all_lowercase || options.yandex_lowercase) {
		      parts[0] = parts[0].toLowerCase();
		    }
		    parts[1] = 'yandex.ru'; // all yandex domains are equal, 1st preferred
		  } else if (options.all_lowercase) {
		    // Any other address
		    parts[0] = parts[0].toLowerCase();
		  }
		  return parts.join('@');
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (normalizeEmail, normalizeEmail.exports));
	return normalizeEmail.exports;
}

var isSlug = {exports: {}};

var hasRequiredIsSlug;

function requireIsSlug () {
	if (hasRequiredIsSlug) return isSlug.exports;
	hasRequiredIsSlug = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isSlug;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var charsetRegex = /^[^\s-_](?!.*?[-_]{2,})[a-z0-9-\\][^\s]*[^-_\s]$/;
		function isSlug(str) {
		  (0, _assertString.default)(str);
		  return charsetRegex.test(str);
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isSlug, isSlug.exports));
	return isSlug.exports;
}

var isLicensePlate = {exports: {}};

var hasRequiredIsLicensePlate;

function requireIsLicensePlate () {
	if (hasRequiredIsLicensePlate) return isLicensePlate.exports;
	hasRequiredIsLicensePlate = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isLicensePlate;
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var validators = {
		  'cs-CZ': function csCZ(str) {
		    return /^(([ABCDEFHIJKLMNPRSTUVXYZ]|[0-9])-?){5,8}$/.test(str);
		  },
		  'de-DE': function deDE(str) {
		    return /^((A|AA|AB|AC|AE|AH|AK|AM|AN|AÖ|AP|AS|AT|AU|AW|AZ|B|BA|BB|BC|BE|BF|BH|BI|BK|BL|BM|BN|BO|BÖ|BS|BT|BZ|C|CA|CB|CE|CO|CR|CW|D|DA|DD|DE|DH|DI|DL|DM|DN|DO|DU|DW|DZ|E|EA|EB|ED|EE|EF|EG|EH|EI|EL|EM|EN|ER|ES|EU|EW|F|FB|FD|FF|FG|FI|FL|FN|FO|FR|FS|FT|FÜ|FW|FZ|G|GA|GC|GD|GE|GF|GG|GI|GK|GL|GM|GN|GÖ|GP|GR|GS|GT|GÜ|GV|GW|GZ|H|HA|HB|HC|HD|HE|HF|HG|HH|HI|HK|HL|HM|HN|HO|HP|HR|HS|HU|HV|HX|HY|HZ|IK|IL|IN|IZ|J|JE|JL|K|KA|KB|KC|KE|KF|KG|KH|KI|KK|KL|KM|KN|KO|KR|KS|KT|KU|KW|KY|L|LA|LB|LC|LD|LF|LG|LH|LI|LL|LM|LN|LÖ|LP|LR|LU|M|MA|MB|MC|MD|ME|MG|MH|MI|MK|ML|MM|MN|MO|MQ|MR|MS|MÜ|MW|MY|MZ|N|NB|ND|NE|NF|NH|NI|NK|NM|NÖ|NP|NR|NT|NU|NW|NY|NZ|OA|OB|OC|OD|OE|OF|OG|OH|OK|OL|OP|OS|OZ|P|PA|PB|PE|PF|PI|PL|PM|PN|PR|PS|PW|PZ|R|RA|RC|RD|RE|RG|RH|RI|RL|RM|RN|RO|RP|RS|RT|RU|RV|RW|RZ|S|SB|SC|SE|SG|SI|SK|SL|SM|SN|SO|SP|SR|ST|SU|SW|SY|SZ|TE|TF|TG|TO|TP|TR|TS|TT|TÜ|ÜB|UE|UH|UL|UM|UN|V|VB|VG|VK|VR|VS|W|WA|WB|WE|WF|WI|WK|WL|WM|WN|WO|WR|WS|WT|WÜ|WW|WZ|Z|ZE|ZI|ZP|ZR|ZW|ZZ)[- ]?[A-Z]{1,2}[- ]?\d{1,4}|(ABG|ABI|AIB|AIC|ALF|ALZ|ANA|ANG|ANK|APD|ARN|ART|ASL|ASZ|AUR|AZE|BAD|BAR|BBG|BCH|BED|BER|BGD|BGL|BID|BIN|BIR|BIT|BIW|BKS|BLB|BLK|BNA|BOG|BOH|BOR|BOT|BRA|BRB|BRG|BRK|BRL|BRV|BSB|BSK|BTF|BÜD|BUL|BÜR|BÜS|BÜZ|CAS|CHA|CLP|CLZ|COC|COE|CUX|DAH|DAN|DAU|DBR|DEG|DEL|DGF|DIL|DIN|DIZ|DKB|DLG|DON|DUD|DÜW|EBE|EBN|EBS|ECK|EIC|EIL|EIN|EIS|EMD|EMS|ERB|ERH|ERK|ERZ|ESB|ESW|FDB|FDS|FEU|FFB|FKB|FLÖ|FOR|FRG|FRI|FRW|FTL|FÜS|GAN|GAP|GDB|GEL|GEO|GER|GHA|GHC|GLA|GMN|GNT|GOA|GOH|GRA|GRH|GRI|GRM|GRZ|GTH|GUB|GUN|GVM|HAB|HAL|HAM|HAS|HBN|HBS|HCH|HDH|HDL|HEB|HEF|HEI|HER|HET|HGN|HGW|HHM|HIG|HIP|HMÜ|HOG|HOH|HOL|HOM|HOR|HÖS|HOT|HRO|HSK|HST|HVL|HWI|IGB|ILL|JÜL|KEH|KEL|KEM|KIB|KLE|KLZ|KÖN|KÖT|KÖZ|KRU|KÜN|KUS|KYF|LAN|LAU|LBS|LBZ|LDK|LDS|LEO|LER|LEV|LIB|LIF|LIP|LÖB|LOS|LRO|LSZ|LÜN|LUP|LWL|MAB|MAI|MAK|MAL|MED|MEG|MEI|MEK|MEL|MER|MET|MGH|MGN|MHL|MIL|MKK|MOD|MOL|MON|MOS|MSE|MSH|MSP|MST|MTK|MTL|MÜB|MÜR|MYK|MZG|NAB|NAI|NAU|NDH|NEA|NEB|NEC|NEN|NES|NEW|NMB|NMS|NOH|NOL|NOM|NOR|NVP|NWM|OAL|OBB|OBG|OCH|OHA|ÖHR|OHV|OHZ|OPR|OSL|OVI|OVL|OVP|PAF|PAN|PAR|PCH|PEG|PIR|PLÖ|PRÜ|QFT|QLB|RDG|REG|REH|REI|RID|RIE|ROD|ROF|ROK|ROL|ROS|ROT|ROW|RSL|RÜD|RÜG|SAB|SAD|SAN|SAW|SBG|SBK|SCZ|SDH|SDL|SDT|SEB|SEE|SEF|SEL|SFB|SFT|SGH|SHA|SHG|SHK|SHL|SIG|SIM|SLE|SLF|SLK|SLN|SLS|SLÜ|SLZ|SMÜ|SOB|SOG|SOK|SÖM|SON|SPB|SPN|SRB|SRO|STA|STB|STD|STE|STL|SUL|SÜW|SWA|SZB|TBB|TDO|TET|TIR|TÖL|TUT|UEM|UER|UFF|USI|VAI|VEC|VER|VIB|VIE|VIT|VOH|WAF|WAK|WAN|WAR|WAT|WBS|WDA|WEL|WEN|WER|WES|WHV|WIL|WIS|WIT|WIZ|WLG|WMS|WND|WOB|WOH|WOL|WOR|WOS|WRN|WSF|WST|WSW|WTL|WTM|WUG|WÜM|WUN|WUR|WZL|ZEL|ZIG)[- ]?(([A-Z][- ]?\d{1,4})|([A-Z]{2}[- ]?\d{1,3})))[- ]?(E|H)?$/.test(str);
		  },
		  'de-LI': function deLI(str) {
		    return /^FL[- ]?\d{1,5}[UZ]?$/.test(str);
		  },
		  'en-IN': function enIN(str) {
		    return /^[A-Z]{2}[ -]?[0-9]{1,2}(?:[ -]?[A-Z])(?:[ -]?[A-Z]*)?[ -]?[0-9]{4}$/.test(str);
		  },
		  'es-AR': function esAR(str) {
		    return /^(([A-Z]{2} ?[0-9]{3} ?[A-Z]{2})|([A-Z]{3} ?[0-9]{3}))$/.test(str);
		  },
		  'fi-FI': function fiFI(str) {
		    return /^(?=.{4,7})(([A-Z]{1,3}|[0-9]{1,3})[\s-]?([A-Z]{1,3}|[0-9]{1,5}))$/.test(str);
		  },
		  'hu-HU': function huHU(str) {
		    return /^((((?!AAA)(([A-NPRSTVZWXY]{1})([A-PR-Z]{1})([A-HJ-NPR-Z]))|(A[ABC]I)|A[ABC]O|A[A-W]Q|BPI|BPO|UCO|UDO|XAO)-(?!000)\d{3})|(M\d{6})|((CK|DT|CD|HC|H[ABEFIKLMNPRSTVX]|MA|OT|R[A-Z]) \d{2}-\d{2})|(CD \d{3}-\d{3})|(C-(C|X) \d{4})|(X-(A|B|C) \d{4})|(([EPVZ]-\d{5}))|(S A[A-Z]{2} \d{2})|(SP \d{2}-\d{2}))$/.test(str);
		  },
		  'pt-BR': function ptBR(str) {
		    return /^[A-Z]{3}[ -]?[0-9][A-Z][0-9]{2}|[A-Z]{3}[ -]?[0-9]{4}$/.test(str);
		  },
		  'pt-PT': function ptPT(str) {
		    return /^([A-Z]{2}|[0-9]{2})[ -·]?([A-Z]{2}|[0-9]{2})[ -·]?([A-Z]{2}|[0-9]{2})$/.test(str);
		  },
		  'sq-AL': function sqAL(str) {
		    return /^[A-Z]{2}[- ]?((\d{3}[- ]?(([A-Z]{2})|T))|(R[- ]?\d{3}))$/.test(str);
		  },
		  'sv-SE': function svSE(str) {
		    return /^[A-HJ-PR-UW-Z]{3} ?[\d]{2}[A-HJ-PR-UW-Z1-9]$|(^[A-ZÅÄÖ ]{2,7}$)/.test(str.trim());
		  },
		  'en-PK': function enPK(str) {
		    return /(^[A-Z]{2}((\s|-){0,1})[0-9]{3,4}((\s|-)[0-9]{2}){0,1}$)|(^[A-Z]{3}((\s|-){0,1})[0-9]{3,4}((\s|-)[0-9]{2}){0,1}$)|(^[A-Z]{4}((\s|-){0,1})[0-9]{3,4}((\s|-)[0-9]{2}){0,1}$)|(^[A-Z]((\s|-){0,1})[0-9]{4}((\s|-)[0-9]{2}){0,1}$)/.test(str.trim());
		  }
		};
		function isLicensePlate(str, locale) {
		  (0, _assertString.default)(str);
		  if (locale in validators) {
		    return validators[locale](str);
		  } else if (locale === 'any') {
		    for (var key in validators) {
		      /* eslint guard-for-in: 0 */
		      var validator = validators[key];
		      if (validator(str)) {
		        return true;
		      }
		    }
		    return false;
		  }
		  throw new Error("Invalid locale '".concat(locale, "'"));
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isLicensePlate, isLicensePlate.exports));
	return isLicensePlate.exports;
}

var isStrongPassword = {exports: {}};

var hasRequiredIsStrongPassword;

function requireIsStrongPassword () {
	if (hasRequiredIsStrongPassword) return isStrongPassword.exports;
	hasRequiredIsStrongPassword = 1;
	(function (module, exports) {

		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = isStrongPassword;
		var _merge = _interopRequireDefault(/*@__PURE__*/ requireMerge());
		var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var upperCaseRegex = /^[A-Z]$/;
		var lowerCaseRegex = /^[a-z]$/;
		var numberRegex = /^[0-9]$/;
		var symbolRegex = /^[-#!$@£%^&*()_+|~=`{}\[\]:";'<>?,.\/\\ ]$/;
		var defaultOptions = {
		  minLength: 8,
		  minLowercase: 1,
		  minUppercase: 1,
		  minNumbers: 1,
		  minSymbols: 1,
		  returnScore: false,
		  pointsPerUnique: 1,
		  pointsPerRepeat: 0.5,
		  pointsForContainingLower: 10,
		  pointsForContainingUpper: 10,
		  pointsForContainingNumber: 10,
		  pointsForContainingSymbol: 10
		};

		/* Counts number of occurrences of each char in a string
		 * could be moved to util/ ?
		*/
		function countChars(str) {
		  var result = {};
		  Array.from(str).forEach(function (char) {
		    var curVal = result[char];
		    if (curVal) {
		      result[char] += 1;
		    } else {
		      result[char] = 1;
		    }
		  });
		  return result;
		}

		/* Return information about a password */
		function analyzePassword(password) {
		  var charMap = countChars(password);
		  var analysis = {
		    length: password.length,
		    uniqueChars: Object.keys(charMap).length,
		    uppercaseCount: 0,
		    lowercaseCount: 0,
		    numberCount: 0,
		    symbolCount: 0
		  };
		  Object.keys(charMap).forEach(function (char) {
		    /* istanbul ignore else */
		    if (upperCaseRegex.test(char)) {
		      analysis.uppercaseCount += charMap[char];
		    } else if (lowerCaseRegex.test(char)) {
		      analysis.lowercaseCount += charMap[char];
		    } else if (numberRegex.test(char)) {
		      analysis.numberCount += charMap[char];
		    } else if (symbolRegex.test(char)) {
		      analysis.symbolCount += charMap[char];
		    }
		  });
		  return analysis;
		}
		function scorePassword(analysis, scoringOptions) {
		  var points = 0;
		  points += analysis.uniqueChars * scoringOptions.pointsPerUnique;
		  points += (analysis.length - analysis.uniqueChars) * scoringOptions.pointsPerRepeat;
		  if (analysis.lowercaseCount > 0) {
		    points += scoringOptions.pointsForContainingLower;
		  }
		  if (analysis.uppercaseCount > 0) {
		    points += scoringOptions.pointsForContainingUpper;
		  }
		  if (analysis.numberCount > 0) {
		    points += scoringOptions.pointsForContainingNumber;
		  }
		  if (analysis.symbolCount > 0) {
		    points += scoringOptions.pointsForContainingSymbol;
		  }
		  return points;
		}
		function isStrongPassword(str) {
		  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
		  (0, _assertString.default)(str);
		  var analysis = analyzePassword(str);
		  options = (0, _merge.default)(options || {}, defaultOptions);
		  if (options.returnScore) {
		    return scorePassword(analysis, options);
		  }
		  return analysis.length >= options.minLength && analysis.lowercaseCount >= options.minLowercase && analysis.uppercaseCount >= options.minUppercase && analysis.numberCount >= options.minNumbers && analysis.symbolCount >= options.minSymbols;
		}
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (isStrongPassword, isStrongPassword.exports));
	return isStrongPassword.exports;
}

var isVAT = {};

var hasRequiredIsVAT;

function requireIsVAT () {
	if (hasRequiredIsVAT) return isVAT;
	hasRequiredIsVAT = 1;

	function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
	Object.defineProperty(isVAT, "__esModule", {
	  value: true
	});
	isVAT.default = isVAT$1;
	isVAT.vatMatchers = void 0;
	var _assertString = _interopRequireDefault(/*@__PURE__*/ requireAssertString());
	var algorithms = _interopRequireWildcard(/*@__PURE__*/ requireAlgorithms());
	function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
	function _interopRequireWildcard(e, r) { if (e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	var AU = function AU(str) {
	  var match = str.match(/^(AU)?(\d{11})$/);
	  if (!match) {
	    return false;
	  }
	  // @see {@link https://abr.business.gov.au/Help/AbnFormat}
	  var weights = [10, 1, 3, 5, 7, 9, 11, 13, 15, 17, 19];
	  str = str.replace(/^AU/, '');
	  var ABN = (parseInt(str.slice(0, 1), 10) - 1).toString() + str.slice(1);
	  var total = 0;
	  for (var i = 0; i < 11; i++) {
	    total += weights[i] * ABN.charAt(i);
	  }
	  return total !== 0 && total % 89 === 0;
	};
	var CH = function CH(str) {
	  // @see {@link https://www.ech.ch/de/ech/ech-0097/5.2.0}
	  var hasValidCheckNumber = function hasValidCheckNumber(digits) {
	    var lastDigit = digits.pop(); // used as check number
	    var weights = [5, 4, 3, 2, 7, 6, 5, 4];
	    var calculatedCheckNumber = (11 - digits.reduce(function (acc, el, idx) {
	      return acc + el * weights[idx];
	    }, 0) % 11) % 11;
	    return lastDigit === calculatedCheckNumber;
	  };

	  // @see {@link https://www.estv.admin.ch/estv/de/home/mehrwertsteuer/uid/mwst-uid-nummer.html}
	  return /^(CHE[- ]?)?(\d{9}|(\d{3}\.\d{3}\.\d{3})|(\d{3} \d{3} \d{3})) ?(TVA|MWST|IVA)?$/.test(str) && hasValidCheckNumber(str.match(/\d/g).map(function (el) {
	    return +el;
	  }));
	};
	var PT = function PT(str) {
	  var match = str.match(/^(PT)?(\d{9})$/);
	  if (!match) {
	    return false;
	  }
	  var tin = match[2];
	  var checksum = 11 - algorithms.reverseMultiplyAndSum(tin.split('').slice(0, 8).map(function (a) {
	    return parseInt(a, 10);
	  }), 9) % 11;
	  if (checksum > 9) {
	    return parseInt(tin[8], 10) === 0;
	  }
	  return checksum === parseInt(tin[8], 10);
	};
	var vatMatchers = isVAT.vatMatchers = {
	  /**
	   * European Union VAT identification numbers
	   */
	  AT: function AT(str) {
	    return /^(AT)?U\d{8}$/.test(str);
	  },
	  BE: function BE(str) {
	    return /^(BE)?\d{10}$/.test(str);
	  },
	  BG: function BG(str) {
	    return /^(BG)?\d{9,10}$/.test(str);
	  },
	  HR: function HR(str) {
	    return /^(HR)?\d{11}$/.test(str);
	  },
	  CY: function CY(str) {
	    return /^(CY)?\w{9}$/.test(str);
	  },
	  CZ: function CZ(str) {
	    return /^(CZ)?\d{8,10}$/.test(str);
	  },
	  DK: function DK(str) {
	    return /^(DK)?\d{8}$/.test(str);
	  },
	  EE: function EE(str) {
	    return /^(EE)?\d{9}$/.test(str);
	  },
	  FI: function FI(str) {
	    return /^(FI)?\d{8}$/.test(str);
	  },
	  FR: function FR(str) {
	    return /^(FR)?\w{2}\d{9}$/.test(str);
	  },
	  DE: function DE(str) {
	    return /^(DE)?\d{9}$/.test(str);
	  },
	  EL: function EL(str) {
	    return /^(EL)?\d{9}$/.test(str);
	  },
	  HU: function HU(str) {
	    return /^(HU)?\d{8}$/.test(str);
	  },
	  IE: function IE(str) {
	    return /^(IE)?\d{7}\w{1}(W)?$/.test(str);
	  },
	  IT: function IT(str) {
	    return /^(IT)?\d{11}$/.test(str);
	  },
	  LV: function LV(str) {
	    return /^(LV)?\d{11}$/.test(str);
	  },
	  LT: function LT(str) {
	    return /^(LT)?\d{9,12}$/.test(str);
	  },
	  LU: function LU(str) {
	    return /^(LU)?\d{8}$/.test(str);
	  },
	  MT: function MT(str) {
	    return /^(MT)?\d{8}$/.test(str);
	  },
	  NL: function NL(str) {
	    return /^(NL)?\d{9}B\d{2}$/.test(str);
	  },
	  PL: function PL(str) {
	    return /^(PL)?(\d{10}|(\d{3}-\d{3}-\d{2}-\d{2})|(\d{3}-\d{2}-\d{2}-\d{3}))$/.test(str);
	  },
	  PT: PT,
	  RO: function RO(str) {
	    return /^(RO)?\d{2,10}$/.test(str);
	  },
	  SK: function SK(str) {
	    return /^(SK)?\d{10}$/.test(str);
	  },
	  SI: function SI(str) {
	    return /^(SI)?\d{8}$/.test(str);
	  },
	  ES: function ES(str) {
	    return /^(ES)?\w\d{7}[A-Z]$/.test(str);
	  },
	  SE: function SE(str) {
	    return /^(SE)?\d{12}$/.test(str);
	  },
	  /**
	   * VAT numbers of non-EU countries
	   */
	  AL: function AL(str) {
	    return /^(AL)?\w{9}[A-Z]$/.test(str);
	  },
	  MK: function MK(str) {
	    return /^(MK)?\d{13}$/.test(str);
	  },
	  AU: AU,
	  BY: function BY(str) {
	    return /^(УНП )?\d{9}$/.test(str);
	  },
	  CA: function CA(str) {
	    return /^(CA)?\d{9}$/.test(str);
	  },
	  IS: function IS(str) {
	    return /^(IS)?\d{5,6}$/.test(str);
	  },
	  IN: function IN(str) {
	    return /^(IN)?\d{15}$/.test(str);
	  },
	  ID: function ID(str) {
	    return /^(ID)?(\d{15}|(\d{2}.\d{3}.\d{3}.\d{1}-\d{3}.\d{3}))$/.test(str);
	  },
	  IL: function IL(str) {
	    return /^(IL)?\d{9}$/.test(str);
	  },
	  KZ: function KZ(str) {
	    return /^(KZ)?\d{12}$/.test(str);
	  },
	  NZ: function NZ(str) {
	    return /^(NZ)?\d{9}$/.test(str);
	  },
	  NG: function NG(str) {
	    return /^(NG)?(\d{12}|(\d{8}-\d{4}))$/.test(str);
	  },
	  NO: function NO(str) {
	    return /^(NO)?\d{9}MVA$/.test(str);
	  },
	  PH: function PH(str) {
	    return /^(PH)?(\d{12}|\d{3} \d{3} \d{3} \d{3})$/.test(str);
	  },
	  RU: function RU(str) {
	    return /^(RU)?(\d{10}|\d{12})$/.test(str);
	  },
	  SM: function SM(str) {
	    return /^(SM)?\d{5}$/.test(str);
	  },
	  SA: function SA(str) {
	    return /^(SA)?\d{15}$/.test(str);
	  },
	  RS: function RS(str) {
	    return /^(RS)?\d{9}$/.test(str);
	  },
	  CH: CH,
	  TR: function TR(str) {
	    return /^(TR)?\d{10}$/.test(str);
	  },
	  UA: function UA(str) {
	    return /^(UA)?\d{12}$/.test(str);
	  },
	  GB: function GB(str) {
	    return /^GB((\d{3} \d{4} ([0-8][0-9]|9[0-6]))|(\d{9} \d{3})|(((GD[0-4])|(HA[5-9]))[0-9]{2}))$/.test(str);
	  },
	  UZ: function UZ(str) {
	    return /^(UZ)?\d{9}$/.test(str);
	  },
	  /**
	   * VAT numbers of Latin American countries
	   */
	  AR: function AR(str) {
	    return /^(AR)?\d{11}$/.test(str);
	  },
	  BO: function BO(str) {
	    return /^(BO)?\d{7}$/.test(str);
	  },
	  BR: function BR(str) {
	    return /^(BR)?((\d{2}.\d{3}.\d{3}\/\d{4}-\d{2})|(\d{3}.\d{3}.\d{3}-\d{2}))$/.test(str);
	  },
	  CL: function CL(str) {
	    return /^(CL)?\d{8}-\d{1}$/.test(str);
	  },
	  CO: function CO(str) {
	    return /^(CO)?\d{10}$/.test(str);
	  },
	  CR: function CR(str) {
	    return /^(CR)?\d{9,12}$/.test(str);
	  },
	  EC: function EC(str) {
	    return /^(EC)?\d{13}$/.test(str);
	  },
	  SV: function SV(str) {
	    return /^(SV)?\d{4}-\d{6}-\d{3}-\d{1}$/.test(str);
	  },
	  GT: function GT(str) {
	    return /^(GT)?\d{7}-\d{1}$/.test(str);
	  },
	  HN: function HN(str) {
	    return /^(HN)?$/.test(str);
	  },
	  MX: function MX(str) {
	    return /^(MX)?\w{3,4}\d{6}\w{3}$/.test(str);
	  },
	  NI: function NI(str) {
	    return /^(NI)?\d{3}-\d{6}-\d{4}\w{1}$/.test(str);
	  },
	  PA: function PA(str) {
	    return /^(PA)?$/.test(str);
	  },
	  PY: function PY(str) {
	    return /^(PY)?\d{6,8}-\d{1}$/.test(str);
	  },
	  PE: function PE(str) {
	    return /^(PE)?\d{11}$/.test(str);
	  },
	  DO: function DO(str) {
	    return /^(DO)?(\d{11}|(\d{3}-\d{7}-\d{1})|[1,4,5]{1}\d{8}|([1,4,5]{1})-\d{2}-\d{5}-\d{1})$/.test(str);
	  },
	  UY: function UY(str) {
	    return /^(UY)?\d{12}$/.test(str);
	  },
	  VE: function VE(str) {
	    return /^(VE)?[J,G,V,E]{1}-(\d{9}|(\d{8}-\d{1}))$/.test(str);
	  }
	};
	function isVAT$1(str, countryCode) {
	  (0, _assertString.default)(str);
	  (0, _assertString.default)(countryCode);
	  if (countryCode in vatMatchers) {
	    return vatMatchers[countryCode](str);
	  }
	  throw new Error("Invalid country code: '".concat(countryCode, "'"));
	}
	return isVAT;
}

var hasRequiredValidator;

function requireValidator () {
	if (hasRequiredValidator) return validator$1.exports;
	hasRequiredValidator = 1;
	(function (module, exports) {

		function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
		Object.defineProperty(exports, "__esModule", {
		  value: true
		});
		exports.default = void 0;
		var _toDate = _interopRequireDefault(/*@__PURE__*/ requireToDate());
		var _toFloat = _interopRequireDefault(/*@__PURE__*/ requireToFloat());
		var _toInt = _interopRequireDefault(/*@__PURE__*/ requireToInt());
		var _toBoolean = _interopRequireDefault(/*@__PURE__*/ requireToBoolean());
		var _equals = _interopRequireDefault(/*@__PURE__*/ requireEquals());
		var _contains = _interopRequireDefault(/*@__PURE__*/ requireContains());
		var _matches = _interopRequireDefault(/*@__PURE__*/ requireMatches());
		var _isEmail = _interopRequireDefault(/*@__PURE__*/ requireIsEmail());
		var _isURL = _interopRequireDefault(/*@__PURE__*/ requireIsURL());
		var _isMACAddress = _interopRequireDefault(/*@__PURE__*/ requireIsMACAddress());
		var _isIP = _interopRequireDefault(/*@__PURE__*/ requireIsIP());
		var _isIPRange = _interopRequireDefault(/*@__PURE__*/ requireIsIPRange());
		var _isFQDN = _interopRequireDefault(/*@__PURE__*/ requireIsFQDN());
		var _isDate = _interopRequireDefault(/*@__PURE__*/ requireIsDate());
		var _isTime = _interopRequireDefault(/*@__PURE__*/ requireIsTime());
		var _isBoolean = _interopRequireDefault(/*@__PURE__*/ requireIsBoolean());
		var _isLocale = _interopRequireDefault(/*@__PURE__*/ requireIsLocale());
		var _isAbaRouting = _interopRequireDefault(/*@__PURE__*/ requireIsAbaRouting());
		var _isAlpha = _interopRequireWildcard(/*@__PURE__*/ requireIsAlpha());
		var _isAlphanumeric = _interopRequireWildcard(/*@__PURE__*/ requireIsAlphanumeric());
		var _isNumeric = _interopRequireDefault(/*@__PURE__*/ requireIsNumeric());
		var _isPassportNumber = _interopRequireDefault(/*@__PURE__*/ requireIsPassportNumber());
		var _isPort = _interopRequireDefault(/*@__PURE__*/ requireIsPort());
		var _isLowercase = _interopRequireDefault(/*@__PURE__*/ requireIsLowercase());
		var _isUppercase = _interopRequireDefault(/*@__PURE__*/ requireIsUppercase());
		var _isIMEI = _interopRequireDefault(/*@__PURE__*/ requireIsIMEI());
		var _isAscii = _interopRequireDefault(/*@__PURE__*/ requireIsAscii());
		var _isFullWidth = _interopRequireDefault(/*@__PURE__*/ requireIsFullWidth());
		var _isHalfWidth = _interopRequireDefault(/*@__PURE__*/ requireIsHalfWidth());
		var _isVariableWidth = _interopRequireDefault(/*@__PURE__*/ requireIsVariableWidth());
		var _isMultibyte = _interopRequireDefault(/*@__PURE__*/ requireIsMultibyte());
		var _isSemVer = _interopRequireDefault(/*@__PURE__*/ requireIsSemVer());
		var _isSurrogatePair = _interopRequireDefault(/*@__PURE__*/ requireIsSurrogatePair());
		var _isInt = _interopRequireDefault(/*@__PURE__*/ requireIsInt());
		var _isFloat = _interopRequireWildcard(/*@__PURE__*/ requireIsFloat());
		var _isDecimal = _interopRequireDefault(/*@__PURE__*/ requireIsDecimal());
		var _isHexadecimal = _interopRequireDefault(/*@__PURE__*/ requireIsHexadecimal());
		var _isOctal = _interopRequireDefault(/*@__PURE__*/ requireIsOctal());
		var _isDivisibleBy = _interopRequireDefault(/*@__PURE__*/ requireIsDivisibleBy());
		var _isHexColor = _interopRequireDefault(/*@__PURE__*/ requireIsHexColor());
		var _isRgbColor = _interopRequireDefault(/*@__PURE__*/ requireIsRgbColor());
		var _isHSL = _interopRequireDefault(/*@__PURE__*/ requireIsHSL());
		var _isISRC = _interopRequireDefault(/*@__PURE__*/ requireIsISRC());
		var _isIBAN = _interopRequireWildcard(/*@__PURE__*/ requireIsIBAN());
		var _isBIC = _interopRequireDefault(/*@__PURE__*/ requireIsBIC());
		var _isMD = _interopRequireDefault(/*@__PURE__*/ requireIsMD5());
		var _isHash = _interopRequireDefault(/*@__PURE__*/ requireIsHash());
		var _isJWT = _interopRequireDefault(/*@__PURE__*/ requireIsJWT());
		var _isJSON = _interopRequireDefault(/*@__PURE__*/ requireIsJSON());
		var _isEmpty = _interopRequireDefault(/*@__PURE__*/ requireIsEmpty());
		var _isLength = _interopRequireDefault(/*@__PURE__*/ requireIsLength());
		var _isByteLength = _interopRequireDefault(/*@__PURE__*/ requireIsByteLength());
		var _isUUID = _interopRequireDefault(/*@__PURE__*/ requireIsUUID());
		var _isMongoId = _interopRequireDefault(/*@__PURE__*/ requireIsMongoId());
		var _isAfter = _interopRequireDefault(/*@__PURE__*/ requireIsAfter());
		var _isBefore = _interopRequireDefault(/*@__PURE__*/ requireIsBefore());
		var _isIn = _interopRequireDefault(/*@__PURE__*/ requireIsIn());
		var _isLuhnNumber = _interopRequireDefault(/*@__PURE__*/ requireIsLuhnNumber());
		var _isCreditCard = _interopRequireDefault(/*@__PURE__*/ requireIsCreditCard());
		var _isIdentityCard = _interopRequireDefault(/*@__PURE__*/ requireIsIdentityCard());
		var _isEAN = _interopRequireDefault(/*@__PURE__*/ requireIsEAN());
		var _isISIN = _interopRequireDefault(/*@__PURE__*/ requireIsISIN());
		var _isISBN = _interopRequireDefault(/*@__PURE__*/ requireIsISBN());
		var _isISSN = _interopRequireDefault(/*@__PURE__*/ requireIsISSN());
		var _isTaxID = _interopRequireDefault(/*@__PURE__*/ requireIsTaxID());
		var _isMobilePhone = _interopRequireWildcard(/*@__PURE__*/ requireIsMobilePhone());
		var _isEthereumAddress = _interopRequireDefault(/*@__PURE__*/ requireIsEthereumAddress());
		var _isCurrency = _interopRequireDefault(/*@__PURE__*/ requireIsCurrency());
		var _isBtcAddress = _interopRequireDefault(/*@__PURE__*/ requireIsBtcAddress());
		var _isISO = /*@__PURE__*/ requireIsISO6346();
		var _isISO2 = _interopRequireDefault(/*@__PURE__*/ requireIsISO6391());
		var _isISO3 = _interopRequireDefault(/*@__PURE__*/ requireIsISO8601());
		var _isRFC = _interopRequireDefault(/*@__PURE__*/ requireIsRFC3339());
		var _isISO31661Alpha = _interopRequireDefault(/*@__PURE__*/ requireIsISO31661Alpha2());
		var _isISO31661Alpha2 = _interopRequireDefault(/*@__PURE__*/ requireIsISO31661Alpha3());
		var _isISO4 = _interopRequireDefault(/*@__PURE__*/ requireIsISO4217());
		var _isBase = _interopRequireDefault(/*@__PURE__*/ requireIsBase32());
		var _isBase2 = _interopRequireDefault(/*@__PURE__*/ requireIsBase58());
		var _isBase3 = _interopRequireDefault(/*@__PURE__*/ requireIsBase64());
		var _isDataURI = _interopRequireDefault(/*@__PURE__*/ requireIsDataURI());
		var _isMagnetURI = _interopRequireDefault(/*@__PURE__*/ requireIsMagnetURI());
		var _isMailtoURI = _interopRequireDefault(/*@__PURE__*/ requireIsMailtoURI());
		var _isMimeType = _interopRequireDefault(/*@__PURE__*/ requireIsMimeType());
		var _isLatLong = _interopRequireDefault(/*@__PURE__*/ requireIsLatLong());
		var _isPostalCode = _interopRequireWildcard(/*@__PURE__*/ requireIsPostalCode());
		var _ltrim = _interopRequireDefault(/*@__PURE__*/ requireLtrim());
		var _rtrim = _interopRequireDefault(/*@__PURE__*/ requireRtrim());
		var _trim = _interopRequireDefault(/*@__PURE__*/ requireTrim());
		var _escape = _interopRequireDefault(/*@__PURE__*/ require_escape());
		var _unescape = _interopRequireDefault(/*@__PURE__*/ require_unescape());
		var _stripLow = _interopRequireDefault(/*@__PURE__*/ requireStripLow());
		var _whitelist = _interopRequireDefault(/*@__PURE__*/ requireWhitelist());
		var _blacklist = _interopRequireDefault(/*@__PURE__*/ requireBlacklist());
		var _isWhitelisted = _interopRequireDefault(/*@__PURE__*/ requireIsWhitelisted());
		var _normalizeEmail = _interopRequireDefault(/*@__PURE__*/ requireNormalizeEmail());
		var _isSlug = _interopRequireDefault(/*@__PURE__*/ requireIsSlug());
		var _isLicensePlate = _interopRequireDefault(/*@__PURE__*/ requireIsLicensePlate());
		var _isStrongPassword = _interopRequireDefault(/*@__PURE__*/ requireIsStrongPassword());
		var _isVAT = _interopRequireDefault(/*@__PURE__*/ requireIsVAT());
		function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
		function _interopRequireWildcard(e, r) { if (e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
		function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
		var version = '13.12.0';
		var validator = {
		  version: version,
		  toDate: _toDate.default,
		  toFloat: _toFloat.default,
		  toInt: _toInt.default,
		  toBoolean: _toBoolean.default,
		  equals: _equals.default,
		  contains: _contains.default,
		  matches: _matches.default,
		  isEmail: _isEmail.default,
		  isURL: _isURL.default,
		  isMACAddress: _isMACAddress.default,
		  isIP: _isIP.default,
		  isIPRange: _isIPRange.default,
		  isFQDN: _isFQDN.default,
		  isBoolean: _isBoolean.default,
		  isIBAN: _isIBAN.default,
		  isBIC: _isBIC.default,
		  isAbaRouting: _isAbaRouting.default,
		  isAlpha: _isAlpha.default,
		  isAlphaLocales: _isAlpha.locales,
		  isAlphanumeric: _isAlphanumeric.default,
		  isAlphanumericLocales: _isAlphanumeric.locales,
		  isNumeric: _isNumeric.default,
		  isPassportNumber: _isPassportNumber.default,
		  isPort: _isPort.default,
		  isLowercase: _isLowercase.default,
		  isUppercase: _isUppercase.default,
		  isAscii: _isAscii.default,
		  isFullWidth: _isFullWidth.default,
		  isHalfWidth: _isHalfWidth.default,
		  isVariableWidth: _isVariableWidth.default,
		  isMultibyte: _isMultibyte.default,
		  isSemVer: _isSemVer.default,
		  isSurrogatePair: _isSurrogatePair.default,
		  isInt: _isInt.default,
		  isIMEI: _isIMEI.default,
		  isFloat: _isFloat.default,
		  isFloatLocales: _isFloat.locales,
		  isDecimal: _isDecimal.default,
		  isHexadecimal: _isHexadecimal.default,
		  isOctal: _isOctal.default,
		  isDivisibleBy: _isDivisibleBy.default,
		  isHexColor: _isHexColor.default,
		  isRgbColor: _isRgbColor.default,
		  isHSL: _isHSL.default,
		  isISRC: _isISRC.default,
		  isMD5: _isMD.default,
		  isHash: _isHash.default,
		  isJWT: _isJWT.default,
		  isJSON: _isJSON.default,
		  isEmpty: _isEmpty.default,
		  isLength: _isLength.default,
		  isLocale: _isLocale.default,
		  isByteLength: _isByteLength.default,
		  isUUID: _isUUID.default,
		  isMongoId: _isMongoId.default,
		  isAfter: _isAfter.default,
		  isBefore: _isBefore.default,
		  isIn: _isIn.default,
		  isLuhnNumber: _isLuhnNumber.default,
		  isCreditCard: _isCreditCard.default,
		  isIdentityCard: _isIdentityCard.default,
		  isEAN: _isEAN.default,
		  isISIN: _isISIN.default,
		  isISBN: _isISBN.default,
		  isISSN: _isISSN.default,
		  isMobilePhone: _isMobilePhone.default,
		  isMobilePhoneLocales: _isMobilePhone.locales,
		  isPostalCode: _isPostalCode.default,
		  isPostalCodeLocales: _isPostalCode.locales,
		  isEthereumAddress: _isEthereumAddress.default,
		  isCurrency: _isCurrency.default,
		  isBtcAddress: _isBtcAddress.default,
		  isISO6346: _isISO.isISO6346,
		  isFreightContainerID: _isISO.isFreightContainerID,
		  isISO6391: _isISO2.default,
		  isISO8601: _isISO3.default,
		  isRFC3339: _isRFC.default,
		  isISO31661Alpha2: _isISO31661Alpha.default,
		  isISO31661Alpha3: _isISO31661Alpha2.default,
		  isISO4217: _isISO4.default,
		  isBase32: _isBase.default,
		  isBase58: _isBase2.default,
		  isBase64: _isBase3.default,
		  isDataURI: _isDataURI.default,
		  isMagnetURI: _isMagnetURI.default,
		  isMailtoURI: _isMailtoURI.default,
		  isMimeType: _isMimeType.default,
		  isLatLong: _isLatLong.default,
		  ltrim: _ltrim.default,
		  rtrim: _rtrim.default,
		  trim: _trim.default,
		  escape: _escape.default,
		  unescape: _unescape.default,
		  stripLow: _stripLow.default,
		  whitelist: _whitelist.default,
		  blacklist: _blacklist.default,
		  isWhitelisted: _isWhitelisted.default,
		  normalizeEmail: _normalizeEmail.default,
		  toString: toString,
		  isSlug: _isSlug.default,
		  isStrongPassword: _isStrongPassword.default,
		  isTaxID: _isTaxID.default,
		  isDate: _isDate.default,
		  isTime: _isTime.default,
		  isLicensePlate: _isLicensePlate.default,
		  isVAT: _isVAT.default,
		  ibanLocales: _isIBAN.locales
		};
		exports.default = validator;
		module.exports = exports.default;
		module.exports.default = exports.default; 
	} (validator$1, validator$1.exports));
	return validator$1.exports;
}

var validatorExports = /*@__PURE__*/ requireValidator();
var validator = /*@__PURE__*/getDefaultExportFromCjs(validatorExports);

var IsUrlValidErrorReason;
(function (IsUrlValidErrorReason) {
    IsUrlValidErrorReason["INVALID_URL_FORMAT"] = "INVALID_URL_FORMAT";
})(IsUrlValidErrorReason || (IsUrlValidErrorReason = {}));
const isUrlValid = (_a) => __awaiter(void 0, [_a], void 0, function* ({ url, }) {
    const isValidUrl = validator.isURL(url);
    if (isValidUrl) {
        return successResponse(isValidUrl);
    }
    else {
        return errorResponse(IsUrlValidErrorReason.INVALID_URL_FORMAT);
    }
});

/* eslint-disable @typescript-eslint/no-explicit-any */
const deepClone = (obj) => {
    if (obj === null || typeof obj !== "object") {
        return obj;
    }
    if (Array.isArray(obj)) {
        return obj.map((item) => deepClone(item));
    }
    const clonedObj = {};
    for (const key in obj) {
        // Use Object.prototype.hasOwnProperty.call to avoid accessing the prototype directly
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
            clonedObj[key] = deepClone(obj[key]);
        }
    }
    return clonedObj;
};

const convertCalendarDateToDateAdjustedForTimezone = ({ calendarDate, }) => {
    const utcDate = new Date(Date.UTC(calendarDate.year, calendarDate.month - 1, calendarDate.day)); // month is zero-indexed in Date constructor
    if (!calendarDate.timeZone) {
        return utcDate; // Return UTC date if timeZone is not provided
    }
    const userTimezoneDate = new Date(utcDate.toLocaleString("en-US", { timeZone: calendarDate.timeZone }));
    return userTimezoneDate;
};

var CalendarDateComarison;
(function (CalendarDateComarison) {
    CalendarDateComarison[CalendarDateComarison["FIRST_DATE_OCCURS_BEFORE_SECOND_DATE"] = -1] = "FIRST_DATE_OCCURS_BEFORE_SECOND_DATE";
    CalendarDateComarison[CalendarDateComarison["FIRST_DATE_OCCURS_AFTER_SECOND_DATE"] = 1] = "FIRST_DATE_OCCURS_AFTER_SECOND_DATE";
    CalendarDateComarison[CalendarDateComarison["DATES_ARE_EQUAL"] = 0] = "DATES_ARE_EQUAL";
})(CalendarDateComarison || (CalendarDateComarison = {}));
function compareCalendarDates({ firstCalendarDate, secondCalendarDate, }) {
    const firstDate = convertCalendarDateToDateAdjustedForTimezone({
        calendarDate: firstCalendarDate,
    });
    const secondDate = convertCalendarDateToDateAdjustedForTimezone({
        calendarDate: secondCalendarDate,
    });
    if (firstDate < secondDate)
        return CalendarDateComarison.FIRST_DATE_OCCURS_BEFORE_SECOND_DATE;
    if (firstDate > secondDate)
        return CalendarDateComarison.FIRST_DATE_OCCURS_AFTER_SECOND_DATE;
    return CalendarDateComarison.DATES_ARE_EQUAL;
}

const convertLocalCalendarDateToNativeDate = (calendarDate) => {
    const { year, month, day } = calendarDate;
    // JavaScript months are 0-based, subtract 1 from the month to convert it from 1-based to 0-based
    return new Date(year, month - 1, day);
};

const convertNativeDateToLocalCalendarDate = (date) => {
    return {
        year: date.getFullYear(),
        month: date.getMonth() + 1, // JavaScript months are 0-based, so add 1
        day: date.getDate(),
    };
};

const getDaysBetweenCalendarDates = ({ startCalendarDate, endCalendarDate, }) => {
    const start = new Date(startCalendarDate.year, startCalendarDate.month - 1, startCalendarDate.day);
    const end = new Date(endCalendarDate.year, endCalendarDate.month - 1, endCalendarDate.day);
    // Calculate the difference in time
    const diffTime = Math.abs(end.getTime() - start.getTime());
    // Convert time difference to days
    const diffDays = Math.ceil(diffTime / (1000 * 60 * 60 * 24));
    return { days: diffDays };
};

const getTodayCalendarDate = ({ timeZone, }) => {
    const today = new Date();
    return {
        year: today.getFullYear(),
        month: today.getMonth() + 1, // Convert to one-indexed month
        day: today.getDate(),
        timeZone,
    };
};

const getRoomCountFromRenderableItineraryOffer = ({ renderableItineraryOffer, }) => {
    return renderableItineraryOffer.hotelRoomOffers.reduce((acc, hotelRoomOffer) => {
        return acc + hotelRoomOffer.countOffered;
    }, 0);
};

const getTotalListPriceInCentsFromRenderableItineraryOffer = ({ renderableItineraryOffer, }) => {
    const { startCalendarDate, endCalendarDate, hotelRoomOffers } = renderableItineraryOffer;
    const { days: nightsInOffer } = getDaysBetweenCalendarDates({
        startCalendarDate,
        endCalendarDate,
    });
    const totalListPriceInCents = hotelRoomOffers.reduce((acc, hotelRoomOffer) => {
        return (acc +
            hotelRoomOffer.countOffered *
                nightsInOffer *
                hotelRoomOffer.listPriceInCents);
    }, 0);
    return { totalListPriceInCents };
};

const getTotalOfferPriceInCentsFromRenderableItineraryOffer = ({ renderableItineraryOffer, }) => {
    const { startCalendarDate, endCalendarDate, hotelRoomOffers } = renderableItineraryOffer;
    const { days: nightsInOffer } = getDaysBetweenCalendarDates({
        startCalendarDate,
        endCalendarDate,
    });
    const totalOfferPriceInCents = hotelRoomOffers.reduce((acc, hotelRoomOffer) => {
        return (acc +
            hotelRoomOffer.countOffered *
                nightsInOffer *
                hotelRoomOffer.offerPriceInCents);
    }, 0);
    return { totalOfferPriceInCents };
};

const renderDiscount = ({ listPriceInCents, offerPriceInCents, }) => {
    const discount = listPriceInCents
        ? Math.round(((listPriceInCents - offerPriceInCents) / listPriceInCents) * 100)
        : 0;
    return discount > 0 ? `${discount}%  off` : "";
};

const formatPhoneNumber = ({ phoneNumber }) => {
    if (phoneNumber.length < 10) {
        return phoneNumber;
    }
    const areaCode = phoneNumber.slice(0, 3);
    const centralOfficeCode = phoneNumber.slice(3, 6);
    const lineNumber = phoneNumber.slice(6);
    return `(${areaCode})-${centralOfficeCode}-${lineNumber}`;
};

const getDiscountPercent = ({ listPrice, offerPrice, decimalPlaces, }) => {
    let discountPercent;
    if (listPrice === 0) {
        if (offerPrice !== 0) {
            discountPercent = 0;
        }
        else {
            discountPercent = 100;
        }
    }
    else {
        discountPercent = ((listPrice - offerPrice) / listPrice) * 100;
    }
    return discountPercent.toFixed(decimalPlaces);
};

export { BifrostFormQuestionResponseType, BifrostFormQuestionType, CalendarDateComarison, EitherResponseType, HotelEventOfferStatus, IsUrlValidErrorReason, ItineraryOfferOriginatorType, RenderedCalendarDateFormat, RenderedCalendarDateRangeJoinFormat, ReservedBifrostDateFlexibilityOptionValues, ReservedBifrostFormQuestionIds, ReservedBifrostReasonForTravelOptionValues, ReservedBifrostSplitPaymentOptionValues, VenueOfferPricingType, bundleBifrostFormQuestionWithResponse, compareCalendarDates, convertCalendarDateToDateAdjustedForTimezone, convertLocalCalendarDateToNativeDate, convertNativeDateToLocalCalendarDate, deepClone, deepEqual, errorResponse, formatPhoneNumber, getDaysBetweenCalendarDates, getDiscountPercent, getRoomCountFromRenderableItineraryOffer, getTodayCalendarDate, getTotalListPriceInCentsFromRenderableItineraryOffer, getTotalOfferPriceInCentsFromRenderableItineraryOffer, isUrlValid, mockBifrostFormQuestionMultiStageReasonForTravelResponseBusinessReasonCompletedDetail, mockBifrostFormQuestionMultiStageReasonForTravelResponseBusinessReasonNoDetail, mockBifrostFormQuestionMultiStageReasonForTravelResponseBusinessReasonWithCompanyNameDetail, mockBifrostFormQuestionMultiStageReasonForTravelResponseEmpty, mockBifrostFormQuestionMultiStageReasonForTravelResponseSocialReason, mockBifrostFormQuestionMultiStageSmartDateResponseEmpty, mockBifrostFormQuestionMultiStageSmartDateResponseFirmDatesUnsetDates, mockBifrostFormQuestionMultiStageSmartDateResponseFirmDatesWithSetDates, mockBifrostFormQuestionMultiStageSmartDateResponseFlexibleDatesWithSetDates, mockBifrostFormQuestionMultiStageSmartDateResponseFlexibleDatesWithUnsetDates, mockBifrostFormQuestionMultiStageSmartDateResponseStillDecidingDatesWithSetDatesWithDescription, mockBifrostFormQuestionMultiStageSmartDateResponseStillDecidingDatesWithUnsetDatesWithDescription, mockBifrostFormQuestionWithMultiStageReasonForTravelResponse, mockBifrostFormQuestionWithMultiStageSmartDateResponseEmpty, mockBifrostSelectorFormQuestionWithTextResponse, mockHotelBifrostFormHotelMetadata, mockHotelBifrostFormMetadata, mockRenderableItineraryEventOfferOne, mockRenderableMultiStageReasonForTravelBifrostFormQuestion, mockRenderableMultiStageSmartDateSelectorBifrostFormQuestion, mockRenderableSelectorBifrostFormQuestionAskingLocation, mockRenderableSelectorBifrostFormQuestionAskingLocationOptionFour, mockRenderableSelectorBifrostFormQuestionAskingLocationOptionOne, mockRenderableSelectorBifrostFormQuestionAskingLocationOptionThree, mockRenderableSelectorBifrostFormQuestionAskingLocationOptionTwo, mockRunOfHouseRenderableItineraryHotelRoomOffer, renderBifrostFormQuestionWithResponses, renderCalendarDate, renderCalendarDateRange, renderDiscount, successResponse, updateBifrostFormQuestionWithResponse, useReactStateCache };
